<?php
$title = 'Реклама на сайте';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1 && $mod_array['ads'] == 1) {

    echo '<div class="title">Реклама на сайте ('.$rek . $new_mod_rek.')</div>';

    $num_u = $connect->prepare("select count(*) from `rek` where `id` = ?");
    $strow = $connect->prepare("select * from `rek` where `id` = ?");

    if (isset($_GET['edit'])) {
        $num_u->execute(array($_GET['edit']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['cancel'])) {
                header('location: /adm/advert');
            }
            elseif (isset($_POST['red'])) {
                $error = '';
                if (empty($_POST['name'])) {
                    $error.= 'Введите название!<br/>';
                }
                if (empty($_POST['url'])) {
                    $error.= 'Введите URL!<br/>';
                }
                elseif (!isSiteAvailable($_POST['url'])) {
                    $error.= 'URL недоступен или введен не правильно!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `rek` set `url` = ?, `name` = ?, `color` = ? where `id` = ?");
                    if ($stmt->execute(array($_POST['url'], $_POST['name'], $_POST['color'], $_GET['edit']))) {
                        header('location: /adm/advert');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            URL:<br/><input type="text" name="url" value="'.$row['url'].'"><br/>
            Название:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
            Цвет ссылки:<br/><input type="text" name="color" value="'.$row['color'].'"><br/>
            <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit']).')">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        } else {
            header('location: /adm/advert');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($_GET['del']));
        if ($num_u->fetchColumn()) {
            if (isset($_POST['yes'])) {
                $del = $connect->prepare("delete from `rek` where `id` = ? limit 1");
                if ($del->execute(array($_GET['del']))) {
                    header('location: /adm/advert');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['no'])) {
                header('location: /adm/advert');
            }

            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
            <input type="submit" name="no" value="Отмена"/>
            </form></div>';
        } else {
            header('location: /adm/advert');
        }
    }
    elseif (isset($_GET['bs'])) {
        $num_u->execute(array($_GET['bs']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['bs']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['status'] == 1) {
                if (isset($_POST['cancel'])) {
                    header('location: /adm/advert');
                }
                elseif (isset($_POST['yes'])) {

                    $error = '';

                    $days = intval(abs($_POST['days']));
                    $last = $row['expire'] > time() ? $row['expire'] : time();
                    $expire = $last + 3600 * 24 * $days;

                    if ($row['expire'] < time() && $active_rek + $c_mod_rek >= $rek_array['limit']) {
                        $error.= 'Все рекламные места заняты!<br/>'; 
                    } else {
                        if ($days < 1) {
                            $error.= 'Минимальное количество дней - 1!<br/>';
                        }
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $stmt = $connect->prepare("update `rek` set `expire` = ?, `days` = `days` + ? where `id` = ?");
                        if ($stmt->execute(array($expire, $days, $_GET['bs']))) {
                            header('location: /adm/advert');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                echo '<div class="menu">
                <form action="" method="POST">
                Количество дней:<br/><input type="text" name="days" value="5"><br/>
                <input type="submit" name="yes" value="Продолжить ('.intval($_GET['bs']).')"/> 
                <input type="submit" name="cancel" value="Отмена"/>
                </form></div>';
            } else {
                header('location: /adm/advert');
            }
        } else {
            header('location: /adm/advert');
        }
    }
    elseif (isset($_GET['ban'])) {
        $num_u->execute(array($_GET['ban']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['ban']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['done']) || isset($_POST['block'])) {
                $status = isset($_POST['block']) ? 2 : 1;
                $expire = $status == 1 && $row['expire'] == 0 ? time() + 3600 * 24 * $row['days'] : $row['expire'];
                $stmt = $connect->prepare("update `rek` set `status` = ?, `expire` = ? where `id` = ?");
                if ($stmt->execute(array($status, $expire, $_GET['ban']))) {
                    header('Location: /adm/advert');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /adm/advert');
            }

            echo '<div class="menu">
            <form action="" method="POST">
            ID: '.intval($_GET['ban']).'<hr/>
            <input type="submit" name="done" value="Активировать">
            <input type="submit" name="block" value="Заблокировать">
            <input type="submit" name="cancel" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/advert');
        }
    }

    if ($rek == 0) {
        echo '<div class="menu">NONE</div>';
    } else {

        $page = new Pagination($rek, 10);

        $data = $connect->prepare("select * from `rek` order by `status` desc, `id` desc limit :start, 10");
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="menu">
            URL: '.bblinks($row['url']).'<br/>
            Название: '.$row['name'].'<br/>
            Рекламодатель: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
            Сумма: '.quantDec($row['sum'], ['рубль', 'рубля', 'рублей']).'<br/>
            Общее количество дней: '.$row['days'].
            ($row['status'] == 3 ? '<div class="information">На модерации!</div>' : ($row['status'] == 2 ? '<div class="danger">Рекламная ссылка заблокирована!</div>' : ($row['expire'] > time() ? '<div class="good">Активна до: '.daytime($row['expire']).'</div>' : '<div class="danger">Просрочена!</div>'))).'
            <div class="butt2">
            <a href="?del='.$row['id'].'">Удалить</a>
            <a href="?edit='.$row['id'].'">Редактировать</a>
            '.($row['status'] == 1 ? '<a href="?bs='.$row['id'].'">Продлить</a>' : '').'
            <a href="?ban='.$row['id'].'">Модерация</a>
            </div>
            </div>'; 
        }

        $page->navigation();

    }

    echo '<div class="title">Настройки</div>';

    if (isset($_POST['mod_a']) && isset($_POST['limit']) && isset($_POST['cena']) && isset($_POST['color'])) {

        $error = '';

        if (empty($_POST['limit'])) {
            $error.= 'Укажите количество рекламных мест!<br/>';
        }
        if (empty($_POST['cena'])) {
            $error.= 'Введите стоимость рекламы!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $system['rek']['limit'] = intval(abs($_POST['limit']));
            $system['rek']['cena'] = abs($_POST['cena']);
            $system['rek']['color'] = abs($_POST['color']);
            $system['modules']['mod_a'] = intval($_POST['mod_a']);

            write_ini_file($_SERVER["DOCUMENT_ROOT"]."/inc/system.ini", $system);

            header('Location: /adm/advert');

        } 

    }

    echo '<div class="menu">
    <form action="" method="POST">
    Автомодерация рекламы:<br/><select name="mod_a"><option value="1">Вкл.</option><option '.($mod_array['mod_a'] == 3 ? 'selected' : '').' value="3">Откл.</option></select><br/>
    Количество рекламных мест:<br/><input type="text" name="limit" value="'.$rek_array['limit'].'"><br/>
    Стоимость одного дня размещения:<br/><input type="text" name="cena" value="'.$rek_array['cena'].'"><br/>
    Стоимость добавления цвета:<br/><input type="text" name="color" value="'.$rek_array['color'].'"><br/>
    <input type="submit" value="Сохранить">
    </form></div>';

    echo '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="">Панель управления</a></div>';

} else {
    header('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>