<?php
$title = 'Блокировка аккаунтов';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {

    echo '<div class="title">Блокировка аккаунтов</div>';

    if (isset($_POST['block'])) {
        $error = '';
        if (empty($_POST['col'])) {
            $error.= 'Введите количество часов!<br/>';
        }
        if (empty($_POST['login'])) {
            $error.= 'Введите логин пользователя!<br/>';
        }
        elseif (!user($_POST['login'], 1)) {
            $error.= 'Пользователь с таким логином не найден в системе!<br/>';
        }
        elseif ($_POST['login'] == $user['login']) {
            $error.= 'Вы не можете заблокировать свой аккаунт!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $col = intval(abs($_POST['col']));
            $time = $col * 3600 + time();
            $stmt = $connect->prepare("update `users` set `ban` = ? where `login` = ?");
            if ($stmt->execute(array($time, $_POST['login']))){
                echo '<div class="menu">Вы успешно заблокировали аккаунт пользователя!</div>';
                header('Refresh: 1');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="POST">
    Количество часов:<br/><input type="text" name="col" maxlength="10"/><br/>
    Пользователь:<br/><input type="text" name="login" maxlength="15"/><br/>
    <input type="submit" name="block" value="Заблокировать"/>
    </form></div>';

    echo '<div class="title">Разблокировка аккаунтов</div>';

    if (isset($_POST['de_block'])) {
        $error = '';
        if (empty($_POST['login'])) {
            $error.= 'Введите логин пользователя!<br/>';
        }
        elseif (!user($_POST['login'], 1)) {
            $error.= 'Пользователь с таким логином не найден в системе!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $stmt = $connect->prepare("update `users` set `ban` = '0' where `login` = ?");
            if ($stmt->execute(array($_POST['login']))){
                echo '<div class="menu">Вы успешно разблокировали аккаунт пользователя!</div>';
                header('Refresh: 1');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="POST">
    Пользователь:<br/><input type="text" name="login" maxlength="15"/><br/>
    <input type="submit" name="de_block" value="Разблокировать"/>
    </form></div>';

    echo '<div class="title">Заблокированные пользователи ('.$count_ban_user.')</div>';

    if ($count_ban_user == 0) {
        echo '<div class="menu">NONE</div>';
    } else {

        $page = new Pagination($count_ban_user, 10);

        $data = $connect->prepare("select * from `users` where `ban` > :time order by `admin` limit :start, 10");
        $data->bindValue(':time', time(), PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="forlink"><a href="/user/'.$row['id'].'" class="links">'.iconUser($row['id']).gradient($row['login']).'<div class="chi">Бан до '.date('d.m.Y H:i', $row['ban']).'</div></a></div>';
        }

        $page->navigation();

    }

    echo '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="">Панель управления</a></div>';

} else {
    header ('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>