<?php
$title = 'Форум';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1 && $mod_array['forum'] == 1) {

    echo '<div class="title">Разделы форума ('.$count_forum_kat.')</div>';

    $type = 2;
    $num_u = $connect->prepare("select count(*) from `kat` where `type` = ? and `id` = ?");
    $stmt_count = $connect->prepare("select count(*) from `topic` where `kat` = ?"); 
    $strow = $connect->prepare("select * from `kat` where `id` = ?");

    if (isset($_GET['edit'])) {
        $num_u->execute(array($type, $_GET['edit']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['cancel'])) {
                header('location: /adm/forum');
            }
            elseif (isset($_POST['red'])) {
                $error = '';
                if (empty($_POST['name'])) {
                    $error.= 'Введите название!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `kat` set `name` = ? where `id` = ?");
                    if ($stmt->execute(array($_POST['name'], $_GET['edit']))) {
                        header('location: /adm/forum');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Название:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
            <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit']).')">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        } else {
            header('location: /adm/forum');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($type, $_GET['del']));
        $stmt_count->execute(array($_GET['del']));
        if ($num_u->fetchColumn() && !$stmt_count->fetchColumn()) {
            if (isset($_POST['yes'])) {
                $stmt = $connect->prepare("delete from `kat` where `id` = ?");
                if ($stmt->execute(array($_GET['del']))) {
                    header('location: /adm/forum');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['no'])) {
                header('location: /adm/forum');
            }

            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
            <input type="submit" name="no" value="Отмена"/>
            </form></div>';
        } else {
            header('location: /adm/forum');
        }
    }
 
    if ($count_forum_kat == 0) {
        echo '<div class="menu">Разделов нет!</div>';
    } else {

        $page = new Pagination($count_forum_kat, 10);

        $data = $connect->prepare("select * from `kat` where `type` = :type order by `id` desc limit :start, 10");
        $data->bindValue(':type', $type, PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $stmt_count->execute(array($row['id']));
            $count = $stmt_count->fetchColumn();

            echo '<div class="menu">
            <div class="forlink-bordered"><a href="/forum/category/'.$row['id'].'" class="links"><img src="/img/folder.png" alt="folder">'.$row['name'].'</a></div>
            Тем на форуме: '.$count.'
            <div class="butt2">
            '.(!$count ? '<a href="?del='.$row['id'].'">Удалить</a>' : '').'
            <a href="?edit='.$row['id'].'">Редактировать</a>
            </div>
            </div>';

        }

        $page->navigation();

    }

    echo '<div class="title">Новый раздел</div>';
    if (isset($_POST['submit'])) {
        $error = '';
        if (empty($_POST['name'])) {
            $error.= 'Введите название!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $stmt = $connect->prepare("insert into `kat` set `type` = ?, `name` = ?");
            if ($stmt->execute(array($type, $_POST['name']))) {
                header('location: /adm/forum'); 
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }

    echo '<div class="menu">
    <form action="" method="POST">
    Название:<br/><input type="text" name="name"><br/>
    <input type="submit" name="submit" value="Добавить">
    </form></div>';

    echo '<div class="title">Настройки</div>';

    if (isset($_POST['forum_up'])) {
 
        $error = '';

        if (empty($_POST['forum_up'])) {
            $error.= 'Укажите временной интервал между поднятиями темы!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $system['system']['forum_up'] = intval(abs($_POST['forum_up']));

            write_ini_file($_SERVER["DOCUMENT_ROOT"]."/inc/system.ini", $system);

            header('Location: /adm/forum');

        }

    }

    echo '<div class="menu">
    <form action="" method="POST">
    Временной интервал между поднятиями темы (В часах):<br/><input type="text" name="forum_up" value="'.$sys_array['forum_up'].'"><br/>
    <input type="submit" value="Сохранить">
    </form></div>';

    echo '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="">Панель управления</a></div>';

} else {
    header('location: /');
}
require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>