<?php
$title = 'Серфинг';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1 && $mod_array['serf'] == 1) {

    echo '<div class="title">Площадки ('.$all_links . $new_mod_link.')</div>
    <div class="menu">
    <form action="" method="GET">
    <input type="text" name="search" value="'.$search.'">
    <input type="submit" value="Поиск">
    </form></div>';

    $stmt_click = $connect->prepare("select count(*) from `click` where `link` = ?");
    $num_u = $connect->prepare("select count(*) from `link` where `id` = ?");
    $strow = $connect->prepare("select * from `link` where `id` = ?");

    if (isset($_GET['edit'])) {
        $num_u->execute(array($_GET['edit']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['cancel'])) {
                header ('location: /adm/link');
            }
            elseif (isset($_POST['red'])) {

                $stmt_num = $connect->prepare("select count(*) from `link` where `url` = ? and `id` != ?");
                $stmt_num->execute(array($_POST['url'], $_GET['edit']));

                $error = '';
                if (empty($_POST['login'])) {
                    $error.= 'Введите логин пользователя!<br/>';
                }
                elseif (!user($_POST['login'], 1)) {
                    $error.= 'Пользователь с таким логином не найден в системе!<br/>';
                }
                if (empty($_POST['url'])) {
                    $error.= 'Введите URL!<br/>';
                }
                elseif (mb_strlen($_POST['url']) < 5) {
                    $error.= 'Минимальная длина URL - 5 символов!<br/>';
                }
                elseif (mb_strlen($_POST['url']) > 50) {
                    $error.= 'Максимальная длина URL - 50 символов!<br/>';
                }
                elseif ($stmt_num->fetchColumn()) {
                    $error.= 'Площадка с данным URL уже есть в системе!<br/>';
                }
                elseif (!isSiteAvailable($_POST['url'])) {
                    $error.= 'URL недоступен или введен не правильно!<br/>';
                }
                if (empty($_POST['name'])) {
                    $error.= 'Введите название!<br/>';
                }
                elseif (mb_strlen($_POST['name']) < 5) {
                    $error.= 'Минимальная длина названия - 5!<br/>';
                }
                elseif (mb_strlen($_POST['name']) > 50) {
                    $error.= 'Максимальная длина названия - 50 символов!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `link` set `url` = ?, `name` = ?, `user` = ? where `id` = ?");
                    if ($stmt->execute(array($_POST['url'], $_POST['name'], $_POST['login'], $_GET['edit']))) {
                        header ('location: /adm/link');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            URL-адрес:<br/><input type="text" name="url" value="'.$row['url'].'"><br/>
            Название:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
            Пользователь:<br/><input type="text" name="login" value="'.$row['user'].'"><br/>
            <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit']).')">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        } else {
            header ('location: /adm/link');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($_GET['del']));
        if ($num_u->fetchColumn()) {
            if (isset($_POST['yes'])) {
               $strow->execute(array($_GET['del']));
                $row = $strow->fetch(PDO::FETCH_LAZY);
                $money = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
                $del = $connect->prepare("delete from `link` where `id` = ?");
                if ($money->execute(array(isset($_POST['moneyback']) ? $row['click'] * $row['cena'] : 0, $row['user'])) && $del->execute(array($_GET['del']))) {
                    header('Location: /adm/link');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['no'])) {
                header('Location: /adm/link');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="checkbox" checked name="moneyback" value="1" >С возвратом средств<br/>
            <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/>
            <input type="submit" name="no" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/link');
        }
    }
    elseif (isset($_GET['ban'])) {
        $num_u->execute(array($_GET['ban']));
        if ($num_u->fetchColumn()) {
            if (isset($_POST['done']) || isset($_POST['block'])) {
                $off = isset($_POST['block']) ? 2 : 0;
                $stmt = $connect->prepare("update `link` set `off` = ? where `id` = ?");
                if ($stmt->execute(array($off, $_GET['ban']))) {
                    header('Location: /adm/link');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /adm/link');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            ID: '.intval($_GET['ban']).'<hr/>
            <input type="submit" name="done" value="Активировать">
            <input type="submit" name="block" value="Заблокировать">
            <input type="submit" name="cancel" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/link');
        }
    }
    elseif (isset($_GET['bs'])) {
        $num_u->execute(array($_GET['bs']));
        if ($num_u->fetchColumn()) {
            if (isset($_POST['yes'])) {
                $error = '';
                if (empty($_POST['col'])) {
                    $error.= 'Введите количество переходов!<br/>';
                }
                elseif (!is_numeric($_POST['col'])) {
                    $error.= 'Неверное значение!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $col = intval($_POST['col']);
                    $stmt = $connect->prepare("update `link` set `click` = `click` + ? where `id` = ?");
                    if ($stmt->execute(array($col, $_GET['bs']))) {
                        header('Location: /adm/link');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            elseif (isset($_POST['no'])) {
                header('Location: /adm/link');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Количество переходов:<br/><input type="text" name="col" value="10"><br/>
            <input type="submit" name="yes" value="Пополнить ('.intval($_GET['bs']).')"/> 
            <input type="submit" name="no" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/link');
        }
    }

    $keywords = $search ? preg_replace("/[\s,]+/", "|", $search) : RS_ALL_CHARS;

    $stmt_num = $connect->prepare("select count(*) from `link` where `url` rlike :keywords or `name` rlike :keywords or `user` rlike :keywords");
    $stmt_num->bindValue(':keywords', $keywords);
    $stmt_num->execute();
    $count_res = $stmt_num->fetchColumn();

    if ($count_res == 0) {
        echo '<div class="menu">NONE</div>';
    } else {

        $page = new Pagination($count_res, 10, $search ? "?search=$search&" : "?");

        $data = $connect->prepare("select * from `link` where `url` rlike :keywords or `name` rlike :keywords or `user` rlike :keywords order by `off` asc, `id` desc limit :start, 10");
        $data->bindValue(':keywords', $keywords);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $stmt_click->execute(array($row['id']));
            $click = $stmt_click->fetchColumn();

            echo '<div class="menu">
            ID: '.$row['id'].'<br/>
            URL: '.bblinks($row['url']).'<br/>
            Название: '.$row['name'].'<br/>
            Баланс: '.$row['click'].' (<a href="?bs='.$row['id'].'">Пополнить</a>)<br/>
            Статус: '.($row['off'] == 0 ? 'Включена' : 'Отключена').'<br/>
            Сегодня переходов: '.$click.'<br/>
            Дата добавления: '.daytime($row['time']).'<br/>
            Пользователь: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
            <div class="chi">Цена перехода: '.quantDec($row['cena'], ['рубль', 'рубля', 'рублей']).'</div>
            '.($row['off'] == 3 ? '<div class="information">На модерации!</div>' : ($row['off'] == 2 ? '<div class="danger">Площадка заблокирована!</div>' : '')).'
            <div class="butt2">
            <a href="?del='.$row['id'].'">Удалить</a>
            <a href="?edit='.$row['id'].'">Редактировать</a>
            <a href="?ban='.$row['id'].'">Модерация</a>
            </div>
            </div>';

        }

        $page->navigation();

    }

    echo '<div class="title">Настройки</div>';

    if (isset($_POST['mod_s']) && isset($_POST['cena']) && isset($_POST['ctime']) && isset($_POST['serf_ban'])) {
 
        $error = '';

        if (empty($_POST['cena'])) {
            $error.= 'Укажите минимальную цену перехода в серфинге!<br/>';
        }
        if (empty($_POST['ctime'])) {
            $error.= 'Укажите время перехода в серфинге!<br/>';
        }
        if (empty($_POST['serf_ban'])) {
            $error.= 'Укажите время бана в серфинге!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $system['system']['ctime'] =  intval(abs($_POST['ctime']));
            $system['system']['serf_ban'] = intval(abs($_POST['serf_ban']));
            $system['system']['cena'] = abs($_POST['cena']);
            $system['modules']['mod_s'] = intval($_POST['mod_s']);

            write_ini_file($_SERVER["DOCUMENT_ROOT"]."/inc/system.ini", $system);

            header('Location: /adm/link');

        }

    }

    echo '<div class="menu">
    <form action="" method="POST">
    Автомодерация площадок:<br/><select name="mod_s"><option value="0">Вкл.</option><option '.($mod_array['mod_s'] == 3 ? 'selected' : '').' value="3">Откл.</option></select><br/>
    Минимальная цена перехода:<br/><input type="text" name="cena" value="'.$sys_array['cena'].'"><br/>
    Время перехода (sec):<br/><input type="text" name="ctime" value="'.$sys_array['ctime'].'"><br/>
    Время бана (sec):<br/><input type="text" name="serf_ban" value="'.$sys_array['serf_ban'].'"><br/>
    <input type="submit" value="Сохранить">
    </form></div>';

    echo '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="">Панель управления</a></div>';

} else {
    header ('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>