<?php
$title = 'Начисление средств';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {
    echo '<div class="title">Начисление средств</div>';
    $error = '';
    if (isset($_POST['col']) && isset($_POST['login'])) {
        $login = empty($_POST['login']) ? $user['login'] : $_POST['login'];
        if (empty($_POST['col'])) {
            $error.= 'Введите сумму!<br/>';
        }
        if (!user($login, 1)) {
            $error.= 'Пользователь с таким логином не найден в системе!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $col = abs($_POST['col']);
            $stmt = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
            if ($stmt->execute(array($col, $login))){
                echo '<div class="menu">Вы успешно начислили '.quantDec($col, ['рубль', 'рубля', 'рублей']).' пользователю '.$login.'!</div>';
                header('Refresh: 1');
            } else {
                echo '<div class="menu">Ошибка при начислении средств!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="POST">
    Сумма:<br/><input type="text" name="col" maxlength="10"/><br/>
    Пользователь:<br/><input type="text" name="login" maxlength="15"/><br/>
    <input type="submit" value="Начислить"/>
    </form></div>';
    echo '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="">Панель управления</a></div>'; 
} else {
    header ('location: /');
} 
require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>