<?php
$title = 'Звания';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {
 
    echo '<div class="title">Звания</div>';

    $num_f = $connect->prepare("select count(*) from `rank` where `rating` = ?");
    $num_u = $connect->prepare("select count(*) from `rank` where `id` = ?");
    $strow = $connect->prepare("select * from `rank` where `id` = ?");

    if (isset($_GET['edit'])) {
        $num_u->execute(array($_GET['edit']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['cancel'])) {
                header('Location: /adm/rank');
            }
            elseif (isset($_POST['ok'])) {

                $num_f->execute(array($_POST['rating']));

                $error = '';
                if (empty($_POST['rating'])) {
                    $error.= 'Введите рейтинг!<br/>';
                }
                elseif ($_POST['rating'] < 0) {
                    $error.= 'Рейтинг не может быть меньше нуля!<br/>';
                }
                elseif ($num_f->fetchColumn() && $_POST['rating'] != $row['rating']) {
                    $error.= 'Звание для этого рейтинга уже есть!<br/>';
                }
                if (empty($_POST['rank'])) {
                    $error.= 'Введите звание!<br/>';
                }
                elseif (mb_strlen($_POST['rank']) > 25) {
                    $error.= 'Звание должно содержать не более 25 символов!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $rating = abs($_POST['rating']);
                    $stmt = $connect->prepare("update `rank` set `rating` = ?, `rank` = ? where `id` = ?");
                    if ($stmt->execute(array($rating, $_POST['rank'], $_GET['edit']))) {
                        header('Location: /adm/rank');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Звание:<br/><input type="text" name="rank" value="'.$row['rank'].'"><br/>
            Рейтинг:<br/><input type="text" name="rating" value="'.$row['rating'].'"><br/>
            <input type="submit" name="ok" value="Сохранить ('.intval($_GET['edit']).')">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        } else {
            header('Location: /adm/rank');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($_GET['del']));
        if ($num_u->fetchColumn()) {
            if (isset($_POST['ok'])) {
                $stmt = $connect->prepare("delete from `rank` where `id` = ?");
                if ($stmt->execute(array($_GET['del']))) {
                    header('Location: /adm/rank');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /adm/rank');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="ok" value="Удалить ('.intval($_GET['del']).')"/> 
            <input type="submit" name="cancel" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/rank');
        }
    }

    if ($count_rank == 0) {
        echo '<div class="menu">NONE</div>';
    } else {

        $page = new Pagination($count_rank, 10);

        $data = $connect->prepare("select * from `rank` order by `rating` desc limit :start, 10");
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="menu">
            Звание: '.$row['rank'].'<br/>
            Рейтинг: '.$row['rating'].'
            <div class="butt2">
            <a href="?edit='.$row['id'].'">Редактировать</a>
            <a href="?del='.$row['id'].'">Удалить</a>
           </div> 
            </div>';
        }

        $page->navigation();

    }

    echo '<div class="title">Новое звание</div>';

    if (isset($_POST['submit'])) {

        $num_f->execute(array($_POST['rating']));

        $error = '';
        if (empty($_POST['rating'])) {
            $error.= 'Введите рейтинг!<br/>';
        }
        elseif ($_POST['rating'] < 0) {
            $error.= 'Рейтинг не может быть меньше нуля!<br/>';
        }
        elseif ($num_f->fetchColumn()) {
            $error.= 'Звание для этого рейтинга уже есть!<br/>';
        }
        if (empty($_POST['rank'])) {
            $error.= 'Введите звание!<br/>';
        }
        elseif (mb_strlen($_POST['rank']) > 25) {
            $error.= 'Звание должно содержать не более 25 символов!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $rating = abs($_POST['rating']);
            $stmt = $connect->prepare("insert into `rank` set `rating` = ?, `rank` = ?");
            if ($stmt->execute(array($rating, $_POST['rank']))) {
                header('Location: /adm/rank');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="POST">
    Звание:<br/><input type="text" name="rank"><br/>
    Рейтинг:<br/><input type="text" name="rating"><br/>
    <input type="submit" name="submit" value="Продолжить">
    </form></div>';

    echo '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="">Панель управления</a></div>';

} else {
    header('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>