<?php
$title = 'Смайлы';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");

if ($adm_id == 1) {

    $dir = $_SERVER["DOCUMENT_ROOT"]."/img/smiles/";
    $scan = scandir($dir);
    $count_smiles = count($scan);

    echo '<div class="title">Смайлы ('.$count_smiles.')</div>';

    if ($count_smiles == 0) {

        echo '<div class="menu">Смайлов нет.</div>';

    } else {

        if (isset($_GET['del_all'])) {
            if (isset($_POST['cancel'])) {
                header('Location: /adm/smiles');
            }
            elseif (isset($_POST['yes'])) {
                delete_files_dir($dir);
                header('Location: /adm/smiles'); 
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="yes" value="Удалить все смайлы"/> 
            <input type="submit" name="cancel" value="Отмена"/>
            </form></div>'; 
        }
        elseif (isset($_GET['del'])) {
            $filename = $dir . $_GET['del'];
            if (is_file($filename)) {
                if (isset($_POST['cancel'])) {
                    header('Location: /adm/smiles');
                }
                elseif (isset($_POST['yes'])) {
                    unlink($filename);
                    header('Location: /adm/smiles'); 
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Удалить смайл ('.$_GET['del'].')"/> 
                <input type="submit" name="cancel" value="Отмена"/>
                </form></div>'; 
            } else {
                header('Location: /adm/smiles');
            }
        }

        echo '<div class="menu">';

        foreach ($scan as $smile) {
            if (is_file($dir . $smile)) {
                echo '<a href="?del='.$smile.'"><img src="/img/smiles/'.$smile.'" alt="smile"></a>';
            }
        }

        echo '</div>
        <div class="forlink"><a href="?del_all" class="links"><img src="/img/delete.png" alt="delete">Удалить все смайлы</a></div>';

    }

    echo '<div class="title">Новый смайл</div>';

    if (isset($_POST['submit'])) {
        $error = '';
        if (!file_exists($_FILES['filename']['tmp_name'])) {
            $error.= 'Вы не выбрали файл!<br/>';
        }
        elseif (!in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif']) || !exif_imagetype($_FILES['filename']['tmp_name'])) {
            $error.= 'Неверный тип файла!<br/>';
        }
        elseif (file_exists($dir . rus2translit($_FILES['filename']['name']))) {
            $error.= 'Смайл с таким именем уже есть!<br/>';
        }
        if ($_FILES['filename']['size'] > 1024 * 32) {
            $error.= 'Максимальный размер файла - 32 Kb!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            move_uploaded_file($_FILES['filename']['tmp_name'], $dir . rus2translit($_FILES['filename']['name']));
            header('Location: /adm/smiles');
        }
    }

    echo '<div class="menu">
    <form action="" method="POST" enctype="multipart/form-data" name="form">
    Файл:<br/><input type="file" name="filename"><br/>
    <input type="submit" name="submit" value="Загрузить">
    </form></div>';

    echo '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="">Панель управления</a></div>';

} else {
    header ('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>