<?php
$title = 'Назначение пользователей';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {

    echo '<div class="title">Назначение пользователей</div>';

    if (isset($_POST['submit'])) {
        $error = '';
        if (empty($_POST['login'])) {
            $error.= 'Введите логин пользователя!<br/>';
        }
        elseif (!user($_POST['login'], 1)) {
            $error.= 'Пользователь с таким логином не найден в системе!<br/>';
        }
        elseif ($_POST['login'] == $user['login']) {
            $error.= 'Запрещено менять свою должность!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $stmt = $connect->prepare("update `users` set `admin` = ? where `login` = ?");
            if ($stmt->execute(array($_POST['status'], $_POST['login']))){
                echo '<div class="menu">Вы успешно назначили пользователя!</div>';
                header('Refresh: 1');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="POST">
    Пользователь:<br/><input type="text" name="login" maxlength="15"/><br/>
    Статус:<br/><select name="status">';
    foreach ($admList as $key => $value)
        echo '<option value="'.$key.'">'.$value.'</option>';
    echo '</select><br/>
    <input type="submit" name="submit" value="Назначить"/>
    </form></div>';

    echo '<div class="title">Команда сайта ('.$count_team_user.')</div>';

    if ($count_team_user == 0) {
        echo '<div class="menu">NONE</div>';
    } else {

        $page = new Pagination($count_team_user, 10);

        $data = $connect->prepare("select * from `users` where `admin` != '0' order by `admin` limit :start, 10");
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="forlink"><a href="/user/'.$row['id'].'" class="links">'.iconUser($row['id']).gradient($row['login']).'<div class="chi">'.(isset($admList[$row['admin']]) ? $admList[$row['admin']] : 'unknown').'</div></a></div>';
        }

        $page->navigation();

    }

    echo '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="">Панель управления</a></div>';

} else {
    header ('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>