<?php
// Функция ББ кодов
function bb($str) {

    // Перенос текста
    $str = preg_replace('#\[br\]#si', '<br/>', $str);

    // Жирный шрифт
    $str = preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $str);

    // Наклоненный шрифт
    $str = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $str);

    // Подчеркнутый шрифт
    $str = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $str);

    // Зачеркнутый шрифт
    $str = preg_replace('#\[del\](.*?)\[/del\]#si', '<del>\1</del>', $str);

    // Маленький шрифт
    $str = preg_replace('#\[small\](.*?)\[/small\]#si', '<small>\1</small>', $str);

    // Цветной шрифт
    $str = preg_replace('#\[color=(.*?)\](.*?)\[/color\]#si', '<span style="color:\1">\2</span>', $str);

    // Мигающий текст
    $str = preg_replace('#\[blink\](.*?)\[/blink\]#si', '<div id="blink2">\1</div>', $str);

    // Цитата
    $str = preg_replace('#\[cit\](.*?)\[/cit\]#si', '<div class="cit">\1</div>', $str);

    // Градиент
    $str = preg_replace('#\[gradient=(.*?),(.*?)\](.*?)\[/gradient\]#si', '<span style="background: linear-gradient(135deg, \1 20%, \2 70%);-webkit-background-clip: text;-webkit-text-fill-color: transparent">\3</span>', $str);

    return $str;
}
// Ссылки
function url_replace($m) {
    if (isset($m[3])) {
        $url = '<a href="/go/'.base64_encode($m[3]).'">'.$m[3].'</a>';
    } else {
        $url = '<a href="/go/'.base64_encode($m[1]).'">'.$m[2].'</a>';
    }
    return $url;
}
function bblinks($link) {
    $link = preg_replace_callback('~\\[url=(https?://.+?)\\](.+?)\\[/url\\]|(https?://[0-9a-zA-Z\.\-]+\.[0-9a-zA-Z]{2,6}[0-9a-zA-Z/\?\.\-\~&;_=%:#\+]*)~', 'url_replace', $link);
    return $link;
}
// Функция вывода смайлов
function smiles($str) {
    $dir = $_SERVER["DOCUMENT_ROOT"]."/img/smiles/";
    foreach (scandir($dir) as $smile) {
        if (is_file($dir . $smile)) {
            $str = str_replace(':'.substr($smile, 0, -4).':', '<img src="/img/smiles/'.$smile.'" alt="smile">', $str);
        }
    }
    return $str;
}
 ?>