<?php
 /*
 * RekmixaCMS - The Newest Multifunctional Content Management System
 * Author - rekmixa
 * http://wordads.ru
 * Please do not distribute this engine. It is paid.
 */
ob_start();
// Установка
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/file_function.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/data_filter.php");
header("Content-Type: text/html; charset=utf-8");
?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<head>
<link rel="shortcut icon" href="/favicon.ico"/>
<link rel="stylesheet" href="/style/default.css" type="text/css"/>
<title>Установка RCMS</title>
</head>
<body>
<div class="logo"><a href="#"><img src="/img/logo.png" alt="logo"></a></div>
<?

$step = $_GET['step'] ?? false;

switch ($step) {

    case 'complete':

        // Удаляем папку install
        delete_dir(__DIR__);

        header('Location: /');

        break;

    case 'db':

        echo '<div class="title">Заливка таблиц в БД</div>';

        if (isset($_POST['host']) && isset($_POST['base']) && isset($_POST['user']) && isset($_POST['password'])) {

            $error = '';

            if (empty($_POST['host']) || empty($_POST['base']) || empty($_POST['user']) || empty($_POST['password'])) {
                $error.= 'Вы не заполнили одно из полей!<br/>';
            } else {
                try {
                    $connect = new PDO('mysql:host='.$_POST['host'].';dbname='.$_POST['base'], $_POST['user'], $_POST['password']);
                } catch (PDOException $e) {
                    $error.= 'Подключение не удалось: '.$e.'<br/>';
                }
            }
            if (!empty($error)) {
                echo '<div class="menu">'.$error.'</div>
                <div class="forlink"><a href="/install" class="links">Назад</a></div>';
            } else {

                // Таблицы
                require("tables.php");

                // Chmod
                chmod($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php", 0666);
                chmod($_SERVER["DOCUMENT_ROOT"]."/inc/system.ini", 0666);

                /* Настройки */

                $fileconfig = $_SERVER["DOCUMENT_ROOT"]."/inc/system.ini";

                $system = parse_ini_file($fileconfig, true);

                $system['db']['db_host'] = $_POST['host'];
                $system['db']['db_user'] = $_POST['user'];
                $system['db']['db_pass'] = $_POST['password'];
                $system['db']['db_name'] = $_POST['base'];

                write_ini_file($fileconfig, $system);
 
                echo '<div class="menu">
                <ul class="tick">
                <li>Соединение с БД установлено!</li>
                <li>Таблицы успешно залиты!</li>
                <li>Права на файлы конфигурации установлены!</li>
                </ul>
                <div class="butt5"><a href="?step=complete">Завершить установку</div></div>
                </div>';

            }

        } else {

            echo '<div class="menu">Форма не заполнена!</div>';

        }

        break;

    default;

        echo '<div class="title">Подключение к БД</div>
        <div class="menu">
        <form action="?step=db" method="POST">
        Хост:<br/><input type="text" name="host" value="localhost" /><br/>
        Пользователь:<br/><input type="text" name="user"><br/>
        Пароль:<br/><input type="text" name="password"><br/>
        База данных:<br/><input type="text" name="base"><br/>
        <input type="submit" value="Продолжить установку">
        </form></div>';

}

?>
<div class="ze">Copyright &copy; <?=date('Y');?></div>
</body>
</html>
<? ob_end_flush(); ?>