<?php
// Кодировка
$connect->exec("SET CHARACTER SET utf8");
// Логи авторизаций
$connect->exec("CREATE TABLE IF NOT EXISTS `authlog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `time` int(11) NOT NULL,
  `lasttime` int(11) NOT NULL,
  `ip` varchar(50) NOT NULL,
  `ua` varchar(200) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Форум
$connect->exec("CREATE TABLE IF NOT EXISTS `topic` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL, 
  `time` int(11) NOT NULL,
  `up` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `text` text NOT NULL,
  `kat` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Восстановление паролей
$connect->exec("CREATE TABLE IF NOT EXISTS `speedpass` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `key` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8"); 
// Звания
$connect->exec("CREATE TABLE IF NOT EXISTS `rank` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rating` float(11,1) NOT NULL,
  `rank` varchar(25) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Реклама
$connect->exec("CREATE TABLE IF NOT EXISTS `rek` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `expire` int(11) NOT NULL,
  `days` int(11) NOT NULL,
  `user` varchar(15) NOT NULL,
  `url` varchar(2500) NOT NULL,
  `name` varchar(2500) NOT NULL,
  `color` varchar(15) NOT NULL,
  `sum` float(11,2) NOT NULL,
  `status` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8");
// Уведомления
$connect->exec("CREATE TABLE IF NOT EXISTS `notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `new` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Репутация
$connect->exec("CREATE TABLE IF NOT EXISTS `respect` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `from` varchar(15) NOT NULL,
  `to` varchar(15) NOT NULL,
  `review` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8");
// Друзья
$connect->exec("CREATE TABLE IF NOT EXISTS `friend` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_from` varchar(15) NOT NULL,
  `user_to` varchar(15) NOT NULL,
  `point` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8");
// Черный список
$connect->exec("CREATE TABLE IF NOT EXISTS `blacklist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `black` varchar(15) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8");
// Магазин
$connect->exec("CREATE TABLE IF NOT EXISTS `shop` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `name` varchar(250) NOT NULL,
  `text` text NOT NULL,
  `kat` int(11) NOT NULL,
  `cena` float(11,2) NOT NULL,
  `col` int(11) NOT NULL,
  `limit` int(11) NOT NULL,
  `uid` int(11) NOT NULL DEFAULT '0',
  `status` int(11) NOT NULL DEFAULT '0',
  `upd` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Категории
$connect->exec("CREATE TABLE IF NOT EXISTS `kat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(75) NOT NULL,
  `type` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");
// Покупки
$connect->exec("CREATE TABLE IF NOT EXISTS `purchase` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `seller` varchar(15) NOT NULL,
  `name` varchar(250) NOT NULL,
  `sum` float(11,2) NOT NULL,
  `pid` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  `review` varchar(2500) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Корзина
$connect->exec("CREATE TABLE IF NOT EXISTS `basket` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `pid` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Скрины
$connect->exec("CREATE TABLE IF NOT EXISTS `screen` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `did` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  `file` varchar(150) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Задания
$connect->exec("CREATE TABLE IF NOT EXISTS `task` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `name` varchar(250) NOT NULL,
  `text` text NOT NULL,
  `cena` float(11,2) NOT NULL,
  `col` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Заявки на выполнение
$connect->exec("CREATE TABLE IF NOT EXISTS `task_ans` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `text` text NOT NULL,
  `file` varchar(150) NOT NULL,
  `tid` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Пирамида
$connect->exec("CREATE TABLE IF NOT EXISTS `prmd` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `sum` float(11,2) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// История победителей
$connect->exec("CREATE TABLE IF NOT EXISTS `win_prmd` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `sum` float(11,2) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Угадай число
$connect->exec("CREATE TABLE IF NOT EXISTS `num` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `cash` float(11,2) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Новости
$connect->exec("CREATE TABLE IF NOT EXISTS `news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL, 
  `time` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `text` text NOT NULL, 
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Комментарии
$connect->exec("CREATE TABLE IF NOT EXISTS `comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` int(11) NOT NULL,
  `user` varchar(15) NOT NULL,
  `text` text NOT NULL,
  `did` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8");
// Чат
$connect->exec("CREATE TABLE IF NOT EXISTS `guest` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` int(11) NOT NULL,
  `user` varchar(15) NOT NULL,
  `text` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8");
// Контакты
$connect->exec("CREATE TABLE IF NOT EXISTS `contacts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_from` varchar(15) NOT NULL,
  `user_to` varchar(15) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8");
// Почта
$connect->exec("CREATE TABLE IF NOT EXISTS `mail` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `who` varchar(15) NOT NULL,
  `text` text NOT NULL,
  `file` varchar(150) NOT NULL,
  `time` int(11) NOT NULL,
  `read` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Лотерея
$connect->exec("CREATE TABLE IF NOT EXISTS `loto` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// История победителей
$connect->exec("CREATE TABLE IF NOT EXISTS `win_loto` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `sum` float(11,2) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Площадки
$connect->exec("CREATE TABLE IF NOT EXISTS `link` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `time` int(11) NOT NULL,
  `user` varchar(15) NOT NULL,
  `url` varchar(2500) NOT NULL,
  `name` varchar(2500) NOT NULL,
  `click` int(11) NOT NULL,
  `cena` float(11,2) NOT NULL,
  `off` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8");
// Переходы
$connect->exec("CREATE TABLE IF NOT EXISTS `click` (
  `link` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `user` varchar(15) NOT NULL,
  `ua` varchar(200) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Пополнение баланса
$connect->exec("CREATE TABLE IF NOT EXISTS `plus` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `sum` float(11,2) NOT NULL,
  `num` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Вывод средств
$connect->exec("CREATE TABLE IF NOT EXISTS `payment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(15) NOT NULL,
  `money` float(11,2) NOT NULL,
  `wmr` varchar(13) NOT NULL DEFAULT '0',
  `time` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
// Юзеры
$connect->exec("CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `datereg` int(11) NOT NULL,
  `login` varchar(15) NOT NULL,
  `pass` text NOT NULL,
  `email` varchar(35) NOT NULL,
  `status` varchar(250) NOT NULL,
  `info` varchar(250) NOT NULL,
  `pol` int(11) NOT NULL DEFAULT '1',
  `name` varchar(75) NOT NULL,
  `wmr` varchar(15) NOT NULL,
  `avatar` varchar(150) NOT NULL,
  `icon` varchar(150) NOT NULL,
  `admin` int(11) NOT NULL DEFAULT '0',
  `color1` varchar(25) NOT NULL,
  `color2` varchar(25) NOT NULL,
  `fmail` int(11) NOT NULL DEFAULT '1',
  `ban` int(11) NOT NULL,
  `ref` int(11) NOT NULL,
  `money` float(11,2) NOT NULL,
  `rating` float(11,1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8");
 ?>