<?php
$title = 'Покупка рекламы';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['ads'] == 1) {

    echo '<div class="title">Покупка рекламы</div>';

    $oplata = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");
    $add = $connect->prepare("insert into `rek` set `url` = ?, `name` = ?, `color` = ?, `sum` = ?, `user` = ?, `days` = ?, `expire` = ?, `status` = ?");

    if ($active_rek + $c_mod_rek >= $rek_array['limit']) {
        echo '<div class="menu">
        Все рекламные места заняты!<br/>
        Следующее место освободится: '.($c_mod_rek > 0 ? 'Неизвестно' : daytime($last_rek['expire'])).'<br/>
        Всего мест: '.$rek_array['limit'].'
        </div>';
    } else {
        if (isset($_POST['submit'])) {

            $error = '';

            $status = $adm_id == 1 ? 1 : $mod_array['mod_a'];
            $days = intval(abs($_POST['days']));
            $expire = $status == 1 ? time() + 3600 * 24 * $days : 0;

            if (empty($_POST['color'])) $rek_array['color'] = 0;
            $sum = $days * ($rek_array['cena'] + $rek_array['color']);

            if (empty($_POST['url'])) {
                $error.= 'Введите URL!<br/>';
            }
            elseif (mb_strlen($_POST['url']) < 5) {
                $error.= 'Минимальная длина URL - 5!<br/>';
            }
            elseif (mb_strlen($_POST['url']) > 50) {
                $error.= 'Максимальная длина URL - 50 символов!<br/>';
            }
            elseif (!isSiteAvailable($_POST['url'])) {
                $error.= 'URL недоступен или введен не правильно!<br/>';
            }
            if (empty($_POST['name'])) {
                $error.= 'Введите название!<br/>';
            }
            elseif (mb_strlen($_POST['name']) < 5) {
                $error.= 'Минимальная длина названия - 5!<br/>';
            }
            elseif (mb_strlen($_POST['name']) > 75) {
                $error.= 'Максимальная длина названия - 75 символов!<br/>';
            }
            if ($days < 1) {
                $error.= 'Минимальное количество дней - 1!<br/>';
            }
            if ($user['money'] < $sum) {
                $error.= 'Недостаточно средств!<br/>';
            }
            if (!empty($error)) {
                echo '<div class="menu">'.$error.'</div>';
            } else {
                if ($oplata->execute(array($sum, $user['id'])) && $add->execute(array($_POST['url'], $_POST['name'], $_POST['color'], $sum, $user['login'], $days, $expire, $status))) {
                    header('Location: /ads');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
        }
        echo '<div class="menu">
        <form action="" method="post">
        URL:<br/><input type="text" name="url" value="http://"><br/>
        Название:<br/><input type="text" name="name"><br/>
        Цвет ссылки:<br/><input type="text" name="color"><br/>
        Количество дней:<br/><input type="text" name="days" value="5"><br/>
        <input type="submit" name="submit" value="Продолжить">
        </div>
        <div class="title">Информация</div>
        <div class="menu">
        Всего мест: '.$rek_array['limit'].'<br/>
        Стоимость рекламы: '.quantDec($rek_array['cena'], ['рубль', 'рубля', 'рублей']).'<br/>
        Добавление цвета: '.quantDec($rek_array['color'], ['рубль', 'рубля', 'рублей']).'<br/>
        <div class="chi">Цены указаны за 1 день.</div>
        </form></div>';
    }

    echo '<div class="forlink"><a href="/ads" class="links"><img src="/img/dvr.png" alt="dvr">Моя реклама</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>