<?php
$title = 'Реклама';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['ads'] == 1) {

    echo '<div class="title">Реклама</div>
    <div class="forlink"><a href="/ads/buy" class="links"><img src="/img/dvr.png" alt="dvr">Купить рекламу</a></div>';

    $del = $connect->prepare("delete from `rek` where `id` = ? limit 1");
    $num_u = $connect->prepare("select count(*) from `rek` where `id` = ? and `user` = ?");
    $strow = $connect->prepare("select * from `rek` where `id` = ?");

    if (isset($_GET['edit'])) {
        $num_u->execute(array($_GET['edit'], $user['login']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['cancel'])) {
                header('location: /ads/my');
            }
            elseif (isset($_POST['red'])) {
                $error = '';
                if (empty($_POST['name'])) {
                    $error.= 'Введите название!<br/>';
                }
                if (empty($_POST['url'])) {
                    $error.= 'Введите URL!<br/>';
                }
                elseif (!isSiteAvailable($_POST['url'])) {
                    $error.= 'URL недоступен или введен не правильно!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $status = $adm_id == 1 ? 1 : $mod_array['mod_a'];
                    $stmt = $connect->prepare("update `rek` set `url` = ?, `name` = ?, `status` = ? where `id` = ?");
                    if ($stmt->execute(array($_POST['url'], $_POST['name'], $status, $_GET['edit']))) {
                        header('location: /ads');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="post">
            URL:<br/><input type="text" name="url" value="'.$row['url'].'"><br/>
            Название:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
            <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit']).')">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        } else {
            header('location: /ads');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($_GET['del'], $user['login']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['del']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['expire'] < time() && $row['status'] == 1) {
                if (isset($_POST['yes'])) {
                    if ($del->execute(array($_GET['del']))) {
                        header('location: /ads');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('location: /ads');
                }

                echo '<div class="menu">
                <form action="" method="post">
                <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            } else {
                header('location: /ads');
            }
        } else {
            header('location: /ads');
        }
    }
    elseif (isset($_GET['bs'])) {
        $num_u->execute(array($_GET['bs'], $user['login']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['bs']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['status'] == 1) {
                if (isset($_POST['cancel'])) {
                    header('location: /ads');
                }
                elseif (isset($_POST['yes'])) {

                    $error = '';

                    $days = intval(abs($_POST['days']));
                    $last = $row['expire'] > time() ? $row['expire'] : time();
                    $expire = $last + 3600 * 24 * $days;
                    if (empty($row['color'])) $rek_array['color'] = 0;
                    $sum = $days * ($rek_array['cena'] + $rek_array['color']);

                    if ($row['expire'] < time() && $active_rek + $c_mod_shop >= $rek_array['limit']) {
                        $error.= 'Все рекламные места заняты!<br/>'; 
                    } else {
                        if ($days < 1) {
                            $error.= 'Минимальное количество дней - 1!<br/>';
                        }
                        if ($user['money'] < $sum) {
                            $error.= 'Недостаточно средств!<br/>';
                        }
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $money = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");
                        $stmt = $connect->prepare("update `rek` set `expire` = ?, `sum` = `sum` + ?, `days` = `days` + ? where `id` = ?");
                        if ($money->execute(array($sum, $user['id'])) && $stmt->execute(array($expire, $sum, $days, $_GET['bs']))) {
                            header('Location: /ads');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                echo '<div class="menu">
                <form action="" method="post">
                Количество дней:<br/><input type="text" name="days" value="5"><br/>
                <input type="submit" name="yes" value="Продолжить ('.intval($_GET['bs']).')"/> 
                <input type="submit" name="cancel" value="Отмена"/>
                </form></div>';
            } else {
                header('location: /ads');
            }
        } else {
            header('location: /ads');
        }
    }

    if ($user_rek == 0) {
        echo '<div class="menu">Рекламных ссылок нет!</div>';
    } else {

        $page = new Pagination($user_rek, 10);

        $data = $connect->prepare("select * from `rek` where `user` = :user order by `id` desc limit :start, 10");
        $data->bindValue(':user', $user['login']);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="menu">
            URL: '.bblinks($row['url']).'<br/>
            Название: '.$row['name'].'<br/>
            Общее количество дней: '.$row['days'].
            ($row['status'] == 2 ? '<div class="danger">Ваша рекламная ссылка заблокирована!</div>' : ($row['status'] == 3 ? '<div class="information">На модерации!</div>' : ($row['expire'] > time() ? '<div class="good">Активна до: '.daytime($row['expire']).'</div>' : '<div class="danger">Просрочена!</div>'))).'
            <div class="butt2">
            '.($row['expire'] < time() && $row['status'] == 1 ? '<a href="?del='.$row['id'].'">Удалить</a>' : '').'
            <a href="?edit='.$row['id'].'">Редактировать</a>
            '.($row['status'] == 1 ? '<a href="?bs='.$row['id'].'">Продлить</a>' : '').'
            </div> 
            </div>'; 
        }

        $page->navigation();

    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>