<?php
$title = 'Поиск по форуму';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
 if (isset($active) && $mod_array['forum'] == 1) { 

    echo '<div class="title">Поиск по форуму</div>
    <div class="menu">
    <form action="" method="GET">
    <input type="text" name="search" value="'.$search.'">
    <input type="submit" value="Поиск">
    </form></div>';

    if ($search) {

        $keywords = preg_replace("/[\s,]+/", "|", $search);

        $stmt_num = $connect->prepare("select count(*) from `topic` where `name` rlike :keywords or `text` rlike :keywords");
        $stmt_num->bindValue(':keywords', $keywords);
        $stmt_num->execute();
        $count_res = $stmt_num->fetchColumn();

        if ($count_res == 0) {
            echo '<div class="menu">Ничего не найдено!</div>';
        } else {

            $page = new Pagination($count_res, 10, $search ? "?search=$search&" : "?");

            $data = $connect->prepare("select * from `topic` where `name` rlike :keywords or `text` rlike :keywords order by `up` desc limit :start, 10");
            $data->bindValue(':keywords', $keywords);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {
                echo '<div class="forlink"><a href="/forum/topic/'.$row['id'].'" class="links"><img src="/img/post.png" alt="">'.$row['name'].'<div class="chi">'.$row['user'].'</div></a></div>';
            }

            $page->navigation();

        }
    }

    echo '<div class="forlink"><a href="/forum" class="links" ><img src="/img/forum.png" alt="">Форум</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>