<?php
$title = 'Мои друзья';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {
    switch ($act) {

        case 'request':

            echo '<div class="title">Заявки в друзья ('.$count_req.')</div>';

            $stmt_num = $connect->prepare("select count(*) from `friend` where `status` = '0' and `user_to` = ? and `id` = ?");
            $stmt = $connect->prepare("update `friend` set `status` = ? where `status` = '0' and `user_to` = ? and `id` = ?");

            if (isset($_GET['yes'])) {
               $stmt_num->execute(array($user['login'], $_GET['yes']));
               if ($stmt_num->fetchColumn()) {
                    $status = 1;
                    if ($stmt->execute(array($status, $user['login'], $_GET['yes']))) {
                        header('location: /friends/request');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                } else {
                    header('location: /friends/request');
                }
            }
            elseif (isset($_GET['no'])) {
                $stmt_num->execute(array($user['login'], $_GET['no']));
                if ($stmt_num->fetchColumn()) {
                    $status = 2;
                    if ($stmt->execute(array($status, $user['login'], $_GET['no']))) {
                        header('location: /friends/request');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                } else {
                    header('location: /friends/request');
                }
            }

            if ($count_req == 0) {
                echo '<div class="menu">Заявок нет!</div>';
            } else {

                $page = new Pagination($count_req, 10);

                $data = $connect->prepare("select * from `friend` where `status` = '0' and `user_to` = :user order by `id` desc limit :start, 10");
                $data->bindValue(':user', $user['login']);
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {
                    echo '<div class="menu">
                    Пользователь: '.iconUser($row['user_from'], 1).(user($row['user_from'], 1) ? '<a href="/user/'.uid($row['user_from']).'" class="mlink">'.gradient($row['user_from']).'</a>' : $row['user_from']).'<br/>
                    <div class="butt2"><a href="?yes='.$row['id'].'">Добавить в друзья</a><a href="?no='.$row['id'].'">Отклонить</a></div>
                    </div>';
                }

                $page->navigation();

            }

            break;

        default:

            echo '<div class="title">Мои друзья ('.$count_friends.')</div>';

            if ($count_friends == 0) {
                echo '<div class="menu">Друзей нет!</div>';
            } else {

                $page = new Pagination($count_friends, 10);

                $data = $connect->prepare("select * from `friend` where `status` = '1' and (`user_from` = :user or `user_to` = :user) order by `point` desc limit :start, 10");
                $data->bindValue(':user', $user['login']);
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {
                    $friend = $row['user_from'] == $user['login'] ? $row['user_to'] : $row['user_from'];
                    echo '<div class="forlink">'.(user($friend, 1) ? '<a href="/user/'.uid($friend).'" class="links">'.iconUser($friend, 1).gradient($friend).'<span class="online">'.online($friend, 1).'</span></a>' : $friend).'</div>';
                }

                $page->navigation();

            }
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>