<?php
$title = 'Переход по ссылке';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['serf'] == 1) {

    echo '<div class="title">Переход по ссылке</div>';

    $stmt_count = $connect->prepare("select count(*) from `link` where `click` > '0' and `off` = '0' and `id` = ?");
    $stmt_count->execute(array($id));

    if ($stmt_count->fetchColumn()) {

        // prepared
        $stmt_click = $connect->prepare("select count(*) from `click` where `user` = ? and `link` = ?");
        $in_click = $connect->prepare("insert into `click` set `time` = ?, `link` = ?, `user` = ?, `ua` = ?");
        $money = $connect->prepare("update `users` set `money` = `money` + ? where `id` = ?");
        $link = $connect->prepare("update `link` set `click` = `click` - '1' where `id` = ?");
        $strow = $connect->prepare("select * from `link` where `click` > '0' and `off` = '0' and `id` = ?");


        if (isset($_SESSION['serf_ban']) && $_SESSION['serf_ban'] > time() - $sys_array['serf_ban']) {
            echo '<div class="menu"><div class="forbidden">Вы забанены на '.quantDec($sys_array['serf_ban'], ['секунда', 'секунды', 'секунд']).'!</div></div>';
        }
        elseif (isset($_SESSION['c_time']) && $_SESSION['c_time'] > time() - $sys_array['ctime']) {
            $_SESSION['serf_ban'] = time();
            echo '<div class="menu"><div class="danger">Просматривайте сайты не менее '.quantDec($sys_array['ctime'], ['секунда', 'секунды', 'секунд']).'!</div></div>';
        } else {

            $strow->execute(array($id));
            $row = $strow->fetch(PDO::FETCH_LAZY); 

            $stmt_click->execute(array($user['login'], $id));

            if ($row['user'] != $user['login']) {
                if (!$stmt_click->fetchColumn()) {
                    if ($in_click->execute(array(time(), $id, $user['login'], $ua)) && $money->execute(array($row['cena'], $user['id'])) && $link->execute(array($id))) {
                        ratingUser($rat_array['click'], $user['id']);
                        $_SESSION['c_time'] = time();
                        header('Location: '.$row['url']);
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                } else {
                    echo '<div class="menu"><div class="forbidden">Вы уже переходили по этой ссылке сегодня!</div></div>';
                }
            } else {
                echo '<div class="menu"><div class="forbidden">Нельзя переходить по своей ссылке!</div></div>';
            }
        }
    } else {
        echo '<div class="menu">Нет такой ссылки!</div>';
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
 ?>