<?php
$title = 'Переход по ссылке';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['serf'] == 1) {

    echo '<div class="title">Переход по ссылке</div>';

    if ($count_serf == 0) {
        echo '<div class="menu">Нет ссылок!</div>';
    } else {

        // prepared
        $stmt_click = $connect->prepare("select count(*) from `click` where `user` = ? and `link` = ?");
        $in_click = $connect->prepare("insert into `click` set `time` = ?, `link` = ?, `user` = ?, `ua` = ?");
        $money = $connect->prepare("update `users` set `money` = `money` + ? where `id` = ?");
        $link = $connect->prepare("update `link` set `click` = `click` - '1' where `id` = ?");

        if (isset($_SESSION['serf_ban']) && $_SESSION['serf_ban'] > time() - $sys_array['serf_ban']) {
            echo '<div class="menu"><div class="forbidden">Вы забанены на '.quantDec($sys_array['serf_ban'], ['секунда', 'секунды', 'секунд']).'!</div></div>';
        }
        elseif (isset($_SESSION['c_time']) && $_SESSION['c_time'] > time() - $sys_array['ctime']) {
            $_SESSION['serf_ban'] = time();
            echo '<div class="menu"><div class="danger">Просматривайте сайты не менее '.quantDec($sys_array['ctime'], ['секунда', 'секунды', 'секунд']).'!</div></div>';
        } else {

            $data = $connect->prepare("select * from `link` where `click` > '0' and `off` = '0' and `user` != :user order by `cena` desc");
            $data->bindValue(':user', $user['login']);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {

                $stmt_click->execute(array($user['login'], $row['id']));

                if (!$stmt_click->fetchColumn()) {
                    if ($in_click->execute(array(time(), $row['id'], $user['login'], $ua)) && $money->execute(array($row['cena'], $user['id'])) && $link->execute(array($row['id']))) {
                        ratingUser($rat_array['click'], $user['id']);
                        $_SESSION['c_time'] = time();
                        header('Location: '.$row['url']);
                        break;
                    }
                }
            }
        }
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
 ?>