<?php
$title = 'Мои площадки';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['serf'] == 1) {

    echo '<div class="title">Мои площадки</div><div class="forlink"><a href="/link/add" class="links"><img src="/img/add.png" alt="">Создать площадку</a></div>';

    $stmt_cl = $connect->prepare("select count(*) from `click` where `link` = ?");
    $num_u = $connect->prepare("select count(*) from `link` where `id` = ? and `user` = ?");
    $strow = $connect->prepare("select * from `link` where `id` = ?");

    if (isset($_GET['edit'])) {
        $num_u->execute(array($_GET['edit'], $user['login']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['off'] == 2) {
                header('Location: /link');
            } else {
                if (isset($_POST['yes'])) {

                    $stmt_num = $connect->prepare("select count(*) from `link` where `url` = ? and `id` != ?");
                    $stmt_num->execute(array($_POST['url'], $_GET['edit']));

                    $error = '';
                    if (empty($_POST['url'])) {
                        $error.= 'Введите URL!<br/>';
                    }
                    elseif (mb_strlen($_POST['url']) < 5) {
                        $error.= 'Минимальная длина URL - 5 символов!<br/>';
                    }
                    elseif (mb_strlen($_POST['url']) > 50) {
                        $error.= 'Максимальная длина URL - 50 символов!<br/>';
                    }
                    elseif ($stmt_num->fetchColumn()) {
                        $error.= 'Площадка с данным URL уже есть в системе!<br/>';
                    }
                    elseif (!isSiteAvailable($_POST['url'])) {
                        $error.= 'URL недоступен или введен не правильно!<br/>';
                    }
                    if (empty($_POST['name'])) {
                        $error.= 'Введите название!<br/>';
                    }
                    elseif (mb_strlen($_POST['name']) < 5) {
                        $error.= 'Минимальная длина названия - 5!<br/>';
                    }
                    elseif (mb_strlen($_POST['name']) > 50) {
                        $error.= 'Максимальная длина названия - 50 символов!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $off = $adm_id == 1 ? 0 : $mod_array['mod_s'];
                        $stmt = $connect->prepare("update `link` set `url` = ?, `name` = ?, `off` = ? where `id` = ? limit 1");
                        if ($stmt->execute(array($_POST['url'], $_POST['name'], $off, $_GET['edit']))) {
                            header('Location: /link');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /link');
                }
                echo '<div class="menu">
                <form action="" method="post">
                URL-адрес:<br/><input type="text" name="url" value="'.$row['url'].'"><br/>
                Название:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
                <input type="submit" name="yes" value="Сохранить ('.intval($_GET['edit']).')"/>
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            }
        } else {
            header('Location: /link');
        }
    }
    elseif (isset($_GET['mode'])) {
        $num_u->execute(array($_GET['mode'], $user['login']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['mode']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['off'] == 2) {
                header('Location: /link');
            } else {
                if (isset($_POST['yes'])) {
                    $off = $row['off'] == 1 ? 0 : 1;
                    $stmt = $connect->prepare("update `link` set `off` = ? where `id` = ?");
                    if ($stmt->execute(array($off, $_GET['mode']))) {
                        header('Location: /link');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /link');
                }
                echo '<div class="menu">
                <form action="" method="post">
                <input type="submit" name="yes" value="'.($row['off'] == 1 ? 'Включить' : 'Отключить').' ('.intval($_GET['mode']).')">
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            }
        } else {
            header('Location: /link');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($_GET['del'], $user['login']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['del']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['off'] == 2) {
                header('Location: /link');
            } else {
                if (isset($_POST['yes'])) {
                    $money = $connect->prepare("update `users` set `money` = `money` + ? where `id` = ?");
                    $del = $connect->prepare("delete from `link` where `id` = ? limit 1");
                    if ($money->execute(array($row['click'] * $row['cena'], $user['id'])) && $del->execute(array($_GET['del']))) {
                        header('Location: /link');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /link');
                }

                echo '<div class="menu">
                <form action="" method="post">
                <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
           }
        } else {
            header('Location: /link');
        }
    }
    elseif (isset($_GET['bs'])) {
        $num_u->execute(array($_GET['bs'], $user['login']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['bs']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['off'] == 2) {
                header('Location: /link');
            } else {
                if (isset($_POST['yes'])) {
                    $error = '';
                    if (empty($_POST['col'])) {
                        $error.= 'Введите количество переходов!<br/>';
                    }
                    elseif (!is_numeric($_POST['col'])) {
                        $error.= 'Неверное значение!<br/>';
                    }
                    elseif ($_POST['col'] < 10) {
                        $error.= 'Минимальное количество переходов - 10!<br/>';
                    }
                    elseif ($user['money'] < $_POST['col'] * $row['cena'] && $adm_id != 1) {
                        $error.= 'Недостаточно средств!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {

                        $col = intval($_POST['col']);
                        $sum = $col * $row['cena'];

                        $stmt = $connect->prepare("update `link` set `click` = `click` + ? where `id` = ?");
                        $money = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");

                        if ($stmt->execute(array($col, $_GET['bs'])) && $money->execute(array($sum, $user['id']))) {
                            header('Location: /link');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /link');
                }
                echo '<div class="menu">
                <form action="" method="post">
                Количество переходов:<br/><input type="text" name="col" value="10"><br/>
                <input type="submit" name="yes" value="Пополнить ('.intval($_GET['bs']).')"/> 
                <input type="submit" name="no" value="Отмена"/><br/>
                <div class="chi">Стоимость перехода: '.quantDec($row['cena'], ['рубль', 'рубля', 'рублей']).'</div>
                </form></div>';
            }
        } else {
            header('Location: /link');
        }
    }

    if ($links == 0) {
        echo '<div class="menu">Нет площадок!</div>';
    } else {

        $page = new Pagination($links, 10);

        $data = $connect->prepare("select * from `link` where `user` = :user order by `id` desc limit :start, 10");
        $data->bindValue(':user', $user['login']);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $stmt_cl->execute(array($row['id']));
            $count_click = $stmt_cl->fetchColumn();

            echo '<div class="menu">
            ID: '.$row['id'].'<br/>
            URL: '.bblinks($row['url']).'<br/>
            Название: '.$row['name'].'<br/>
            Баланс: '.$row['click'].' (<a href="?bs='.$row['id'].'">Пополнить</a>)<br/>
            Статус: '.($row['off'] == 0 ? 'Включена' : 'Отключена').' (<a href="?mode='.$row['id'].'">Изм.</a>)<br/>
            Сегодня переходов: '.$count_click.'<br/>
            <div class="chi">Стоимость перехода: '.quantDec($row['cena'], ['рубль', 'рубля', 'рублей']).'</div>
            '.($row['off'] == 2 ? '<div class="danger">Ваша площадка заблокирована!</div>' : ($row['off'] == 3 ? '<div class="information">На модерации!</div>' : '')).'
            <div class="butt2">
            <a href="?del='.$row['id'].'">Удалить</a>
            <a href="?edit='.$row['id'].'">Редактировать</a><br/>
            <a href="/link/stats/'.$row['id'].'">Статистика площадки</a>
            </div> 
            </div>';
        }

        $page->navigation();

    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>