<?php
$title = 'Статистика площадки';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    $stmt_count = $connect->prepare("select count(*) from `link` where `id` = ? and `user` = ?");
    $stmt_count->execute(array($id, $user['login']));

    if (!$stmt_count->fetchColumn()) {
        header('Location: /link');
    } else {

        $stmt_cl = $connect->prepare("select count(*) from `click` where `link` = ?");
        $stmt_cl->execute(array($id));
        $count_click = $stmt_cl->fetchColumn();

        echo '<div class="title">Статистика площадки (ID: '.$id.')</div>
        <div class="menu">Сегодня переходов: '.$count_click.'</div>';

        if ($count_click == 0) {
            echo '<div class="menu">Записей нет.</div>';
        } else {

            $page = new Pagination($count_click, 10);

            $data = $connect->prepare("select * from `click` where `link` = :link order by `time` desc limit :start, 10");
            $data->bindValue(':link', $id, PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {
                echo '<div class="menu">
                Пользователь: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
                Время: '.daytime($row['time']).'<br/>
                UA: '.$row['ua'].'
                </div>';
            }

            $page->navigation();

        }

        echo '<div class="forlink"><a href="/link" class="links"><img src="/img/link.png" alt="">Мои площадки</a></div>';

    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>