<?php
$title = 'Лотерея';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['loto'] == 1) {

    switch ($act) {

        case 'log':
 
            echo '<div class="title">История победителей</div>';

            if ($count_win_loto == 0) {
                echo '<div class="menu">Записей нет!</div>';
            } else {

                $page = new Pagination($count_win_loto, 10);

                $data = $connect->prepare("select * from `win_loto` order by `id` desc limit :start, 10");
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {
                    echo '<div class="menu">
                    Выигрыш: '.quantDec($row['sum'], ['рубль', 'рубля', 'рублей']).'<br/>
                    Пользователь: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
                    Дата: '.daytime($row['time']).'
                    </div>';
                }

                $page->navigation();

            }

            echo '<div class="forlink"><a href="/play/loto" class="links"><img src="/img/pizza.png" alt="">Лотерея</a></div>';
 
            break;

        default:

            echo '<div class="title">Лотерея</div>
            <div class="menu">
            Выигрыш: '.quantDec($loto_cash, ['рубль', 'рубля', 'рублей']).'<br/>
            Участвует пользователей: '.$loto_count.'<br/>
            Максимальное число участников: '.$sys_array['loto'].'
            </div>';

            $stmt_num = $connect->prepare("select count(*) from `loto` where `user` = ?");
            $stmt_num->execute(array($user['login']));

            if ($stmt_num->fetchColumn()) {
                $strow = $connect->prepare("select * from `loto` where `user` = ?");
                $strow->execute(array($user['login']));
                $loto = $strow->fetch(PDO::FETCH_LAZY);
                echo '<div class="menu">Ждите окончания лотереи! Ваш билет - &#8470;'.$loto['id'].'</div>';
            } else {
                if (isset($_POST['submit'])) {
                    $error = '';
                    if ($user['money'] < $sys_array['loto_cena']) {
                        $error.= 'Недостаточно средств!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>'; 
                    } else {
                        $stmt1 = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");
                        $stmt2 = $connect->prepare("insert into `loto` set `user` = ?");
                        if ($stmt1->execute(array($sys_array['loto_cena'], $user['id'])) && $stmt2->execute(array($user['login']))) {
                            header('Locatiom: /play/loto');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                } 

                echo '<div class="menu">
                <form action="" method="post">
                <input type="submit" name="submit" value="Купить билет ('.quantDec($sys_array['loto_cena'], ['рубль', 'рубля', 'рублей']).')" />
                </form></div>';
            }
            echo '<div class="forlink"><a href="/play/loto/log" class="links"><img src="/img/pizza.png" alt="">История победителей<div class="chi">'.$count_win_loto.'</div></a></div>';
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
 ?>