<?php
$title = 'Мои рефералы';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Мои рефералы</div>';

    if (empty($sys_array['ref_cash'])) {
        echo '<div class="menu">Реферальная система отключена!</div>';
    } else {
        echo '<div class="menu">
        Вы будете получать '.$sys_array['ref_cash'].'% от пополнений баланса ваших рефералов.<br/>
        Реферальная ссылка:<br/><input type="text" value="'.ROOT.'/?ref='.$user['id'].'">
        </div>';

        if ($count_ref == 0) {
            echo '<div class="menu">Рефералов нет!</div>';
        } else {

            $page = new Pagination($count_ref, 10);

            $data = $connect->prepare("select * from `users` where `ref` = :ref order by `lasttime` desc limit :start, 10");
            $data->bindValue(':ref', $user['id'], PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {
                echo '<div class="menu">
                Пользователь: <a href="/user/'.$row['id'].'" class="mlink">'.iconUser($row['id']).gradient($row['login']).'</a><br/>
                Баланс: '.quantDec($row['money'], ['рубль', 'рубля', 'рублей']).'<br/>
                Дата регистрации: '.daytime($row['datereg']).'<br/>
                </div>';
            }

            $page->navigation();

        }
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>