<?php

/* WapKassa */

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/function.php");

$pay = $connect->prepare("UPDATE `users` SET `money` = `money` + ? WHERE `id` = ?");
$strow = $connect->prepare("SELECT * FROM `plus` WHERE `num` = ?");
$del = $connect->prepare("DELETE FROM `plus` WHERE `num` = ?");

if (isset($_POST['WK_PAY_ID']) &&
    isset($_POST['WK_PAY_AMOUNT']) &&
    isset($_POST['WK_PAY_TIME']) &&
    isset($_POST['WK_PAY_HASH'])) {

    /* Проверка */

    $strow->execute(array($_POST['WK_PAY_ID']));
    $row = $strow->fetch(PDO::FETCH_LAZY);

    if (!$row)
        exit('ERR: ПОПЫТКА ПОДМЕНЫ ПЛАТЕЖА!');

    if ($row['sum'] != $_POST['WK_PAY_AMOUNT'])
        exit('ERR: ПОПЫТКА ПОДМЕНЫ СУММЫ!');

    $hash = strtoupper(hash('sha256',

        $pay_array['wpk_id'].
        $_POST['WK_PAY_AMOUNT'].
        $_POST['WK_PAY_TIME'].
        $pay_array['wpk_hash']

    ));

    if ($hash != $_POST['WK_PAY_HASH'])
        exit('ERR: ПОПЫТКА ПОДМЕНЫ КОНТРОЛЬНОЙ ПОДПИСИ!');
 
    // рейтинг
    ratingUser($rat_array['plus'], $row['uid']);

    // реферальное начисление
    $u_row = user($row['uid']);
    $ref = user($u_row['ref']);
    $ref_money = $row['sum'] / 100 * $sys_array['ref_cash'];
    if ($ref && $ref_money > 0) {
        notification('Зачислено на баланс '.quantDec($ref_money, ['рубль', 'рубля', 'рублей']).' от реферала [b]'.$u_row['login'].'[/b]!', $ref['id']);
        $pay->execute(array($ref_money, $ref['id']));
    }

    // пополнение
    if ($pay->execute(array($row['sum'], $row['uid'])))
        $del->execute(array($_POST['WK_PAY_ID']));

}
 ?>