<?php
$title = 'История авторизаций';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">История авторизаций ('.$count_auth.')</div>';

    $stmt_count = $connect->prepare("select count(*) from `authlog` where `user` = ? and `id` = ?");

    if (isset($_GET['exit'])) {
        if (isset($_POST['cancel'])) {
            header('Location: /settings/authlog');
        }
        elseif (isset($_POST['ok'])) {
            $reset = $connect->prepare("update `authlog` set `status` = '0' where `user` = ? and `id` != ?");
            if ($reset->execute(array($user['login'], $_COOKIE['auth']))) {
                header('Location: /settings/authlog');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
        echo '<div class="menu">
        <form action="" method="POST">
        <input type="submit" name="ok" value="Подтвердить">
        <input type="submit" name="cancel" value="Отмена">
        </form></div>';
    }
    elseif (isset($_GET['reset']) && $_GET['reset'] != $_COOKIE['auth']) {
        $stmt_count->execute(array($user['login'], $_GET['reset']));
        if ($stmt_count->fetchColumn()) {
            if (isset($_POST['cancel'])) {
                header('Location: /settings/authlog');
            }
            elseif (isset($_POST['ok'])) {
                $reset_auth = $connect->prepare("update `authlog` set `status` = '0' where `user` = ? and `id` = ?");
                if ($reset_auth->execute(array($user['login'], $_GET['reset']))) {
                    header('Location: /settings/authlog');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="ok" value="Сбросить авторизацию ('.intval($_GET['reset']).')">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>'; 
        } else {
            header('Location: /settings/authlog'); 
        }
    }

    echo '<div class="forlink"><a href="?exit" class="links"><img src="/img/exit.png" alt="exit">Выйти со всех устройств</a></div>';

    if ($count_auth == 0) {
        echo '<div class="menu">Записей нет!</div>';
    } else {

        $page = new Pagination($count_auth, 10);

        $data = $connect->prepare("select * from `authlog` where `user` = :user order by `id` desc limit :start, 10");
        $data->bindValue(':user', $user['login']);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="menu">
            Время: '.date('d.m.Y H:i', $row['time']).'<br/>
            Последнее посещение: '.date('d.m.Y H:i', $row['lasttime']).deviceIcon($row['ua']).'<br/>
            IP: '.$row['ip'].'<br/>
            UA: '.$row['ua'].
            ($row['status'] == 1 ? ($_COOKIE['auth'] == $row['id'] ? '<div class="good">Нынешняя авторизация!</div>' : '<div class="butt2"><a href="?reset='.$row['id'].'">Сбросить</a></div>') : '<div class="forbidden">Авторизация сброшена!</div>').'
            </div>';
        }

        $page->navigation();

    }

    echo '<div class="forlink"><a href="/settings" class="links"><img src="/img/sett.png" alt="">Настройки</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>