<?php
$title = 'Градиент ника';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Градиент ника</div>';

    if (isset($_GET['first']) && isset($_GET['second'])) {
        $error = '';
        if (empty($_GET['first']) || empty($_GET['second'])) {
            $error.= 'Введите оба цвета!<br/>';
        }
        elseif (!preg_match("#^\#[a-f0-9]{6}$#i", $_GET['first']) || !preg_match("#^\#[a-f0-9]{6}$#i", $_GET['second'])) {
            $error.= 'Вводите цвета в HEX!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            if (isset($_POST['ok'])) {
                if ($user['money'] < $sys_array['gradient']) {
                    $error.= 'Недостаточно средств!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `users` set `money` = `money` - ?, `color1` = ?, `color2` = ? where `id` = ?");
                    if ($stmt->execute(array($sys_array['gradient'], $_GET['first'], $_GET['second'], $user['id']))) {
                        echo '<div class="menu"><div class="good">Градиент ника успешно установлен!</div></div>';
                        header('Refresh: 1; URL = /settings/gradient');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Ваш градиент: '.str2gradient($user['login'], $_GET['first'], $_GET['second']).'<hr/>
            <input type="submit" name="ok" value="Готово">
            <div class="chi">Стоимость: '.quantDec($sys_array['gradient'], ['рубль', 'рубля', 'рублей']).'</div>
            </form></div>';
        } 
    }

    echo '<div class="menu">
    <form action="" method="GET">
    Первый цвет:<br/><input type="text" name="first" value="'.random_color().'"><br/>
    Второй цвет:<br/><input type="text" name="second" value="'.random_color().'"><br/>
    <input type="submit" value="Продолжить">
    </form></div>';

    echo '<div class="forlink"><a href="/settings" class="links"><img src="/img/sett.png" alt="">Настройки</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>