<?php
$title = 'Настройки профиля';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Аватар</div>';

    if (file_exists($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$user['avatar']) && $user['avatar']) {
        if (isset($_GET['del'])) {
            if (isset($_POST['cancel'])) {
                header('location: /settings/profile');
            }
            elseif (isset($_POST['submit'])) {
                unlink($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$user['avatar']);
                header('location: /settings/profile'); 
            } else {
                echo '<div class="menu">
                <form action="" method="post">
                <input type="submit" name="submit" value="Удалить">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
            }
        }
        $avatar = '/files/avatar/'.$user['avatar'];
        echo '<div class="menu">Ваш аватар: '.$user['avatar'].' ('.get_filesize($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$user['avatar']).') <small><a href="?del">Удалить</a></small><hr/>
        <img src="/preview/'.$sys_array['wava'].'x0/'.base64_encode($avatar).'" alt="preview" data-toggle="modal" data-target="#avatar">
         <div id="avatar" class="modal fade" tabindex="-1">
          <div class="modal-dialog">
            <img src="'.$avatar.'" alt="avatar" class="img-thumbnail" data-dismiss="modal">
          </div>
        </div>
        </div>';
    }
    if (isset($_POST['avatar'])) {
        $error = '';
        if (!file_exists($_FILES['filename']['tmp_name'])) {
            $error.= 'Вы не выбрали файл!<br/>';
        }
        elseif (!in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png']) || !exif_imagetype($_FILES['filename']['tmp_name'])) {
            $error.= 'Неверный тип файла!<br/>';
        }
        if ($_FILES['filename']['size'] > 1048576) {
            $error.= 'Максимальный размер файла - 1024 Kb!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            if (file_exists($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$user['avatar']) && $user['avatar']) {
                unlink($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$user['avatar']);
            }
            $files = $user['id']."_".$_FILES['filename']['name'];
            move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$files);
            $stmt = $connect->prepare("update `users` set `avatar` = ? where `id` = ?");
            $stmt->execute(array($files, $user['id']));
            header('location: /settings/profile');
        }
    }
    echo '<div class="menu">
    <form name="form" action="" method="POST" enctype="multipart/form-data">
    Прикрепить файл:<br/><input type="file" name="filename"><br/>
    <input type="submit" name="avatar" value="Загрузить">
    </form></div>';

    echo '<div class="title">Профиль</div>';

    if (isset($_POST['profile'])) {
        $error = '';
        if (mb_strlen($_POST['status']) > 250) {
            $error.= 'Статус должен содержать не более 250 символов!<br/>';
        }
        if (mb_strlen($_POST['name']) > 75) {
            $error.= 'Имя должно содержать не более 75 символов!<br/>';
        }
        if (mb_strlen($_POST['info']) > 250) {
            $error.= 'Краткая информация о себе должна содержать не более 250 символов!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $stmt = $connect->prepare("update `users` set `status` = ?, `name` = ?, `pol` = ?, `info` = ?, `fmail` = ? where `id` = ?");
            if ($stmt->execute(array($_POST['status'], $_POST['name'], $_POST['pol'], $_POST['info'], $_POST['fmail'], $user['id']))) {
                header('location: /settings/profile'); 
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="post">
    Статус:<br/><textarea name="status">'.$user['status'].'</textarea><hr/>
    Имя:<br/><input type="text" name="name" value="'.$user['name'].'"><br/>
    Пол:<br/><select name="pol">'.($user['pol'] == 1 ? '<option value="1">Мужской</option><option value="2">Женский</option>' : '<option value="2">Женский</option><option value="1">Мужской</option>').'</select><br/>
    О себе:<br/><textarea name="info">'.$user['info'].'</textarea><br/>
    Отправлять сообщения могут:<br/><select name="fmail">'.($user['fmail'] == 2 ? '<option value="2">Только друзья</option><option value="1">Все</option>' : '<option value="1">Все</option><option value="2">Только друзья</option>').'</select><br/>
    <input type="submit" name="profile" value="Сохранить">
    </form></div>';

    echo '<div class="forlink"><a href="/settings" class="links"><img src="/img/sett.png" alt="">Настройки</a></div>'; 

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>