<?php
$title = 'Корзина';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['shop'] == 1) {
    echo '<div class="title">Корзина ('.$user_bk.')</div>';

    $del_basket = $connect->prepare("delete from `basket` where `id` = ?");
    $stmt_count = $connect->prepare("select count(*) from `shop` where `id` = ?");
    $strow = $connect->prepare("select * from `shop` where `id` = ?");

    if ($user_bk == 0) {
        echo '<div class="menu">В корзине пусто.</div>';
    } else {

        $page = new Pagination($user_bk, 10);

        $data = $connect->prepare("select * from `basket` where `user` = :user order by `id` desc limit :start, 10");
        $data->bindValue(':user', $user['login']);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $stmt_count->execute(array($row['pid']));

            if ($stmt_count->fetchColumn()) {

                $strow->execute(array($row['pid']));
                $s_row = $strow->fetch(PDO::FETCH_LAZY);

                echo '<div class="forlink">
                <a href="/shop/product/'.$s_row['id'].'" class="links">
                <img src="/img/product.png" alt="product">'.$s_row['name'].'
                <div class="chi">'.quantDec($s_row['cena'], ['рубль', 'рубля', 'рублей']).'</div>
                </a></div>';

            } else {
                $del_basket->execute(array($row['id']));
            }
        }

        $page->navigation();

    }

    echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt="">Магазин скриптов</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>