<?php
$title = 'Мои товары';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['shop'] == 1) {

    echo '<div class="title">Мои товары ('.$count_user_shop.')</div>
    <div class="forlink"><a href="/shop/add" class="links"><img src="/img/add.png" alt="add">Добавить товар</a></div>';

    if ($count_user_shop == 0) {
        echo '<div class="menu">Товаров нет!</div>';
    } else {

        $page = new Pagination($count_user_shop, 10);

        $data = $connect->prepare("select * from `shop` where `user` = :user order by `id` desc limit :start, 10");
        $data->bindValue(':user', $user['login']);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="forlink">
            <a href="/shop/product/'.$row['id'].'" class="links">
            <img src="/img/product.png" alt="">'.$row['name'].'
            <div class="chi">'.($row['status'] == 1 ? quantDec($row['cena'], ['рубль', 'рубля', 'рублей']) : 'На модерации').'</div>
            </a></div>';
        }

        $page->navigation();

    }

    echo '<div class="menu">
    Ссылка на ваш магазин:<br/>
    <input type="text" value="'.ROOT.'/shop/seller/'.$user['id'].'" />
    </div>';


    echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt="">Магазин скриптов</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>