<?php
$title = 'Мои покупки';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['shop'] == 1) {

    echo '<div class="title">Мои покупки</div>';

    if ($user_purch == 0) {
        echo '<div class="menu">Покупок нет.</div>';
    } else {

        echo '<div class="menu">
        Покупок за все время: '.$user_purch.'<br/>
        На сумму: '.quantDec($sum_user_purch, ['рубль', 'рубля', 'рублей']).'
        </div>';

        $page = new Pagination($user_purch, 10);

        $data = $connect->prepare("select * from `purchase` where `user` = :user order by `id` desc limit :start, 10");
        $data->bindValue(':user', $user['login']);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $fileshop = @glob($_SERVER["DOCUMENT_ROOT"]."/files/shop/".$row['pid']."_*")[0];

            echo '<div class="menu">
            Товар: <a href="/shop/product/'.$row['pid'].'">'.$row['name'].'</a><br/>
            Размер файла: '.get_filesize($fileshop).'<br/>
            <div class="butt2">
            <a href="/shop/download/'.$row['pid'].'">Загрузить</a>
            </div></div>';

        }

        $page->navigation();

    }

    echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt="">Магазин скриптов</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>