<?php
$title = 'Магазин скриптов';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($mod_array['shop'] == 1) {
    if (!user($id)) {
        header('location: /');
    } else {

        $rating = $connect->prepare("select count(*) from `purchase` where `seller` = ? and `status` = ?");

        $seller = user($id);

        // кол-во товаров
        $stmt_user_shop->execute(array($seller['login']));
        $s_count = $stmt_user_shop->fetchColumn();

        // плюсы
        $rating->execute(array($seller['login'], 1));
        $plus = $rating->fetchColumn();
        // минусы
        $rating->execute(array($seller['login'], 2));
        $minus = $rating->fetchColumn();
        // Рейтинг продавца
        $respect = $plus - $minus;

        echo '<div class="title">Магазин скриптов ('.$s_count.')</div>
        <div class="menu">
        Продавец: '.iconUser($id).'<a href="/user/'.id.'" class="mlink">'.gradient($seller['login']).'</a><br/>
        Рейтинг продавца: '.$respect.'<img src="/img/star.png" alt="star">
        </div>';

        if ($s_count == 0) {
            echo '<div class="menu">Товаров нет!</div>';
        } else {

            $page = new Pagination($s_count, 10);

            $data = $connect->prepare("select * from `shop` where `user` = :user order by `id` desc limit :start, 10");
            $data->bindValue(':user', $seller['login']);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {
                echo '<div class="forlink">
                <a href="/shop/product/'.$row['id'].'" class="links">
                '.($row['time'] > mktime(0, 0, 1) ? '<img src="/img/release.png" alt="release">' : '<img src="/img/product.png" alt="product">').
                $row['name'].'
                <div class="chi">'.($row['status'] == 1 ? quantDec($row['cena'], ['рубль', 'рубля', 'рублей']) : 'На модерации').'</div>
                </a></div>';
            }

            $page->navigation();

        }
        
        if (!isset($active))
            echo '<div class="menu"><div class="information">Авторизуйтесь, чтобы была возможность купить товар.</div></div>';

    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>