<?php
$title = 'Проверка выполнения';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['task'] == 1) {

    $stmt_num_task = $connect->prepare("select count(*) from `task` where `id` = ? and `user` = ?");
    $stmt_num_task->execute(array($id, $user['login']));

    if ($stmt_num_task->fetchColumn()) {

        echo '<div class="title">Проверка выполнения</div>'; 

        $strow_task = $connect->prepare("select * from `task` where `id` = ?");
        $strow_task->execute(array($id));
        $row_task = $strow_task->fetch(PDO::FETCH_LAZY);
        $num_u = $connect->prepare("select count(*) from `task_ans` where `id` = ? and `tid` = ?");
        $strow = $connect->prepare("select * from `task_ans` where `id` = ?");

        if (isset($_GET['mode'])) {
            $num_u->execute(array($_GET['mode'], $id));
            if ($num_u->fetchColumn() && $row_task['col'] > 0) {
                $strow->execute(array($_GET['mode']));
                $row = $strow->fetch(PDO::FETCH_LAZY);
                if ($row['status'] == 0) {
                    if (isset($_POST['yes'])) {
                        $stmt1 = $connect->prepare("update `task_ans` set `status` = ? where `id` = ?");
                        $stmt1->execute(array($_POST['status'], $_GET['mode']));
                        if ($_POST['status'] == 1) {
                            notification('Вы успешно выполнили задание [url='.ROOT.'/task/view/'.$id.']'.$row_task['name'].'[/url]!', $row['user'], 1);
                            ratingUser($rat_array['task'], $row['user'], 1);
                            $stmt2 = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
                            $stmt2->execute(array($row_task['cena'], $row['user']));
                            $stmt3 = $connect->prepare("update `task` set `col` = `col` - '1' where `id` = ?");
                            $stmt3->execute(array($id));
                        } else {
                            notification('Вы провалили задание [url='.ROOT.'/task/view/'.$id.']'.$row_task['name'].'[/url]!', $row['user'], 1);
                        }
                        header('Location: /task/ans/'.$id);
                    }
                    elseif (isset($_POST['no'])) {
                        header('Location: /task/ans/'.$id);
                    }

                    echo '<div class="menu">
                    <form action="" method="POST">
                    Выберите действие:<br/><select name="status">
                    <option value="1">Задание выполнено</option>
                    <option value="2">Задание не выполнено</option>
                    </select><br/>
                    <input type="submit" name="yes" value="Продолжить ('.intval($_GET['mode']).')"/>
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('Location: /task/ans/'.$id);
                }
            } else {
                header('Location: /task/ans/'.$id);
            }
        }

        $stmt_answer = $connect->prepare("select count(*) from `task_ans` where `tid` = ?");
        $stmt_answer->execute(array($id));
        $answer = $stmt_answer->fetchColumn();

        if ($answer == 0) {
            echo '<div class="menu">Заявок на проверку нет!</div>';
        } else {

            $page = new Pagination($answer, 10);

            $data = $connect->prepare("select * from `task_ans` where `tid` = :tid order by `id` limit :start, 10");
            $data->bindValue(':tid', $id, PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {
                echo '<div class="menu">
                Отчет: '.smiles(bb(bblinks($row['text']))).
                (file_exists($_SERVER["DOCUMENT_ROOT"]."/files/".$row['file']) && $row['file'] ? '<br/>Файл: <img src="/img/attach.png" alt="attach"><a href="/files/'.$row['file'].'">'.$row['file'].'</a> ('.get_filesize($_SERVER["DOCUMENT_ROOT"]."/files/".$row['file']).')' : '').'<br/>
                Пользователь: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
                Статус: '.($row['status'] == 1 ? 'Подтверждено' : ($row['status'] == 2 ? 'Отклонено' : 'В обработке')).
                ($row['status'] == 0 && $row_task['col'] > 0 ? '<br/>Дата добавления: '.daytime($row['time']).'<br/>
                <div class="butt2"><a href="?mode='.$row['id'].'">Обработать</a></div>' : '').'
                </div>';
            }

            $page->navigation();

        }

    } else {
        echo '<div class="menu">Нет такого задания!</div>';
    }

    echo '<div class="forlink"><a href="/task" class="links"><img src="/img/quest.png" alt="">Мои задания</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>