<?php
$title = 'Мои задания';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['task'] == 1) {

    echo '<div class="title">Мои задания</div>
    <div class="forlink"><a href="/task/add" class="links"><img src="/img/add.png" alt="">Создать задание</a></div>';

    $stmt_ans = $connect->prepare("select count(*) from `task_ans` where `status` = ? and `tid` = ?");
    $num_u = $connect->prepare("select count(*) from `task` where `id` = ? and `user` = ?");
    $strow = $connect->prepare("select * from `task` where `id` = ?");

    if (isset($_GET['bs'])) {
        $num_u->execute(array($_GET['bs'], $user['login']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['bs']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['status'] == 2) {
                header('Location: /task');
            } else {
                if (isset($_POST['yes'])) {
                    $error = '';
                    if (empty($_POST['col'])) {
                        $error.= 'Введите количество выполнений!<br/>';
                    }
                    elseif ($_POST['col'] < 1) {
                        $error.= 'Минимальное количество выполнений - 1!<br/>';
                    }
                    elseif (!is_numeric($_POST['col'])) {
                        $error.= 'Неверное значение!<br/>';
                    }
                    elseif ($user['money'] < $_POST['col'] * $row['cena'] && $adm_id != 1) {
                        $error.= 'Недостаточно средств!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {

                        $col = intval($_POST['col']);
                        $sum = $col * $row['cena'];

                        $stmt = $connect->prepare("update `task` set `col` = `col` + ? where `id` = ?");
                        $money = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");

                        if ($stmt->execute(array($col, $_GET['bs'])) && $money->execute(array($sum, $user['id']))) {
                            header('Location: /task');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /task');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                Количество выполнений:<br/><input type="text" name="col" value="10"><br/>
                <input type="submit" name="yes" value="Пополнить ('.intval($_GET['bs']).')"/> 
                <input type="submit" name="no" value="Отмена"/><br/>
                <div class="chi">Стоимость выполнения: '.quantDec($row['cena'], ['рубль', 'рубля', 'рублей']).'</div>
                </form></div>';
            }
        } else {
            header('Location: /task');
        }
    }
    elseif (isset($_GET['edit'])) {
        $num_u->execute(array($_GET['edit'], $user['login']));
        $stmt_ans->execute(array(0, $_GET['edit']));
        if ($num_u->fetchColumn() && !$stmt_ans->fetchColumn()) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['status'] == 2) {
                header('Location: /task');
            } else {
                if (isset($_POST['yes'])) {
                    $error = '';
                    if (empty($_POST['name'])) {
                        $error.= 'Введите название!<br/>';
                    }
                    elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 250) {
                        $error.= 'Название должно содержать от 5 до 250 символов!<br/>';
                    }
                    if (empty($_POST['text'])) {
                        $error.= 'Введите требования по выполнению задания!<br/>';
                    }
                    elseif (mb_strlen($_POST['text']) < 15 || mb_strlen($_POST['text']) > 2500) {
                        $error.= 'Требования должны содержать от 15 до 2500 символов!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $status = $adm_id == 1 ? 1 : $mod_array['mod_t'];
                        $stmt = $connect->prepare("update `task` set `name` = ?, `text` = ?, `status` = ? where `id` = ?");
                        if ($stmt->execute(array($_POST['name'], $_POST['text'], $status, $_GET['edit']))) {
                            header('Location: /task');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                elseif (isset($_POST['cancel'])) {
                    header('Location: /task');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                Название:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
                Требования:<br/><textarea name="text" rows="3" cols="20">'.$row['text'].'</textarea><br/>
                <input type="submit" name="yes" value="Сохранить ('.intval($_GET['edit']).')"/> 
                <input type="submit" name="cancel" value="Отмена"/>
                </form></div>';
            }
        } else {
            header('Location: /task');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($_GET['del'], $user['login']));
        $stmt_ans->execute(array(0, $_GET['del']));
        if ($num_u->fetchColumn() && !$stmt_ans->fetchColumn()) {
            $strow->execute(array($_GET['del']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['status'] == 2) {
                header('Location: /task');
            } else {
                if (isset($_POST['yes'])) {
                    $money = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
                    $del = $connect->prepare("delete from `task` where `id` = ?");
                    if ($money->execute(array($row['col'] * $row['cena'], $row['user'])) && $del->execute(array($_GET['del']))) {
                        header('Location: /task');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /task');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            }
        } else {
            header('Location: /task');
        }
    }
    elseif (isset($_GET['mode'])) {
        $num_u->execute(array($_GET['mode'], $user['login']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['mode']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if ($row['status'] == 2) {
                header('Location: /task');
            } else {
                if (isset($_POST['yes'])) {
                    $status = $row['status'] == 1 ? 0 : 1;
                    $stmt = $connect->prepare("update `task` set `status` = ? where `id` = ?");
                    if ($stmt->execute(array($status, $_GET['mode']))) {
                        header('Location: /task');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /task');
                }

                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="'.($row['status'] == 1 ? 'Отключить' : 'Включить').' ('.intval($_GET['mode']).')">
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            }
        } else {
            header('Location: /task');
        }
    }

    if ($count_user_tasks == 0) {
        echo '<div class="menu">Нет заданий!</div>';
    } else {

        $page = new Pagination($count_user_tasks, 10);

        $data = $connect->prepare("select * from `task` where `user` = :user order by `id` desc limit :start, 10");
        $data->bindValue(':user', $user['login']);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            // в обработке
            $stmt_ans->execute(array(0, $row['id']));
            $answers = $stmt_ans->fetchColumn();
            // выполнено
            $stmt_ans->execute(array(1, $row['id']));
            $success = $stmt_ans->fetchColumn();
            // не выполнено
            $stmt_ans->execute(array(2, $row['id']));
            $fails = $stmt_ans->fetchColumn();

            echo '<div class="menu">
            ID: '.$row['id'].'<br/>
            Название: '.$row['name'].'<br/>
            Требования: '.smiles(bb(bblinks($row['text']))).'<br/>
            Баланс: '.$row['col'] . ($row['status'] != 2 ? ' (<a href="?bs='.$row['id'].'">Пополнить</a>)' : '').'<br/>
            Статус: '.($row['status'] == 1 ? 'Включено' : 'Отключено').' (<a href="?mode='.$row['id'].'">Изм.</a>)<br/>
            Выполнений: [<font color="#4cae4c">'.$success.'</font>|<font color="#d8544f">'.$fails.'</font>]<br/>
            <div class="chi">Цена выполнения: '.quantDec($row['cena'], ['рубль', 'рубля', 'рублей']).'</div>
            '.($row['status'] == 2 ? '<div class="danger">Ваше задание заблокировано!</div>' : ($row['status'] == 3 ? '<div class="information">На модерации!</div>' : '')).'
            <div class="butt2">
            <a href="/task/ans/'.$row['id'].'">Проверка выполнения ('.$answers.')</a>
            '.(!$answers ? '<a href="?del='.$row['id'].'">Удалить</a>' : '').
            (!$answers && !$fails ? '<a href="?edit='.$row['id'].'">Редактировать</a>' : '').'
            </div>
            </div>';

        }

        $page->navigation();

    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>