<?php
$title = 'Выполнение задания';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['task'] == 1) {
 
    $stmt_num_task = $connect->prepare("select count(*) from `task` where `id` = ?");
    $stmt_num_task->execute(array($id));

    if ($stmt_num_task->fetchColumn()) {

        echo '<div class="title">Выполнение задания</div>';

        $strow = $connect->prepare("select * from `task` where `id` = ?");
        $strow->execute(array($id));
        $row = $strow->fetch(PDO::FETCH_LAZY);

        $stmt_answer = $connect->prepare("select count(*) from `task_ans` where `user` = ? and `tid` = ?");
        $stmt_answer->execute(array($user['login'], $id)); 
        $answer = $stmt_answer->fetchColumn();

        $stmt_ans = $connect->prepare("select count(*) from `task_ans` where `status` = ? and `tid` = ?");

        $stmt_ans->execute(array(1, $id));
        $success = $stmt_ans->fetchColumn(); 

        $stmt_ans->execute(array(0, $id));
        $send = $stmt_ans->fetchColumn();

        if (isset($_GET['mode']) && ($adm_id == 1 || $row['user'] == $user['login'])) {
            if (isset($_POST['cancel'])) {
                header('Location: /task/view/'.$id);
            }
            elseif (isset($_POST['yes'])) {
                $status = $row['status'] == 1 ? 0 : 1;
                $stmt = $connect->prepare("update `task` set `status` = ? where `id` = ?");
                if ($stmt->execute(array($status, $id))) {
                    header('Location: /task/view/'.$id);
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="yes" value="'.($row['status'] == 1 ? 'Отключить' : 'Включить').'">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        }
        echo '<div class="menu">
        <img src="/img/task.png" alt="">'.$row['name'].'<hr/>
        '.nl2br(smiles(bb(bblinks($row['text'])))).'</div>
        <div class="menu">Создатель задания: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
        Оплата за выполнение: '.quantDec($row['cena'], ['рубль', 'рубля', 'рублей']).'<br/>
        Выполнили: '.$success.' чел.
        <div class="butt2">
        '.(($adm_id == 1 || $row['user'] == $user['login']) ? '<a href="?mode">'.($row['status'] == 1 ? 'Отключить' : 'Включить').'</a>' : '').'
        </div>
        </div>';

        if ($row['status'] == 1) {
            if ($send >= $row['col']) {
                echo '<div class="menu"><div class="information">Подождите, пока старые заявки будут обработаны и баланс задания будет пополнен!</div></div>';
            }
            elseif (!$answer && $row['user'] != $user['login'] && $send < $row['col'] && $row['col'] > 0) {
                echo '<div class="title">Отчет</div>';
                if (isset($_POST['answer'])) {
                    $error = '';
                    if (empty($_POST['text'])) {
                        $error = 'Введите сообщение!<br/>';
                    }
                    elseif (mb_strlen($_POST['text']) < 5 or mb_strlen($_POST['text']) > 2500) {
                        $error = 'Сообщение должно содержать от 5 до 2500 символов!<br/>';
                    }
                    if (file_exists($_FILES['filename']['tmp_name'])) {
                        $token = random_int(11111, 99999);
                        $files = $token."_".$_FILES['filename']['name'];
                        if (!in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif', 'zip', 'rar', '7z']) || in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png']) && !exif_imagetype($_FILES['filename']['tmp_name'])) {
                            $error.= 'Неверный тип файла!<br/>';
                        }
                        if ($_FILES['filename']['size'] > 1048576 * 5) {
                            $error.= 'Максимальный размер файла - 5 Mb!<br/>';
                        }
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $stmt = $connect->prepare("insert into `task_ans` set `time` = ?, `user` = ?, `text` = ?, `tid` = ?, `file` = ?");
                        if ($stmt->execute(array(time(), $user['login'], $_POST['text'], $row['id'], $files ?? false))) {
                            notification('[b]'.$user['login'].'[/b] отправил [url='.ROOT.'/task/ans/'.$id.']отчет[/url] по вашему заданию [url='.ROOT.'/task/view/'.$id.']'.$row['name'].'[/url] на проверку.', $row['user'], 1);
                            if (file_exists($_FILES['filename']['tmp_name'])) {
                                move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                            }
                            echo '<div class="menu">Ваш отчет отправлен на проверку!</div>';
                            header('Refresh: 1');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                echo '<div class="menu">
                <form action="" method="POST" enctype="multipart/form-data">
                Отчет о выполнении:<br/><textarea name="text" rows="5" cols="25"></textarea><br/>
                Прикрепить файл:<br/><input type="file" name="filename"><br/>
                <input type="submit" name="answer" value="Подтвердить выполнение">
                </form></div>';
            }
        } else {
            echo '<div class="menu"><div class="information">Задание отключено!</div></div>';
        }
    } else {
        header('Location: /task/list');
    }
    echo '<div class="forlink"><a href="/task/list" class="links"><img src="/img/quest.png" alt="">Задания</a></div>';
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>