<?php
$title = 'Профиль';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    $row = user($id);
    $auth = authlog($id);

    if ($row) {

        echo '<div class="title">Профиль '.$row['login'].'</div>';

        // Очки дружбы
        friendPoint($user['login'], $row['login']);
        
        // prepared
        $del_black = $connect->prepare("delete from `blacklist` where `user` = ? and `black` = ?");
        $in_black = $connect->prepare("insert into `blacklist` set `user` = ?, `black` = ?");
        $in_friend = $connect->prepare("insert into `friend` set `user_from` = ?, `user_to` = ?");
        $del_friend = $connect->prepare("delete from `friend` where `user_from` = :from and `user_to` = :to or `user_from` = :to and `user_to` = :from");
        $del_contact = $connect->prepare("delete from `contacts` where `user_from` = :from and `user_to` = :to or `user_from` = :to and `user_to` = :from");
        $del_mail = $connect->prepare("delete from `mail` where `user` = :user and `who` = :who or `user` = :who and `who` = :user");
        $review = $connect->prepare("select count(*) from `respect` where `to` = ? and `review` = ?");

        // Плюсы
        $review->execute(array($row['login'], 1));
        $plus = $review->fetchColumn();
        // Минусы
        $review->execute(array($row['login'], 0));
        $minus = $review->fetchColumn();
        // Репутация
        $respect = $plus - $minus;

        // Рефералы
        $stmt_ref->execute(array($id));
        $ref = $stmt_ref->fetchColumn();
        // Выплачено юзеру
        $stmt_user_payment->execute(array($row['login']));
        $u_payment = $stmt_user_payment->fetchColumn() ?? 0;

        // Друзья
        $stmt_friends->bindValue(':user', $row['login']);
        $stmt_friends->execute();
        $count_fr = $stmt_friends->fetchColumn();
        // Заявка
        $strow_fr = $connect->prepare("select * from `friend` where `user_from` = :from and `user_to` = :to or `user_from` = :to and `user_to` = :from");
        $strow_fr->bindValue(':from', $row['login']);
        $strow_fr->bindValue(':to', $user['login']);
        $strow_fr->execute();
        $row_fr = $strow_fr->fetch(PDO::FETCH_ASSOC);
        $u_fr = $strow_fr->rowCount();

        if (!online($id))
            echo '<div class="menu">Последний визит: '.daytime($auth['lasttime']).deviceIcon($auth['ua']).'</div>';

        if (isset($_GET['black']) && $id != $user['id']) {
            if (isset($_POST['cancel'])) {
                header('Location: /user/'.$id); 
            }
            elseif (isset($_POST['yes'])) {
                if (in_blacklist($user['id'], $id)) {
                    $del_black->execute(array($user['login'], $row['login']));
                    header('Location: /user/'.$id);
                } else {

                    $in_black->execute(array($user['login'], $row['login']));
                    $del_contact->execute(array(':from' => $user['login'], ':to' => $row['login']));
                    $del_mail->execute(array(':user' => $user['login'], ':who' => $row['login']));

                    header('Location: /user/'.$id);

                }
            }

            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="yes" value="'.(in_blacklist($user['id'], $id) ? 'Удалить из ЧС' : 'Добавить в ЧС').'">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';

        }
        elseif (isset($_GET['respect']) && $id != $user['id'] && !in_blacklist($id, $user['id'])) {
            $stmt_count = $connect->prepare("select count(*) from `respect` where `from` = ? and `to` = ?");
            $stmt_count->execute(array($user['login'], $row['login']));
            if (!$stmt_count->fetchColumn()) {
                // Отзыв
                $status = $_GET['respect'] == 1 ? 1 : 0;
                if (isset($_POST['cancel'])) {
                    header('Location: /user/'.$id);
                }
                elseif (isset($_POST['review'])) {
                    $message = !empty($_POST['message']) ? '[br]Примечание: '.$_POST['message'] : '';
                    $stmt = $connect->prepare("insert into `respect` set `review` = ?, `from` = ?, `to` = ?");
                    $stmt->execute(array($status, $user['login'], $row['login']));
                    notification('[b]'.$user['login'].'[/b] '.($status == 1 ? '[color=green]повысил[/color]' : '[color=red]понизил[/color]').' вашу репутацию.'.$message, $id);
                    header('Location: /user/'.$id);
                }
                echo '<div class="menu">
                <form action="" method="POST">
                '.($status == 1 ? 'Повышение репутации' : 'Понижение репутации').'<hr/>
                Примечание:<br/><textarea name="message"></textarea><br/>
                <input type="submit" name="review" value="Продолжить">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
            } else {
                header('Location: /user/'.$id);
            }
        }

        echo '<div class="menu">
        '.($row['ban'] > time() ? '<div class="danger">Этот пользователь заблокирован!</div>' : '').'
        <span class="online">'.online($id).'</span>';

        if (file_exists($_SERVER["DOCUMENT_ROOT"]."/files/avatar/".$row['avatar']) && $row['avatar']) {
            $avatar = '/files/avatar/'.$row['avatar'];
            echo '<img src="/preview/'.$sys_array['wava'].'x0/'.base64_encode($avatar).'" alt="preview" data-toggle="modal" data-target="#avatar">
            <div id="avatar" class="modal fade" tabindex="-1">
              <div class="modal-dialog">
                <img src="'.$avatar.'" alt="avatar" class="img-thumbnail" data-dismiss="modal">
              </div>
            </div>';
        } else {
            echo '<img src="/files/avatar/no_avatar.png" alt="no_avatar">';
        }

        echo ($row['status'] ? '<div class="status_a"></div><div class="status">'.nl2br(smiles(bb($row['status']))).'</div>' : '').'
        </div>';

        if (!in_blacklist($user['id'], $id) && !in_blacklist($id, $user['id']) && $id != $user['id']) {
            if (p_mail_user($row['login'], $user['login'])) {
                echo '<div class="forlink"><a href="/mail/read/'.$row['id'].'" class="links"><img src="/img/mail.png" alt=""> Написать сообщение</a></div>';
            } else {
                echo '<div class="menu"><div class="information">Данному пользователю могут отправлять сообщения только друзья!</div></div>';
            }
        }

        echo '<div class="menu">
        '.($row['name'] ? 'Имя: '.$row['name'].'<br/>' : '').
        ($row['info'] ? 'О себе: '.$row['info'].'<br/>' : '').'
        Пол: '.($row['pol'] == 1 ? 'Мужской' : 'Женский').'
        </div>
        <div class="menu">
        Друзей: '.$count_fr.'<br/>
        Рефералов: '.$ref.'<br/>
        '.(user($row['ref']) ? 'Пригласил: '.ulogin($row['ref']).'<br/>' : '').'
        Выплачено: '.quantDec($u_payment, ['рубль', 'рубля', 'рублей']).'<br/>
        Рейтинг: '.rankUser($row['rating']).'<br/>
        Репутация: '.$respect.' [<a href="?respect=1"><font color="#4cae4c">+'.$plus.'</font></a>|<a href="?respect=0"><font color="#d8544f">-'.$minus.'</font></a>]
        </div>
        <div class="menu">
        '.($row['admin'] != 0 && isset($admList[$row['admin']]) ? 'Должность: '.$admList[$row['admin']].'<br/>' : '').'
        Дата регистрации: '.daytime($row['datereg']).'<br/>
        ID: '.$row['id'].'
        </div>';

        // Добавление/удаление из друзей
        if (($u_fr && ($row_fr['status'] == 1 || $row_fr['status'] == 0 && $row_fr['user_from'] == $user['login'])) || !$u_fr && $id != $user['id'] && !in_blacklist($user['id'], $id) && !in_blacklist($id, $user['id'])) {
            if (isset($_GET['friend'])) {
                if (!$u_fr) {
                    $in_friend->execute(array($user['login'], $row['login']));
                } elseif ($row_fr['status'] == 1 || $row_fr['status'] == 0 && $row_fr['user_from'] == $user['login']) {
                    $del_friend->execute(array(':from' => $row['login'], ':to' => $user['login']));
                }
                header('Location: /user/'.$id);
            }
            echo '<div class="forlink"><a href="?friend" class="links"><img src="/img/friend.png" alt="">'.($u_fr && $row_fr['status'] == 0 && $row_fr['user_from'] == $user['login'] ? 'Отменить заявку' : ($u_fr && $row_fr['status'] == 1 ? 'Удалить из друзей' : 'Добавить в друзья')).'</a></div>';
        }

        if ($id != $user['id']) {
            echo '<div class="forlink"><a href="?black" class="links"><img src="/img/nonotif.png" alt="nonotif">'.(in_blacklist($user['id'], $id) ? 'Удалить из ЧС' : 'Добавить в ЧС').'</a></div>';
        }

        if ($adm_id == 1) {

            echo '<div class="title">Управление</div>';

            if (isset($_GET['edit'])) {
                if (isset($_POST['cancel'])) {
                    header('Location: /user/'.$id);
                }
                elseif (isset($_POST['red'])) {
                    $error = '';
                    if (!is_numeric($_POST['money'])) {
                        $error.= 'Баланс заполнен неверно!<br/>';
                    }
                    if (!is_numeric($_POST['rating'])) {
                        $error.= 'Рейтинг заполнен неверно!<br/>';
                    } 
                    if (empty($_POST['email'])) {
                        $error.= 'Поле e-mail обязательно для заполнения!<br/>';
                    }
                    elseif (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
                        $error.= 'Поле e-mail заполнено неверно!<br/>';
                    }
                    if (empty($_POST['wmr'])) {
                        $error.= 'Введите WMR-кошелек!<br/>';
                    }
                    elseif (!preg_match("#^R[0-9]{12}$#i", $_POST['wmr'])) {
                        $error.= 'Неверно введен WMR-кошелек: вводить нужно, начиная с R!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $stmt = $connect->prepare("update `users` set `money` = ?, `rating` = ?, `wmr` = ?, `email` = ? where `id` = ?");
                        if ($stmt->execute(array($_POST['money'], $_POST['rating'], $_POST['wmr'], $_POST['email'], $id))) {
                            header('Location: /user/'.$id);
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                echo '<div class="menu">
                <form action="" method="POST">
                Баланс:<br/><input type="text" name="money" value="'.$row['money'].'"><br/>
                Рейтинг:<br/><input type="text" name="rating" value="'.$row['rating'].'"><br/>
                E-mail:<br/><input type="email" name="email" value="'.$row['email'].'"><br/>
                R-кошелек:<br/><input type="text" name="wmr" value="'.$row['wmr'].'"><br/> 
                <input type="submit" name="red" value="Сохранить">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
            }
            if (isset($_GET['adm']) && $id != $user['id']) {
                if (isset($_POST['cancel'])) {
                    header('Location: /user/'.$id);
                }
                elseif (isset($_POST['ok'])) {
                    $stmt = $connect->prepare("update `users` set `admin` = ? where `id` = ?");
                    if ($stmt->execute(array($_POST['status'], $id))) {
                        header('Location: /user/'.$id);
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                echo '<div class="menu">
                <form action="" method="POST">
                Статус:<br/><select name="status">';
                foreach ($admList as $key => $value)
                    echo '<option value="'.$key.'">'.$value.'</option>'; 
                echo '</select><br/> 
                <input type="submit" name="ok" value="Назначить">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
            } 
            elseif (isset($_GET['ban']) && $id != $user['id']) {
                $ban = $connect->prepare("update `users` set `ban` = ? where `id` = ?"); 
                if ($row['ban'] > time()) {
                    if (isset($_POST['cancel'])) {
                        header('Location: /user/'.$id);
                    }
                    elseif (isset($_POST['ok'])) {
                        if ($ban->execute(array(0, $id))) {
                            header('Location: /user/'.$id);
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    } 
                    echo '<div class="menu">
                    <form action="" method="POST">
                    <input type="submit" name="ok" value="Разблокировать аккаунт">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                } else {
                    if (isset($_POST['cancel'])) {
                        header('Location: /user/'.$id);
                    }
                    elseif (isset($_POST['ok'])) {
                        $error = '';
                        if (empty($_POST['col'])) {
                            $error.= 'Введите количество часов!<br/>';
                        } 
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            $col = intval(abs($_POST['col']));
                            $time = $col * 3600 + time(); 
                            if ($ban->execute(array($time, $id))) {
                                header('Location: /user/'.$id);
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="POST">
                    Количество часов:<br/><input type="text" name="col" maxlength="10"/><br/>
                    <input type="submit" name="ok" value="Заблокировать аккаунт">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
            }
            elseif (isset($_GET['del']) && $id != $user['id']) {
                if (isset($_POST['cancel'])) {
                    header('Location: /user/'.$id);
                } 
                elseif (isset($_POST['yes'])) {

                    // Удаляем юзера
                    $del = $connect->prepare("delete from `users` where `id` = ?");
                    // Удаляем сообщения
                    $del_mail = $connect->prepare("delete from `mail` where `user` = :user or `who` = :user");
                    // Удаляем друзей
                   $del_friend = $connect->prepare("delete from `friend` where `user_from` = :user or `user_to` = :user");
                    // Удаляем контакты
                    $del_contact = $connect->prepare("delete from `contacts` where `user_from` = :user or `user_to` = :user");
                    // Чистим логи авторизаций
                    $del_authlog = $connect->prepare("delete from `authlog` where `user` = ?");
                    // Чистим плюсы/минусы
                    $del_respect = $connect->prepare("delete from `respect` where `to` = ?");

                    if ($del->execute(array($id)) && $del_mail->execute(array(':user' => $row['login'])) && $del_friend->execute(array(':user' => $row['login'])) && $del_contact->execute(array(':user' => $row['login'])) && $del_authlog->execute(array($row['login'])) && $del_respect->execute(array($row['login']))) {
                        header('Location: /');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }

                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Удалить аккаунт"/> 
                <input type="submit" name="cancel" value="Отмена"/>
                </form></div>';
            }

            // логи входов
            $stmt_auth->execute(array($row['login']));
            $count_auth = $stmt_auth->fetchColumn();

            echo '<div class="menu">
            Баланс: '.quantDec($row['money'], ['рубль', 'рубля', 'рублей']).'<br/>
            Кошелек: <img src="/img/wmr.png" alt="wmr">'.$row['wmr'].'<br/>
            E-mail: '.$row['email'].'<br/>
            Авторизаций: '.$count_auth.'<br/>
            IP: '.$auth['ip'].'<br/>
            UA: '.$auth['ua'].'<br/>
            <div class="butt2">
            '.($id != $user['id'] ? '<a href="?del">Удалить</a>
            <a href="?ban">'.($row['ban'] > time() ? 'Разблокировать' : 'Заблокировать').'</a>
            <a href="?adm">Должность</a>' : '').'
            <a href="?edit">Редактировать</a>
            </div>
            </div>';
        }
    } else {
        header('Location: /');
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>