<?php
$title = 'Магазин';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1 && $mod_array['shop'] == 1) {

    switch ($act) {

        case 'category':

            echo '<div class="title">Категории товаров ('.$count_shop_kat.')</div>';

            $type = 1;
            $num_u = $connect->prepare("select count(*) from `kat` where `type` = ? and `id` = ?");
            $stmt_count = $connect->prepare("select count(*) from `shop` where `kat` = ?"); 
            $strow = $connect->prepare("select * from `kat` where `id` = ?");

            if (isset($_GET['edit'])) {
                $num_u->execute(array($type, $_GET['edit']));
                if ($num_u->fetchColumn()) {
                    $strow->execute(array($_GET['edit']));
                    $row = $strow->fetch(PDO::FETCH_LAZY);
                    if (isset($_POST['cancel'])) {
                        header('location: /adm/shop/category');
                    }
                    elseif (isset($_POST['red'])) {
                        $error = '';
                        if (empty($_POST['name'])) {
                            $error.= 'Введите название!<br/>';
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            $stmt = $connect->prepare("update `kat` set `name` = ? where `id` = ?");
                            if ($stmt->execute(array($_POST['name'], $_GET['edit']))) {
                                header('location: /adm/shop/category');
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="POST">
                    Название:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
                    <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit']).')">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                } else {
                    header('location: /adm/shop/category');
                }
            }
            elseif (isset($_GET['del'])) {
                $num_u->execute(array($type, $_GET['del']));
                $stmt_count->execute(array($_GET['del']));
                if ($num_u->fetchColumn() && !$stmt_count->fetchColumn()) {
                    if (isset($_POST['yes'])) {
                        $stmt = $connect->prepare("delete from `kat` where `id` = ?");
                        if ($stmt->execute(array($_GET['del']))) {
                            header('location: /adm/shop/category');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                    elseif (isset($_POST['no'])) {
                        header('location: /adm/shop/category');
                    }

                    echo '<div class="menu">
                    <form action="" method="POST">
                    <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('location: /adm/shop/category');
                }
            }
 

            if ($count_shop_kat == 0) {
                echo '<div class="menu">Категорий нет!</div>';
            } else {

                $page = new Pagination($count_shop_kat, 10);

                $data = $connect->prepare("select * from `kat` where `type` = :type order by `id` desc limit :start, 10");
                $data->bindValue(':type', $type, PDO::PARAM_INT);
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {

                    $stmt_count->execute(array($row['id']));
                    $count = $stmt_count->fetchColumn();

                    echo '<div class="menu">
                    <div class="forlink-bordered"><a href="/shop/category/'.$row['id'].'" class="links"><img src="/img/folder.png" alt="folder">'.$row['name'].'</a></div>
                    Товаров в магазине: '.$count.'
                    <div class="butt2">
                    '.(!$count ? '<a href="?del='.$row['id'].'">Удалить</a>' : '').'
                    <a href="?edit='.$row['id'].'">Редактировать</a>
                    </div>
                    </div>';

                }

                $page->navigation();

            }

            echo '<div class="title">Новая категория</div>';

            if (isset($_POST['submit'])) {
                $error = '';
                if (empty($_POST['name'])) {
                    $error.= 'Введите название!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("insert into `kat` set `type` = ?, `name` = ?");
                    if ($stmt->execute(array($type, $_POST['name']))) {
                        header('location: /adm/shop/category'); 
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Название:<br/><input type="text" name="name"><br/>
            <input type="submit" name="submit" value="Добавить">
            </form></div>';

            echo '<div class="forlink"><a href="/adm/shop" class="links"><img src="/img/shop.png" alt="shop">Магазин</a></div>';

            break;

        default:

            echo '<div class="title">Модерация товаров ('.$count_shop . $new_mod_shop.')</div> 
            <div class="menu">
            <form action="" method="GET">
            <input type="text" name="search" value="'.$search.'">
            <input type="submit" value="Поиск">
            </form></div>';

            $stmt_num = $connect->prepare("select count(*) from `shop` where `id` = ?");
            $strow = $connect->prepare("select * from `shop` where `id` = ?");

            if (isset($_GET['mode'])) {
                $stmt_num->execute(array($_GET['mode']));
                if (!$stmt_num->fetchColumn()) {
                    header('Location: /adm/shop');
                } else {
                    $strow->execute(array($_GET['mode']));
                    $row = $strow->fetch(PDO::FETCH_LAZY);
                    if (isset($_POST['cancel'])) {
                        header('Location: /adm/shop');
                    }
                    elseif (isset($_POST['submit'])) {
                        $message = !empty($_POST['message']) ? '[br]Примечание: '.$_POST['message'] : '';
                        $stmt = $connect->prepare("update `shop` set `time` = ?, `status` = ? where `id` = ?");
                        if ($stmt->execute(array(time(), $_POST['status'], $_GET['mode']))) {
                            notification('Ваш товар [url='.ROOT.'/shop/product/'.$row['id'].']'.$row['name'].'[/url] '.($status == 1 ? 'одобрен' : 'не одобрен').' для участия в продажах.'.$message, $row['user'], 1);
                            header('Location: /adm/shop');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="POST">
                    Выберите действие:<br/>
                    <select name="status">
                    <option value="1">Разместить в магазине</option>
                    <option value="0">Не размещать в магазине</option>
                    </select><br/>
                    Примечание:<br/><textarea name="message"></textarea><br/>
                    <input type="submit" name="submit" value="Продолжить ('.intval($_GET['mode']).')">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
            }
            elseif (isset($_GET['del'])) {
                $stmt_num->execute(array($_GET['del']));
                if (!$stmt_num->fetchColumn()) {
                    header('Location: /adm/shop');
                } else {
                    // платежи
                    $stmt_p = $connect->prepare("select count(*) from `purchase` where `status` != '1' and `pid` = ?");
                    $stmt_p->execute(array($_GET['del']));
                    // покупки
                    $stmt_purch = $connect->prepare("select count(*) from `purchase` where `pid` = ?");
                    $stmt_purch->execute(array($_GET['del']));

                    if (!$stmt_p->fetchColumn()) {

                        // Файл
                        $fileshop = @glob($_SERVER["DOCUMENT_ROOT"]."/files/shop/".intval($_GET['del'])."_*")[0];

                        if (isset($_POST['cancel'])) {
                            header('Location: /adm/shop');
                        }
                        elseif (isset($_POST['del'])) {
                            $del_shop = $connect->prepare("delete from `shop` where `id` = ?");
                            $del_basket = $connect->prepare("delete from `basket` where `pid` = ?");
                            $del_screen = $connect->prepare("delete from `screen` where `did` = ? and `type` = '1'");
                            $del_comm = $connect->prepare("delete from `comments` where `did` = ? and `type` = '2'");
                            if ($del_shop->execute(array($_GET['del'])) && $del_basket->execute(array($_GET['del'])) && $del_screen->execute(array($_GET['del'])) && $del_comm->execute(array($_GET['del']))) {
                                // Удаляем файл
                                if (!$stmt_purch->fetchColumn() && file_exists($fileshop))
                                    unlink($fileshop);
                                header('Location: /adm/shop');
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                        echo '<div class="menu">
                        <form action="" method="POST">
                        <input type="submit" name="del" value="Удалить ('.intval($_GET['del']).')">
                        <input type="submit" name="cancel" value="Отмена">
                        </form></div>';
                    } else {
                        header('Location: /adm/shop');
                    }
                }
            }

            $keywords = $search ? preg_replace("/[\s,]+/", "|", $search) : RS_ALL_CHARS;

            $stmt_num = $connect->prepare("select count(*) from `shop` where `text` rlike :keywords or `name` rlike :keywords or `user` rlike :keywords");
            $stmt_num->bindValue(':keywords', $keywords);
            $stmt_num->execute();
            $count_res = $stmt_num->fetchColumn();

            if ($count_res == 0) {
                echo '<div class="menu">NONE</div>';
            } else {

                $page = new Pagination($count_res, 10, $search ? "?search=$search&" : "?");

                $data = $connect->prepare("select * from `shop` where `text` rlike :keywords or `name` rlike :keywords or `user` rlike :keywords order by `status` asc, `id` desc limit :start, 10");
                $data->bindValue(':keywords', $keywords);
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {
                    echo '<div class="menu">
                    ID: '.$row['id'].'<br/>
                    Товар: <a href="/shop/product/'.$row['id'].'">'.$row['name'].'</a><br/>
                    Автор: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
                    Стоимость: '.quantDec($row['cena'], ['рубль', 'рубля', 'рублей']).'
                    '.($row['status'] == 1 ? '<div class="good">Товар одобрен!</div>' : '<div class="information">На модерации!</div>').'
                    <div class="butt2">
                    <a href="?mode='.$row['id'].'">Модерация</a>
                    <a href="?del='.$row['id'].'">Удалить</a>
                    </div>
                    </div>';
                }

                $page->navigation();

            }

            echo '<div class="title">Настройки</div>';

            if (isset($_POST['sdays'])) {
 
                $error = '';

                if (empty($_POST['sdays'])) {
                    $error.= 'Укажите период обработки платежей в магазине!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {

                    $system['system']['sdays'] = intval(abs($_POST['sdays']));

                    write_ini_file($_SERVER["DOCUMENT_ROOT"]."/inc/system.ini", $system);

                    header('Location: /adm/shop');

                }

            }

            echo '<div class="menu">
            <form action="" method="POST">
            Период обработки платежей (В днях):<br/><input type="text" name="sdays" value="'.$sys_array['sdays'].'"><br/>
            <input type="submit" value="Сохранить">
            </form></div>';

            echo '<div class="forlink"><a href="/adm/shop/category" class="links"><img src="/img/folder.png" alt="folder">Категории товаров<div class="chi">'.$count_shop_kat.'</div></a></div>';

    }

    echo '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="">Панель управления</a></div>';

} else {
    header('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>