<?php
$title = 'Задания';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1 && $mod_array['task'] == 1) {

    echo '<div class="title">Задания ('.$all_tasks . $new_mod_task.')</div> 
    <div class="menu">
    <form action="" method="GET">
    <input type="text" name="search" value="'.$search.'">
    <input type="submit" value="Поиск">
    </form></div>';

    $stmt_success = $connect->prepare("select count(*) from `task_ans` where `status` = '1' and `tid` = ?");
    $num_u = $connect->prepare("select count(*) from `task` where `id` = ?");
    $strow = $connect->prepare("select * from `task` where `id` = ?");

    if (isset($_GET['edit'])) {
        $num_u->execute(array($_GET['edit']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch(PDO::FETCH_LAZY);
            if (isset($_POST['cancel'])) {
                header ('location: /adm/task');
            }
            elseif (isset($_POST['red'])) {
                $error = '';
                if (empty($_POST['login'])) {
                    $error.= 'Введите логин пользователя!<br/>';
                }
                elseif (!user($_POST['login'], 1)) {
                    $error.= 'Пользователь с таким логином не найден в системе!<br/>';
                }
                if (empty($_POST['name'])) {
                    $error.= 'Введите название!<br/>';
                }
                elseif (mb_strlen($_POST['name']) < 5 or mb_strlen($_POST['name']) > 250) {
                    $error.= 'Название должно содержать от 5 до 250 символов!<br/>';
                }
                if (empty($_POST['text'])) {
                    $error.= 'Введите требования по выполнению задания!<br/>';
                }
                elseif (mb_strlen($_POST['text']) < 15 or mb_strlen($_POST['text']) > 2500) {
                    $error.= 'Требования должны содержать от 15 до 2500 символов!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `task` set `name` = ?, `text` = ?, `user` = ? where `id` = ?");
                    if ($stmt->execute(array($_POST['name'], $_POST['text'], $_POST['login'], $_GET['edit']))) {
                        header ('location: /adm/task');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Название:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
            Требования:<br/><textarea name="text" rows="3" cols="20">'.$row['text'].'</textarea><br/>
            Пользователь:<br/><input type="text" name="login" value="'.$row['user'].'"><br/>
            <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit']).')">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        } else {
            header ('location: /adm/task');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($_GET['del']));
        if ($num_u->fetchColumn()) {
            if (isset($_POST['yes'])) {
                $strow->execute(array($_GET['del']));
                $row = $strow->fetch(PDO::FETCH_LAZY);
                $money = $connect->prepare("update `users` set `money` = `money` + ? where `login` = ?");
                $del = $connect->prepare("delete from `task` where `id` = ?");
                if ($money->execute(array(isset($_POST['moneyback']) ? $row['col'] * $row['cena'] : 0, $row['user'])) && $del->execute(array($_GET['del']))) {
                    header('Location: /adm/task');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['no'])) {
                header('Location: /adm/task');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="checkbox" checked name="moneyback" value="1" >С возвратом средств<br/>
            <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/>
            <input type="submit" name="no" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/task');
        }
    }
    elseif (isset($_GET['ban'])) {
        $num_u->execute(array($_GET['ban']));
        if ($num_u->fetchColumn()) {
            if (isset($_POST['done']) || isset($_POST['block'])) {
                $status = isset($_POST['block']) ? 2 : 1;
                $stmt = $connect->prepare("update `task` set `status` = ? where `id` = ?");
                if ($stmt->execute(array($status, $_GET['ban']))) {
                    header('Location: /adm/task');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /adm/task');
            }

            echo '<div class="menu">
            <form action="" method="POST">
            ID: '.intval($_GET['ban']).'<hr/>
            <input type="submit" name="done" value="Активировать">
            <input type="submit" name="block" value="Заблокировать">
            <input type="submit" name="cancel" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/task');
        }
    }
    elseif (isset($_GET['bs'])) {
        $num_u->execute(array($_GET['bs']));
        if ($num_u->fetchColumn()) {
            if (isset($_POST['yes'])) {
                $error = '';
                if (empty($_POST['col'])) {
                    $error.= 'Введите количество выполнений!<br/>';
                }
                elseif (!is_numeric($_POST['col'])) {
                    $error.= 'Неверное значение!<br/>';
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $col = intval($_POST['col']);
                    $stmt = $connect->prepare("update `task` set `col` = `col` + ? where `id` = ?");
                    if ($stmt->execute(array($col, $_GET['bs']))) {
                        header('Location: /adm/task');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            elseif (isset($_POST['no'])) {
                header('Location: /adm/task');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            Количество выполнений:<br/><input type="text" name="col" value="10"><br/>
            <input type="submit" name="yes" value="Пополнить ('.intval($_GET['bs']).')"/> 
            <input type="submit" name="no" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/task');
        }
    }

    $keywords = $search ? preg_replace("/[\s,]+/", "|", $search) : RS_ALL_CHARS;

    $stmt_num = $connect->prepare("select count(*) from `task` where `text` rlike :keywords or `name` rlike :keywords or `user` rlike :keywords");
    $stmt_num->bindValue(':keywords', $keywords);
    $stmt_num->execute();
    $count_res = $stmt_num->fetchColumn();

    if ($count_res == 0) {
        echo '<div class="menu">NONE</div>';
    } else {

        $page = new Pagination($count_res, 10, $search ? "?search=$search&" : "?");

        $data = $connect->prepare("select * from `task` where `text` rlike :keywords or `name` rlike :keywords or `user` rlike :keywords order by `status` desc, `id` desc limit :start, 10");
        $data->bindValue(':keywords', $keywords);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            // выполнено
            $stmt_success->execute(array($row['id']));
            $success = $stmt_success->fetchColumn();

            echo '<div class="menu">
            ID: '.$row['id'].'<br/>
            Название: '.$row['name'].'<br/>
            Требования: '.smiles(bb(bblinks($row['text']))).'<br/>
            Баланс: '.$row['col'].' (<a href="?bs='.$row['id'].'">Пополнить</a>)<br/>
            Статус: '.($row['status'] == 1 ? 'Включено' : 'Отключено').'<br/>
            Выполнили: '.$success.' чел.<br/>
            Дата добавления: '.daytime($row['time']).'<br/>
            Пользователь: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
            <div class="chi">Цена выполнения: '.quantDec($row['cena'], ['рубль', 'рубля', 'рублей']).'</div>
            '.($row['status'] == 3 ? '<div class="information">На модерации!</div>' : ($row['status'] == 2 ? '<div class="danger">Задание заблокировано!</div>' : '')).'
            <div class="butt2">
            <a href="?del='.$row['id'].'">Удалить</a>
            <a href="?edit='.$row['id'].'">Редактировать</a>
            <a href="?ban='.$row['id'].'">Модерация</a>
            </div> 
            </div>';

        }

        $page->navigation();

    }

    echo '<div class="title">Настройки</div>';

    if (isset($_POST['mod_t']) && isset($_POST['tcena'])) {
 
        $error = '';

        if (empty($_POST['tcena'])) {
            $error.= 'Укажите минимальную цену выполнения задания!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $system['system']['tcena'] = abs($_POST['tcena']);
            $system['modules']['mod_t'] = intval($_POST['mod_t']);

            write_ini_file($_SERVER["DOCUMENT_ROOT"]."/inc/system.ini", $system);

            header('Location: /adm/task');

        }

    }

    echo '<div class="menu">
    <form action="" method="POST">
    Автомодерация заданий:<br/><select name="mod_t"><option value="1">Вкл.</option><option '.($mod_array['mod_t'] == 3 ? 'selected' : '').' value="3">Откл.</option></select><br/>
    Минимальная цена выполнения задания:<br/><input type="text" name="tcena" value="'.$sys_array['tcena'].'"><br/>
    <input type="submit" value="Сохранить">
    </form></div>';

    echo '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="">Панель управления</a></div>';

} else {
    header ('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>