<?php
require_once("inc/head.php");
if (isset($active)) {

    echo '<div class="title">Кабинет '.$user['login'].'</div>';

    switch ($act) {

        case 'success':

            echo '<div class="menu"><div class="good">Баланс успешно пополнен!</div></div>';

            break;

        case 'fail':

            echo '<div class="menu"><div class="forbidden">Произошла ошибка при пополнении!</div></div>';

            break;

        case 'exit':

            if ($mod_array['work'] == 1) {

                if (isset($_POST['cancel'])) {

                    header('Location: /');

                }
                elseif (isset($_POST['ok'])) {

                    $reset_auth = $connect->prepare("update `authlog` set `status` = '0' where `user` = ? and `id` = ?");

                    if ($reset_auth->execute(array($user['login'], $_COOKIE['auth']))) {

                        session_destroy();
                        setcookie('login', null, time() - 3600, '/');
                        setcookie('pass', null, time() - 3600, '/');
                        setcookie('auth', null, time() - 3600, '/');

                        header('Location: /');

                    } else {

                        echo '<div class="menu">Произошла ошибка!</div>';

                    }

                }

                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="ok" value="Выход">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';

            } else {

                echo '<div class="menu">Вы не можете выйти пока работа сайта отключена!</div>';

            }

            break;

        default:

            echo '<div class="menu">
            Кошелек: <img src="/img/wmr.png" alt="wmr">'.$user['wmr'].'<br/>
            Баланс: '.quantDec($user['money'], ['рубль', 'рубля', 'рублей']).'<br/>
            E-mail: '.$user['email'].'<br/>
            Рейтинг: '.rankUser($user['rating']).'
            </div>
            <div class="title">Меню</div>
            '.($mod_array['serf'] == 1 ? '<div class="forlink"><a href="/serf" class="links"><img src="/img/view.png" alt="view">Просмотр сайтов<div class="chi">'.$count_serf.'</div></a></div>' : '').
            ($mod_array['task'] == 1 ? '<div class="forlink"><a href="/task/list" class="links"><img src="/img/quest.png" alt="quest">Задания<div class="chi">'.$count_tasks.'</div></a></div>' : '').
            ($mod_array['shop'] == 1 ? '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt="shop">Магазин скриптов<div class="chi">'.$count_shop . $new_shop.'</div></a></div>' : '').'
            <div class="forlink"><a href="/plus" class="links"><img src="/img/money.png" alt="money">Пополнить баланс</a></div>
            <div class="forlink"><a href="/minus" class="links"><img src="/img/moneyback.png" alt="moneyback">Вывод средств</a></div>
            '.($mod_array['forum'] == 1 ? '<div class="forlink"><a href="/forum" class="links" ><img src="/img/forum.png" alt="forum">Форум<div class="chi">'.$count_forum.'/'.$count_fp . $new_fp.'</div></a></div>' : '').'
            <div class="forlink"><a href="/friends" class="links"><img src="/img/friend.png" alt="friend">Мои друзья<div class="chi">'.$count_friends.'</div></a></div>
            '.(!empty($sys_array['ref_cash']) ? '<div class="forlink"><a href="/refer" class="links"><img src="/img/ref.png" alt="ref">Мои рефералы<div class="chi">'.$count_ref.'</div></a></div>' : '').'
            <div class="forlink"><a href="/news" class="links" ><img src="/img/news.png" alt="news">Новости сайта<div class="chi">'.$count_news . $newss.'</div></a></div>
            '.(($mod_array['loto'] == 1 || $mod_array['num'] == 1 || $mod_array['prmd'] == 1) ? '<div class="forlink"><a href="/play" class="links"><img src="/img/play.png" alt="play">Игры</a></div>' : '').'
            <div class="forlink"><a href="/info/payment" class="links"><img src="/img/history.png" alt="history">История выплат<div class="chi">'.$all_payment.'</div></a></div>
            <div class="forlink"><a href="/info/stats" class="links"><img src="/img/stats.png" alt="stats">Статистика сайта</a></div>
            <div class="forlink"><a href="/info/users" class="links"><img src="/img/peoples.png" alt="peoples">Пользователи<div class="chi">'.$count_users.'</div></a></div>
            '.($mod_array['ads'] == 1 ? '<div class="forlink"><a href="/ads" class="links"><img src="/img/dvr.png" alt="dvr">Реклама<div class="chi">'.$user_rek.'</div></a></div>' : '').'
            <div class="forlink"><a href="/settings" class="links"><img src="/img/sett.png" alt="sett">Настройки</a></div>
            '.($adm_id == 1 ? '<div class="forlink"><a href="/adm" class="links"><img src="/img/adm.png" alt="adm">Панель управления<div class="chi">'.$new_adm.'</div></a></div>' : '');
    }

} else {

    if (isset($_GET['ref']))
        $_SESSION['ref'] = intval($_GET['ref']);

    echo '<div class="title">О проекте</div>
    <div class="menu">
    <ul class="tick">
    '.($mod_array['shop'] == 1 ? '<li>Покупайте или продавайте свои цифровые товары в магазине!</li>' : '').
    ($mod_array['task'] == 1 ? '<li>Зарабатывайте, выполняя простые задания рекламодателей!</li>
    <li>Продвигайте свои проекты, размещая задания!</li>' : '').
    ($mod_array['serf'] == 1 ? '<li>Зарабатывайте, просматривая сайты рекламодателей!</li>
    <li>Покупайте чистый трафик для своего сайта!</li>' : '').'
    </ul>
    </div>';

    echo '<div class="title">Авторизация</div>';

    if (isset($_POST['login']) && isset($_POST['pass']) && isset($_POST['save']) && isset($_POST['code'])) {
        $error = '';
        if (isset($_SESSION['time_auth']) && $_SESSION['time_auth'] > time() - 30) {
            $error.= 'Повторите попытку через 30 секунд!<br/>';
         } else {
            if (empty($_POST['code'])) {
                $error.= 'Введите код с картинки!<br/>';
            }
            elseif ($_SESSION['code'] != $_POST['code']) {
                $error.= 'Код с картинки введен неверно!<br/>';
            } else {
                if (empty($_POST['login'])) {
                    $error.= 'Введите логин!<br/>';
                }
                elseif (mb_strlen($_POST['login']) < 3 or mb_strlen($_POST['login']) > 15) {
                    $error.= 'Логин должен содержать от 3 до 15 символов!<br/>';
                }
                elseif (!user($_POST['login'], 1)) {
                    $error.= 'Пользователь с данным логином не зарегистрирован!<br/>';
                } else {

                    $password = user($_POST['login'], 1)['pass'];

                    if (empty($_POST['pass'])) {
                        $error.= 'Введите пароль!<br/>';
                    }
                    elseif (!password_verify($_POST['pass'], $password)) {
                        $_SESSION['time_auth'] = time();
                        $error.= 'Неверный пароль!<br/>';
                    }
                    if (empty($_POST['save'])) {
                        $error.= 'Выберите период авторизации!<br/>';
                    }
                }
            }
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            if ($authlog->execute(array(time(), $_POST['login'], $ip, $ua))) {

                $authid = $connect->LastInsertId();

                $expire = time() + 3600 * 24 * intval($_POST['save']);

                // авторизация
                setcookie('login', $_POST['login']);
                setcookie('login', $_POST['login'], $expire, '/');
                setcookie('pass', $password);
                setcookie('pass', $password, $expire, '/');
                setcookie('auth', $authid);
                setcookie('auth', $authid, $expire, '/');

                header('Location: /');

            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }

    echo '<div class="menu">
    <form name="auth" action="" method="POST">
    Логин:<br /><input type="text" name="login" maxlength="15" /><br/>
    Пароль:<br/><input type="password" name="pass" maxlength="15"/><br/>
    Запомнить:<br/><select name="save">
    <option value="1">На 1 день</option>
    <option value="5">На 5 дней</option>
    <option value="25">На 25 дней</option>
    <option value="75">На 75 дней</option>
    <option value="125">На 125 дней</option>
    <option value="225">На 225 дней</option>
    <option value="365">На 365 дней</option> 
    </select><br/>
    Код с картинки:<img id="captcha" src="/img/code.php" alt="check" onClick="$(\'#captcha\').attr(\'src\', \'/img/code.php?\' + Math.random())"><br/>
    <input type="text" name="code"><br/>
    <input type="submit" value="Войти"/>
    </form></div>
    <div class="forlink"><a href="/reg" class="links"><img src="/img/reg.png" alt="reg">Регистрация</a></div>
    <div class="forlink"><a href="/forgot" class="links"><img src="/img/help.png" alt="help">Восстановление пароля</a></div>';

    echo '<div class="title">Меню</div>
    '.($mod_array['shop'] == 1 ? '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt="shop">Магазин скриптов<div class="chi">'.$count_shop . $new_shop.'</div></a></div>' : '').'
    <div class="forlink"><a href="/news" class="links" ><img src="/img/news.png" alt="news">Новости сайта<div class="chi">'.$count_news . $newss.'</div></a></div>
    <div class="forlink"><a href="/info/payment" class="links"><img src="/img/history.png" alt="history">История выплат<div class="chi">'.$all_payment.'</div></a></div>
    <div class="forlink"><a href="/info/stats" class="links"><img src="/img/stats.png" alt="stats">Статистика сайта</a></div>';

}

require("inc/foot.php");
?>