<?php
$title = 'Форум';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");

if (isset($active) && $mod_array['forum'] == 1) { 

    $stmt_count = $connect->prepare("select count(*) from `topic` where `id` = ?");
    $stmt_count->execute(array($id));

    if (!$stmt_count->fetchColumn()) {
        header('Location: /forum');
    } else {

        // row
        $strow_top = $connect->prepare("select * from `topic` where `id` = ?");
        $strow_top->execute(array($id));
        $n_row = $strow_top->fetch(PDO::FETCH_LAZY);
        // категория
        $stmt_kat = $connect->prepare("select * from `kat` where `type` = '2' and `id` = ?");
        $stmt_kat->execute(array($n_row['kat']));
        $krow = $stmt_kat->fetch(PDO::FETCH_LAZY); 

        // up
        $up = $connect->prepare("update `topic` set `up` = ? where `id` = ?"); 
        // тип
        $type = 3;
        // количество комментариев
        $stmt_comm = $connect->prepare("select count(*) from `comments` where `did` = ? and `type` = ?");
        $stmt_comm->execute(array($id, $type));
        $count_comm = $stmt_comm->fetchColumn(); 

        echo '<div class="title">'.$n_row['name'].'</div>';

        if (isset($_GET['del_n']) && $adm_id == 1) {
            if (isset($_POST['ok'])) {
                $stmt1 = $connect->prepare("delete from `topic` where `id` = ?");
                $stmt2 = $connect->prepare("delete from `comments` where `did` = ? and `type` = ?"); 
                if ($stmt1->execute(array($id)) && $stmt2->execute(array($id, $type))) {
                    header ('location: /forum');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /forum/topic/'.$id);
            }
            echo '<div class="menu">
            <form action="" method="post">
            <input type="submit" name="ok" value="Удалить">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        }
        elseif (isset($_GET['edit_n']) && $n_row['user'] == $user['login'] && $n_row['status'] == 1 && $count_comm == 0) {
            if (isset($_POST['cancel'])) {
                header('Location: /forum/topic/'.$id); 
            }
            elseif (isset($_POST['red'])) {
                $error = '';
                if (empty($_POST['name'])) {
                    $error.= 'Введите название темы!<br/>';
                }
                elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 50) {
                    $error.= 'Название темы должно содержать не менее 5 и не более 50 символов!<br/>';
                }
                if (empty($_POST['text'])) {
                    $error.= 'Введите сообщение!<br/>';
                }
                elseif (mb_strlen($_POST['text']) < 10 || mb_strlen($_POST['text']) > 25000) {
                    $error.= 'Сообщение должно содержать не менее 10 и не более 25000 символов!<br/>';
                } 
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("update `topic` set `name` = ?, `text` = ? where `id` = ?");
                    if ($stmt->execute(array($_POST['name'], $_POST['text'], $id))) {
                        header('Location: /forum/topic/'.$id); 
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="post">
            Название темы:<br/><input type="text" name="name" value="'.$n_row['name'].'"><br/>
            Сообщение:<br/><textarea name="text" rows="5" cols="30">'.$n_row['text'].'</textarea><br/>
            <input type="submit" name="red" value="Сохранить">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        }
        elseif (isset($_GET['kat']) && ($n_row['user'] == $user['login'] || $adm_id == 1 || $adm_id == 3)) {
            if (isset($_POST['cancel'])) {
                header('Location: /forum/topic/'.$id); 
            }
            elseif (isset($_POST['ok'])) {
                $stmt = $connect->prepare("update `topic` set `kat` = ? where `id` = ?");
                if ($stmt->execute(array($_POST['kat'], $id))) {
                    header('Location: /forum/topic/'.$id); 
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            echo '<div class="menu">
            <form action="" method="post">
            Раздел форума:<br/><select name="kat">';
            $sql = $connect->query("select * from `kat` where `type` = '2' order by `id` desc")->fetchAll();
            foreach ($sql as $row)
                echo '<option value="'.$row['id'].'"'.($row['id'] == $n_row['kat'] ? 'selected' : '').'>'.$row['name'].'</option>';
            echo '</select><br/> 
            <input type="submit" name="ok" value="Перенести">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        } 
        elseif (isset($_GET['up']) && $n_row['user'] == $user['login'] && $n_row['status'] == 1 && $n_row['up'] < time() - 3600 * $sys_array['forum_up']) {
            $up->execute(array(time(), $id));
            header('Location: /forum/topic/'.$id);
        }
        elseif (isset($_GET['close']) && ($n_row['user'] == $user['login'] || $adm_id == 1 || $adm_id == 3) && $n_row['status'] == 1) {
            if (isset($_POST['ok'])) {
                $stmt = $connect->prepare("update `topic` set `status` = '0' where `id` = ?");
                if ($stmt->execute(array($id))) {
                    header('Location: /forum/topic/'.$id); 
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /forum/topic/'.$id);
            }
            echo '<div class="menu">
            <form action="" method="post">
            <input type="submit" name="ok" value="Закрыть тему">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>'; 
        }

        echo '<div class="menu">
        '.nl2br(smiles(bb(bblinks($n_row['text'])))).'<hr/>
        Автор: '.iconUser($n_row['user'], 1).(user($n_row['user'], 1) ? '<a href="/user/'.uid($n_row['user']).'" class="mlink">'.gradient($n_row['user']).'</a>' : $n_row['user']).'<br/>
        Дата публикации: '.daytime($n_row['time']).'
        <div class="butt2"> 
        '.($adm_id == 1 ? '<a href="?del_n">Удалить</a>' : '').
        ($n_row['user'] == $user['login'] && $n_row['status'] == 1 && $count_comm == 0 ? '<a href="?edit_n">Редактировать</a>' : '').
        (($n_row['user'] == $user['login'] || $adm_id == 1 || $adm_id == 3) ? '<a href="?kat">Перенести</a>' : '').
        ($n_row['user'] == $user['login'] && $n_row['status'] == 1 && $n_row['up'] < time() - 3600 * $sys_array['forum_up'] ? '<a href="?up">Поднять</a>' : '').
        (($n_row['user'] == $user['login'] || $adm_id == 1 || $adm_id == 3) && $n_row['status'] == 1 ? '<a href="?close">Закрыть </a>' : '').'
        </div>
        </div>';

        if ($n_row['user'] == $user['login'] && $n_row['status'] == 1 && $n_row['up'] > time() - 3600 * $sys_array['forum_up'])
            echo '<div class="menu">Следующий UP через '.restime($n_row['up'] - time() + 3600 * $sys_array['forum_up']).'.</div>';

        // prepared
        $stmt_num = $connect->prepare("select count(*) from `comments` where `id` = ? and `type` = ? and `did` = ?");
        $guest = $connect->prepare("insert into `comments` set `date` = ?, `user` = ?, `text` = ?, `did` = ?, `type` = ?");
        $strow = $connect->prepare("select * from `comments` where `id` = ?");

        echo '<div class="title">Комментарии ('.$count_comm.')</div>';

        if ($n_row['status'] == 1) {

            include($_SERVER["DOCUMENT_ROOT"]."/inc/smiles_bb.php");

            if (isset($_GET['edit'])) {
                $stmt_num_edit = $connect->prepare("select count(*) from `comments` where `date` > ? and `user` = ? and `id` = ? and `type` = ? and `did` = ?");
                $stmt_num_edit->execute(array(time() - 60, $user['login'], $_GET['edit'], $type, $id));
                if ($stmt_num_edit->fetchColumn()) {
                    $strow->execute(array($_GET['edit']));
                    $row = $strow->fetch(PDO::FETCH_LAZY);
                    if (isset($_POST['yes'])) {
                        $error = '';
                        if (empty($_POST['text'])) {
                            $error.= 'Введите сообщение!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) < 2) {
                            $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) > 2500) {
                            $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            $stmt = $connect->prepare("update `comments` set `text` = ? where `id` = ? limit 1");
                            if ($stmt->execute(array($_POST['text'], $_GET['edit']))) {
                                header('Location: /forum/topic/'.$id); 
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    elseif (isset($_POST['no'])) {
                        header('Location: /forum/topic/'.$id); 
                    }
                    echo '<div class="menu">
                    <form action="" method="post">
                    Сообщение:<br/><textarea name="text" rows="5" cols="25">'.$row['text'].'</textarea><br/>
                    <input type="submit" name="yes" value="Сохранить ('.intval($_GET['edit']).')"/>
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('Location: /forum/topic/'.$id); 
                }
            }
            elseif (isset($_GET['cit'])) {
                $stmt_num->execute(array($_GET['cit'], $type, $id));
                if ($stmt_num->fetchColumn()) {
                    $strow->execute(array($_GET['cit']));
                    $row = $strow->fetch(PDO::FETCH_LAZY);
                    if (isset($_POST['yes'])) {
                        $error = '';
                        if (empty($_POST['text'])) {
                            $error.= 'Введите сообщение!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) < 2) {
                            $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) > 2500) {
                            $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                        }
                        elseif (isset($_SESSION['guest_add']) && $_SESSION['guest_add'] > time() - $sys_array['antiflud']) {
                            $error.= 'Антифлуд! Лимит - '.$sys_array['antiflud'].quantDec($sys_array['antiflud'], [' секунда', ' секунды', ' секунд']).'!<br/>';
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            if ($guest->execute(array(time(), $user['login'], $_POST['text'], $id, $type))) {
                                if ($user['login'] != $n_row['user'])
                                    $up->execute(array(time(), $id));
                                if ($row['user'] != $n_row['user'] && $n_row['user'] != $user['login']) notification('[b]'.$user['login'].'[/b] оставил комментарий в вашей теме на форуме [url='.ROOT.'/forum/topic/'.$id.']'.$n_row['name'].'[/url].', $n_row['user'], 1);
                                if ($row['user'] != $user['login']) notification('[b]'.$user['login'].'[/b] процитировал ваше сообщение в [url='.ROOT.'/forum/topic/'.$id.']Теме на форуме[/url].', $row['user'], 1);
                                ratingUser($rat_array['chat'], $user['id']);
                                $_SESSION['guest_add'] = time();
                                header('Location: /forum/topic/'.$id); 
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    elseif (isset($_POST['no'])) {
                        header('Location: /forum/topic/'.$id); 
                    }
                    echo '<div class="menu">
                    <form action="" method="post">
                    Сообщение:<br/><textarea name="text" rows="5" cols="25">[cit]'.str_replace(['[cit]', '[/cit]'], null, '[u]'.$row['user'].'[/u] ('.daytime($row['date']).')[br]'.$row['text']).'[/cit][br]</textarea><br/>
                    <input type="submit" name="yes" value="Цитировать ('.intval($_GET['cit']).')"/>
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('Location: /forum/topic/'.$id); 
                }
            } else {
                if (isset($_POST['refresh'])) {
                    header('Location: /forum/topic/'.$id);
                }
                elseif (isset($_POST['addmess'])) {
                    $error = '';
                    if (empty($_POST['text'])) {
                        $error.= 'Введите сообщение!<br/>';
                    }
                    elseif (mb_strlen($_POST['text']) < 2) {
                        $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                    }
                    elseif (mb_strlen($_POST['text']) > 2500) {
                        $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                    }
                    elseif (isset($_SESSION['guest_add']) && $_SESSION['guest_add'] > time() - $sys_array['antiflud']) {
                        $error.= 'Антифлуд! Лимит - '.$sys_array['antiflud'].quantDec($sys_array['antiflud'], [' секунда', ' секунды', ' секунд']).'!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        if ($guest->execute(array(time(), $user['login'], $_POST['text'], $id, $type))) {
                            if ($user['login'] != $n_row['user'])
                                $up->execute(array(time(), $id)); 
                            if ((!isset($_GET['ans']) || $_GET['ans'] != $n_row['user']) && $n_row['user'] != $user['login']) notification('[b]'.$user['login'].'[/b] оставил комментарий в вашей теме на форуме [url='.ROOT.'/forum/topic/'.$id.']'.$n_row['name'].'[/url].', $n_row['user'], 1); 
                            if (isset($_GET['ans']) && $_GET['ans'] != $user['login']) notification('[b]'.$user['login'].'[/b] ответил вам в [url='.ROOT.'/forum/topic/'.$id.']Теме на форуме[/url].', $_GET['ans'], 1);
                            ratingUser($rat_array['chat'], $user['id']);
                            $_SESSION['guest_add'] = time();
                            header('Location: /forum/topic/'.$id); 
                        } else {
                            echo '<div class="menu">Ошибка при добавлении сообщения!</div>';
                        }
                    }
                }
                echo '<form name="form" action="" method="post">
                <div class="menu">
                Сообщение:<br/><textarea name="text" rows="5" cols="25">'.(isset($_GET['ans']) && $_GET['ans'] != $user['login'] ? '[b]'.$_GET['ans'].'[/b], ' : '').'</textarea><br/>
                <input type="submit" name="addmess" value="Написать"/>
                <input type="submit" name="refresh" value="Обновить">
                </form></div>';
            }
        } else {
            echo '<div class="menu">Тема закрыта!</div>'; 
        }

        // модератору
        if ($adm_id == 1|| $adm_id == 3) {
            if (isset($_GET['del'])) {
                $stmt_num->execute(array($_GET['del'], $type, $id));
                if ($stmt_num->fetchColumn()) {
                    if (isset($_POST['yes'])) {
                        $stmt = $connect->prepare("delete from `comments` where `id` = ?");
                        if ($stmt->execute(array($_GET['del']))) {
                            header('Location: /forum/topic/'.$id);
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        } 
                    }
                    elseif (isset($_POST['no'])) {
                        header('Location: /forum/topic/'.$id);
                    }
                    echo '<div class="menu">
                    <form action="" method="post">
                    <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/>
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('Location: /forum/topic/'.$id); 
                }
            }
        }

        if ($count_comm == 0) {
            echo '<div class="menu">Комментариев нет!</div>';
        } else {

            $page = new Pagination($count_comm, 10);

            $data = $connect->prepare("select * from `comments` where `did` = :did and `type` = :type order by `id` desc limit :start, 10");
            $data->bindValue(':did', $id, PDO::PARAM_INT);
            $data->bindValue(':type', $type, PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {
                echo '<div class="menu">'.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).' ('.daytime($row['date']).')<span class="online">'.online($row['user'], 1).'</span><div class="butt1">
            '.($row['user'] != $user['login'] ? '<a href="?ans='.urlencode($row['user']).'">Отв.</a>' : '').'<a href="?cit='.$row['id'].'">Цит.</a>'.($row['date'] > time() - 60 && $row['user'] == $user['login'] ? '<a href="?edit='.$row['id'].'">Ред.</a>' : '').(($adm_id == 1 || $adm_id == 3) ? '<a href="?del='.$row['id'].'">Уд.</a>' : '').'</div><hr/>'.nl2br(smiles(bb(bblinks($row['text'])))).'</div>';
            }

            $page->navigation();

        }
        echo '<div class="menu">
        <div class="butt2">
        <a href="/forum">Форум</a> 
        <a href="/forum/category/'.$krow['id'].'">'.$krow['name'].'</a>
        </div>
        </div>';
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>