<?php
$title = 'История выплат';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");

echo '<div class="title">История выплат</div>';

if ($all_payment == 0) {
    echo '<div class="menu">Записей нет!</div>';
} else {

    $page = new Pagination($all_payment, 10);

    $data = $connect->prepare("select * from `payment` order by `id` desc limit :start, 10");
    $data->bindValue(':start', $page->start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();

    foreach ($sql as $row) {
        echo '<div class="menu">
        Сумма: '.quantDec($row['money'], ['рубль', 'рубля', 'рублей']).'<br/>
        Пользователь: '.iconUser($row['user'], 1).(isset($active) && user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
        Статус: '.($row['status'] == 1 ? 'Выплачено' : ($row['status'] == 2 ? 'Отказано в выплате' : 'В обработке')).
        ($row['status'] > 0 ? '<br/>Дата: '.daytime($row['time']) : '').'
        </div>';
    }

    $page->navigation();

}

echo '<div class="title">Статистика</div>
<div class="menu">
Заявок в обработке: '.$count_payment.'<br/>
Выполнено заявок: '.$yes_payment.'<br/>
Не выполнено заявок: '.$no_payment.'
</div>
<div class="menu">
'.(isset($active) ? 'Вам выплачено: '.quantDec($user_payment, ['рубль', 'рубля', 'рублей']).'<br/>' : '').'
Всего выплачено: '.quantDec($sum_payment, ['рубль', 'рубля', 'рублей']).'
</div>';

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>