<?php
$title = 'Сообщения';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Сообщения ('.$count_mail . $new_mail.')</div>
    <div class="forlink"><a href="/mail/write" class="links"><img src="/img/write.png" alt="">Новое сообщение</a></div>';

    $stmt_new = $connect->prepare("select count(`id`) from `mail` where `who` = ? and `user` = ? and `read` = '0'");
    $clean = $connect->prepare("delete from `mail` where `user` = :user and `who` = :who or `user` = :who and `who` = :user");
    $delete = $connect->prepare("delete from `contacts` where `user_from` = :from and `user_to` = :to or `user_from` = :to and `user_to` = :from");

    if (isset($_GET['del'])) {
        if (!user($_GET['del'], 1)) {
            header('location: /mail');
        } else {
            if ($_GET['del'] == $user['login']) {
                header('location: /mail');
            } else {
                if (isset($_POST['cancel'])) {
                    header('location: /mail');
                }
                elseif (isset($_POST['submit'])) {
                    // Удаляем сообщения
                    $clean->execute(array(':user' => $_GET['del'], ':who' => $user['login']));
                    // Удаляем контакт
                    $delete->execute(array(':from' => $_GET['del'], ':to' => $user['login']));
                    header('location: /mail');
                } else {
                    echo '<div class="menu">
                    <form action="" method="post">
                    <input type="submit" name="submit" value="Очистить диалог">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                }
            }
        }
    }

    echo '<div class="menu">
    <form action="" method="GET">
    <input type="text" name="search" value="'.$search.'">
    <input type="submit" value="Поиск">
    </form></div>';

    $keywords = $search ? preg_replace("/[\s,]+/", "|", $search) : RS_ALL_CHARS;

    $stmt_num = $connect->prepare("select count(*) from `contacts` where (`user_from` = :user or `user_to` = :user) and (`user_from` rlike :keywords and `user_from` != :user or `user_to` rlike :keywords and `user_to` != :user)");
    $stmt_num->bindValue(':user', $user['login']);
    $stmt_num->bindValue(':keywords', $keywords);
    $stmt_num->execute();
    $count_res = $stmt_num->fetchColumn();

    if ($count_res == 0) {
        echo '<div class="menu">Контактов нет.</div>';
    } else {

        $page = new Pagination($count_res, 10, $search ? "?search=$search&" : "?");

        $data = $connect->prepare("select * from `contacts` where (`user_from` = :user or `user_to` = :user) and (`user_from` rlike :keywords and `user_from` != :user or `user_to` rlike :keywords and `user_to` != :user) order by `time` desc limit :start, 10");
        $data->bindValue(':user', $user['login']);
        $data->bindValue(':keywords', $keywords);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            // контакт
            $contact = $row['user_from'] == $user['login'] ? $row['user_to'] : $row['user_from'];
            // новые сообщения
            $stmt_new->execute(array($user['login'], $contact));
            $mail = $stmt_new->fetchColumn();

            echo '<div class="menu">
            Контакт: '.iconUser($contact, 1).(user($contact, 1) ? '<a href="/user/'.uid($contact).'" class="mlink">'.gradient($contact).'</a>' : $contact).'<br/>
            Новых сообщений: '.$mail.'<br/>
            <div class="butt2">
            <a href="/mail/read/'.uid($contact).'">Читать</a>
            <a href="?del='.urlencode($contact).'">Удалить</a>
            </div>
            </div>';

        }

        $page->navigation();

    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>