<?php
$title = 'Переписка';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    $m_row = user($id);
    $auth = authlog($id);

    if ($m_row && !in_blacklist($user['id'], $id) && !in_blacklist($id, $user['id'])) {

        if ($user['login'] == $m_row['login']) {
            header('location: /mail');
        } else {

            echo '<div class="title">Переписка с '.$m_row['login'].'</div>';

            $stmt_new_count = $connect->prepare("select count(*) from `mail` where `who` = ? and `user` = ? and `read` = '0'");
            $stmt_new_count->execute(array($user['login'], $m_row['login']));

            if ($stmt_new_count->fetchColumn()) {
                $stmt = $connect->prepare("update `mail` set `read` = '1' where `who` = ? and `user` = ?");
                $stmt->execute(array($user['login'], $m_row['login']));
                header('location: /mail/read/'.$id);
            }

            if (!online($id))
                echo '<div class="menu">Последний визит: '.daytime($auth['lasttime']).deviceIcon($auth['ua']).'</div>';

            if (p_mail_user($m_row['login'], $user['login'])) {

                include($_SERVER["DOCUMENT_ROOT"]."/inc/smiles_bb.php");

                $in_mail = $connect->prepare("insert into `mail` set `time` = ?, `user` = ?, `who` = ?, `text` = ?, `file` = ?");
                $strow = $connect->prepare("select * from `mail` where `id` = ?");
                $stmt_num = $connect->prepare("select count(*) from `mail` where (`who` = :who and `user` = :user or `who` = :user and `user` = :who) and `id` = :id");
                $stmt_num_edit = $connect->prepare("select count(*) from `mail` where `read` = '0' and `time` > ? and `user` = ? and `who` = ? and `id` = ?");

                if (isset($_GET['edit'])) {
                    $stmt_num_edit->execute(array(time() - 300, $user['login'], $m_row['login'], $_GET['edit']));
                    if ($stmt_num_edit->fetchColumn()) {
                        $strow->execute(array($_GET['edit']));
                        $row = $strow->fetch(PDO::FETCH_LAZY);
                        if (isset($_POST['yes'])) {
                            $error = '';
                            if (empty($_POST['text'])) {
                                $error.= 'Введите сообщение!<br/>';
                            }
                            elseif (mb_strlen($_POST['text']) < 2) {
                                $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                            }
                            elseif (mb_strlen($_POST['text']) > 25000) {
                                $error.= 'Текст должен содержать не более 25000 символов!<br/>';
                            }
                            if (!empty($error)) {
                                echo '<div class="menu">'.$error.'</div>';
                            } else {
                                $stmt = $connect->prepare("update `mail` set `text` = ? where `id` = ? limit 1");
                                if ($stmt->execute(array($_POST['text'], $_GET['edit']))) {
                                    header('location: /mail/read/'.$id);
                                } else {
                                    echo '<div class="menu">Произошла ошибка!</div>';
                                }
                            }
                        }
                        elseif (isset($_POST['no'])) {
                            header('location: /mail/read/'.$id);
                        }
                        echo '<div class="menu">
                        <form action="" method="post">
                        Сообщение:<br/><textarea name="text" rows="5" cols="25">'.$row['text'].'</textarea><br/>
                        <input type="submit" name="yes" value="Сохранить ('.intval($_GET['edit']).')"/>
                        <input type="submit" name="no" value="Отмена"/>
                        </form></div>';
                    } else {
                        header('location: /mail/read/'.$id);
                    }
                }
                elseif (isset($_GET['cit'])) {
                    $stmt_num->execute(array(':who' => $user['login'], ':user' => $m_row['login'], ':id' => $_GET['cit']));
                    if ($stmt_num->fetchColumn()) {
                        $strow->execute(array($_GET['cit']));
                        $row = $strow->fetch(PDO::FETCH_LAZY);
                        if (isset($_POST['yes'])) {
                            $error = '';
                            if (empty($_POST['text'])) {
                                $error.= 'Введите сообщение!<br/>';
                            }
                            elseif (mb_strlen($_POST['text']) < 2) {
                                $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                            }
                            elseif (mb_strlen($_POST['text']) > 25000) {
                                $error.= 'Текст должен содержать не более 25000 символов!<br/>';
                            }
                            if (file_exists($_FILES['filename']['tmp_name'])) {
                                $token = random_int(11111, 99999);
                                $files = $token."_".$_FILES['filename']['name'];
                                if (!in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif', 'zip', 'rar', '7z']) || in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif']) && !exif_imagetype($_FILES['filename']['tmp_name'])) {
                                    $error.= 'Неверный тип файла!<br/>';
                                }
                                if ($_FILES['filename']['size'] > 1048576 * 5) {
                                    $error.= 'Максимальный размер файла - 5 Mb!<br/>';
                                }
                            }
                            if (!empty($error)) {
                                echo '<div class="menu">'.$error.'</div>';
                            } else {
                                if ($in_mail->execute(array(time(), $user['login'], $m_row['login'], $_POST['text'], $files ?? false))) {
                                    // Добавляем в контакты
                                    contact_add($user['login'], $m_row['login']);
                                    // Очки дружбы
                                    friendPoint($user['login'], $m_row['login'], 3);
                                    if (file_exists($_FILES['filename']['tmp_name']))
                                        move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                                    $_SESSION['guest_add'] = time();
                                    header('location: /mail/read/'.$id);
                                } else {
                                    echo '<div class="menu">Произошла ошибка!</div>';
                                }
                            }
                        }
                        elseif (isset($_POST['no'])) {
                            header('location: /mail/read/'.$id);
                        }
                        echo '<div class="menu">
                        <form action="" method="post" enctype="multipart/form-data">
                        Сообщение:<br/><textarea name="text" rows="5" cols="25">[cit]'.str_replace(['[cit]', '[/cit]'], null, '[u]'.$row['user'].'[/u] ('.daytime($row['time']).')[br]'.$row['text']).'[/cit][br]</textarea><br/>
                        Прикрепить файл:<br/><input type="file" name="filename"><br />
                        <input type="submit" name="yes" value="Цитировать ('.intval($_GET['cit']).')"/>
                        <input type="submit" name="no" value="Отмена"/>
                        </form></div>';
                    } else {
                        header('location: /mail/read/'.$id);
                    }
                } else {
                    if (isset($_POST['refresh'])) {
                        header('location: /mail/read/'.$id);
                    }
                    elseif (isset($_POST['addmess'])) {
                        $error = '';
                        if (empty($_POST['text'])) {
                            $error.= 'Введите сообщение!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) < 2) {
                            $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) > 25000) {
                            $error.= 'Текст должен содержать не более 25000 символов!<br/>';
                        }
                        if (file_exists($_FILES['filename']['tmp_name'])) {
                            $token = random_int(11111, 99999);
                            $files = $token."_".$_FILES['filename']['name'];
                            if (!in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif', 'zip', 'rar', '7z']) || in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif']) && !exif_imagetype($_FILES['filename']['tmp_name'])) {
                                $error.= 'Неверный тип файла!<br/>';
                            }
                            if ($_FILES['filename']['size'] > 1048576 * 5) {
                                $error.= 'Максимальный размер файла - 5 Mb!<br/>';
                            }
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            if ($in_mail->execute(array(time(), $user['login'], $m_row['login'], $_POST['text'], $files ?? false))) {
                                // Добавляем в контакты
                                contact_add($user['login'], $m_row['login']);
                                // Очки дружбы
                                friendPoint($user['login'], $m_row['login'], 3);
                                if (file_exists($_FILES['filename']['tmp_name']))
                                    move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                                header('location: /mail/read/'.$id);
                            } else {
                                echo '<div class="menu">Ошибка при добавлении сообщения!</div>';
                            }
                        }
                    }
                    echo '<div class="menu">
                    <form name="form" action="" method="post" enctype="multipart/form-data">
                    Сообщение:<br/><textarea name="text" rows="5" cols="25"></textarea><br/>
                    Прикрепить файл:<br/><input type="file" name="filename"><br />
                    <input type="submit" name="addmess" value="Написать"/>
                    <input type="submit" name="refresh" value="Обновить">
                    </form></div>';
                }
            } else {
                echo '<div class="menu">Данному пользователю могут отправлять сообщения только друзья!</div>';
            }

            $stmt_count = $connect->prepare("select count(*) from `mail` where (`who` = :who and `user` = :user) or (`who` = :user and `user` = :who)");
            $stmt_count->bindValue(':who', $user['login']);
            $stmt_count->bindValue(':user', $m_row['login']);
            $stmt_count->execute();
            $count = $stmt_count->fetchColumn();

            if ($count == 0) {
                echo '<div class="menu">Сообщений нет!</div>';
            } else {

                $page = new Pagination($count, 10);

                $data = $connect->prepare("select * from `mail` where `who` = :who and `user` = :user or `who` = :user and `user` = :who order by `id` desc limit :start, 10");
                $data->bindValue(':who', $user['login']);
                $data->bindValue(':user', $m_row['login']);
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {
                    echo '<div class="menu">'.iconUser($row['user'], 1).'<a href="/user/'.uid($row['user'], 1).'" class="mlink">'.gradient($row['user']).'</a> ('.daytime($row['time']).') '.($row['read'] == 0 ? '<small>Не прочитано</small>' : '').'<span class="online">'.online($row['user'], 1).'</span>
                    <div class="butt1">
                    <a href="?cit='.$row['id'].'">Цит.</a>'.($row['time'] > time() - 300 && $row['read'] == 0 && $row['user'] == $user['login'] ? '<a href="?edit='.$row['id'].'">Ред.</a>' : '').'
                    </div>
                    <hr/>'.nl2br(smiles(bb(bblinks($row['text'])))).
                    (file_exists($_SERVER["DOCUMENT_ROOT"]."/files/".$row['file']) && $row['file'] ? '<hr/>Файл: <img src="/img/attach.png" alt="attach"><a href="/files/'.$row['file'].'">'.$row['file'].'</a> ('.get_filesize($_SERVER["DOCUMENT_ROOT"]."/files/".$row['file']).')' : '').'
                    </div>';
                }

                $page->navigation();

            }
        }
    } else {
        header('location: /mail');
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>