<?php
$title = 'Новое сообщение';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    $in_mail = $connect->prepare("insert into `mail` set `time` = ?, `user` = ?, `who` = ?, `text` = ?, `file` = ?");

    echo '<div class="title">Новое сообщение</div>';

    if (isset($_POST['submit'])) {
        $error = '';
        if (empty($_POST['who'])) {
            $error.= 'Введите логин получателя!<br/>';
        }
        elseif (!user($_POST['who'], 1)) {
            $error.= 'Пользователь с таким логином не зарегистрирован!<br/>';
        }
        elseif ($_POST['who'] == $user['login']) {
            $error.= 'Нельзя отправлять сообщения самому себе!<br/>';
        }
        elseif (!p_mail_user($_POST['who'], $user['login'])) {
            $error.= 'Данному пользователю могут отправлять сообщения только друзья!<br/>';
        }
        elseif (in_blacklist($user['login'], $_POST['who'], 1) || in_blacklist($_POST['who'], $user['login'], 1)) {
            $error.= 'Вы не можете писать этому пользователю!<br/>';
        }
        if (empty($_POST['text'])) {
            $error.= 'Введите сообщение!<br/>';
        }
        elseif (mb_strlen($_POST['text']) < 2) {
            $error.= 'Текст должен содержать не менее 2 символов!<br/>';
        }
        elseif (mb_strlen($_POST['text']) > 25000) {
            $error.= 'Текст должен содержать не более 25000 символов!<br/>';
        }
        elseif (isset($_SESSION['guest_add']) && $_SESSION['guest_add'] > time() - $sys_array['antiflud']) {
            $error.= 'Антифлуд! Лимит - '.$sys_array['antiflud'].quantDec($sys_array['antiflud'], [' секунда', ' секунды', ' секунд']).'!<br/>';
        }
        if (file_exists($_FILES['filename']['tmp_name'])) {
            $token = random_int(11111, 99999);
            $files = $token."_".$_FILES['filename']['name'];
            if (!in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif', 'zip', 'rar', '7z']) || in_array(get_extfile($_FILES['filename']['name']), ['jpg', 'png', 'gif']) && !exif_imagetype($_FILES['filename']['tmp_name'])) {
                $error.= 'Неверный тип файла!<br/>';
            }
            if ($_FILES['filename']['size'] > 1048576 * 5) {
                $error.= 'Максимальный размер файла - 5 Mb!<br/>';
            }
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            if ($in_mail->execute(array(time(), $user['login'], $_POST['who'], $_POST['text'], $files ?? false))) {
                // Добавляем в контакты
                contact_add($user['login'], $_POST['who']);
                // Очки дружбы
                friendPoint($user['login'], $_POST['who'], 3);
                $_SESSION['guest_add'] = time();
                if (file_exists($_FILES['filename']['tmp_name']))
                    move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                echo '<div class="menu">Сообщение отправлено!</div>';
                header('Refresh: 1');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form name="form" action="" method="post" enctype="multipart/form-data">
    Логин получателя:<br/><input type="text" name="who"><br/>
    Сообщение:<br/><textarea name="text" rows="5" cols="25"></textarea><br/>
    Прикрепить файл:<br/><input type="file" name="filename"><br />
    <input type="submit" name="submit" value="Отправить"/>
    </form></div>';
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>