<?php
$title = 'Новости сайта';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");

echo '<div class="title">Новости сайта ('.$count_news . $newss.')</div>';

if ($adm_id == 1 || $adm_id == 2) {
    if (isset($_POST['submit'])) {
        $error = '';
        if (empty($_POST['name'])) {
            $error.= 'Введите заголовок новости!<br/>';
        }
        elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 50) {
            $error.= 'Заголовок новости должен содержать не менее 5 и не более 50 символов!<br/>';
        }
        if (empty($_POST['text'])) {
            $error.= 'Введите текст новости!<br/>';
        }
        elseif (mb_strlen($_POST['text']) < 10 || mb_strlen($_POST['text']) > 5000) {
            $error.= 'Текст новости должен содержать не менее 10 и не более 5000 символов!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $stmt = $connect->prepare("insert into `news` set `time` = ?, `name` = ?, `text` = ?, `user` = ?");
            if ($stmt->execute(array(time(), $_POST['name'], $_POST['text'], $user['login']))) {
                header ('Location: /news');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<form action="" method="post">
    <div class="menu">
    Заголовок:<br/><input type="text" name="name"><br/>
    Текст:<br/><textarea name="text" rows="5" cols="25"></textarea><br/>
    <input type="submit" name="submit" value="Опубликовать"/>
    </form></div>';
}

if ($count_news == 0) {
    echo '<div class="menu">Нет новостей.</div>';
} else {

    $page = new Pagination($count_news, 10);

    $data = $connect->prepare("select * from `news` order by `id` desc limit :start, 10");
    $data->bindValue(':start', $page->start, PDO::PARAM_INT);
    $data->execute();
    $sql = $data->fetchAll();

    foreach ($sql as $row) {
        echo '<div class="forlink"><a href="/news/event/'.$row['id'].'" class="links"><img src="/img/event.png" alt="event">'.$row['name'].'<div class="chi">'.daytime($row['time']).'</div></a></div>';
    }

    $page->navigation();

}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
 ?>