<?php
$title = 'Пирамида';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['prmd'] == 1) {

    switch ($act) {

        case 'log':
 
            echo '<div class="title">История победителей</div>';

            if ($count_win_prmd == 0) {
                echo '<div class="menu">Записей нет!</div>';
            } else {

                $page = new Pagination($count_win_prmd, 10);

                $data = $connect->prepare("select * from `win_prmd` order by `id` desc limit :start, 10");
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {
                    echo '<div class="menu">
                    Выигрыш: '.quantDec($row['sum'], ['рубль', 'рубля', 'рублей']).'<br/>
                    Пользователь: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
                    Дата: '.daytime($row['time']).'
                    </div>';
                }

                $page->navigation();

            }

            echo '<div class="forlink"><a href="/play/prmd" class="links"><img src="/img/prmd.png" alt="">Пирамида</a></div>';
 
            break;

        default:

            echo '<div class="title">Пирамида</div>';

            $m_minus = $connect->prepare("update `users` set `money` = `money` - ? where `id` = ?");
            $in_prmd = $connect->prepare("insert into `prmd` set `time` = ?, `user` = ?, `sum` = ?");
            if ($count_prmd > 0) {
                echo '<div class="menu">
                Выигрыш: '.quantDec($prmd_cash, ['рубль', 'рубля', 'рублей']).'
                </div>
                <div class="menu">
                Ставка: '.quantDec($row_prmd['sum'], ['рубль', 'рубля', 'рублей']).'<br/>
                Пользователь: '.iconUser($row_prmd['user'], 1).(user($row_prmd['user'], 1) ? '<a href="/user/'.uid($row_prmd['user']).'" class="mlink">'.gradient($row_prmd['user']).'</a>' : $row_prmd['user']).'<br/>
                '.($count_prmd == 1 ? 'Никто еще не повысил ставку!' : 'До конца игры осталось <b/>'.restime($row_prmd['time'] - time() + 3600).'</b>!').'
                </div>';
                if ($row_prmd['user'] != $user['login']) {
                    $max_sum = $row_prmd['sum'] * 2;
                    if (isset($_POST['up'])) {
                        $error = '';
                        if ($last_prmd['user'] == $user['login']) {
                            $error.= 'Вы победили в предыдущей игре. Дождитесь окончания этой и тогда сможете играть!<br/>';
                        }
                        elseif (empty($_POST['sum'])) {
                            $error.= 'Введите сумму ставки!<br/>';
                        }
                        elseif ($_POST['sum'] > $row_prmd['sum'] * 2) {
                            $error.= 'Сумма ставки не должна быть больше '.quantDec($row_prmd['sum'] * 2, ['рубль', 'рубля', 'рублей']).'!<br/>';
                        }
                        elseif ($_POST['sum'] <= $row_prmd['sum']) {
                            $error.= 'Сумма ставки не должна быть меньше '.quantDec($row_prmd['sum'], ['рубль', 'рубля', 'рублей']).'!<br/>';
                        }
                        elseif ($_POST['sum'] > $user['money']) {
                            $error.= 'Недостаточно средств!<br/>';
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            $sum = abs($_POST['sum']);
                            notification('[b]'.$user['login'].'[/b] опередил вас в [url='.ROOT.'/play/prmd]Пирамиде[/url], повысив ставку до '.$sum.'.', $row_prmd['user'], 1);
                            $in_prmd->execute(array(time(), $user['login'], $sum));
                            $m_minus->execute(array($sum, $user['id']));
                            header('location: /play/prmd');
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="post">
                    Ставка:<br/><input type="text" name="sum"><br/>
                    <input type="submit" name="up" value="Повысить">
                    </form></div>';
                }
            } else {
                if (isset($_POST['up'])) {
                    $error = '';
                    if ($last_prmd['user'] == $user['login']) {
                        $error.= 'Вы победили в предыдущей игре. Дождитесь окончания этой и тогда сможете играть!<br/>';
                    }
                    elseif (empty($_POST['sum'])) {
                        $error.= 'Введите сумму ставки!<br/>';
                    }
                    elseif ($_POST['sum'] < $sys_array['pmin']) {
                        $error.= 'Минимальная начальная ставка - '.quantDec($sys_array['pmin'], ['рубль', 'рубля', 'рублей']).'!<br/>';
                    }
                    elseif ($_POST['sum'] > $sys_array['pmax']) {
                        $error.= 'Максимальная начальная ставка - '.quantDec($sys_array['pmax'], ['рубль', 'рубля', 'рублей']).'!<br/>';
                    }
                    elseif ($_POST['sum'] > $user['money']) {
                        $error.= 'Недостаточно средств!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $sum = abs($_POST['sum']);
                        $in_prmd->execute(array(time(), $user['login'], $sum));
                        $m_minus->execute(array($sum, $user['id']));
                        header('location: /play/prmd');
                    }
                }
                echo '<div class="menu">
                <form action="" method="post">
                Ставка:<br/><input type="text" name="sum" value="'.$prmd_min.'"><br/>
                <input type="submit" name="up" value="Начать игру">
                </form></div>';
            }
            if ($count_prmd > 1) {
                echo '<div class="title">Последние ставки</div>';
                $sql = $connect->query("select * from `prmd` order by `id` desc limit 5")->fetchAll();
                foreach ($sql as $row) {
                    echo '<div class="menu">
                    Ставка: '.quantDec($row['sum'], ['рубль', 'рубля', 'рублей']).'<br/>
                    Пользователь: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user'], 1).'</a>' : $row['user']).'
                    </div>';
                }
            }
            echo '<div class="forlink"><a href="/play/prmd/log" class="links"><img src="/img/prmd.png" alt="">История победителей<div class="chi">'.$count_win_prmd.'</div></a></div>';
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
 ?>