<?php
$title = 'Пополнение баланса';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Пополнение баланса</div>';

    if ((empty($pay_array['wmr']) || empty($pay_array['hash'])) && (empty($pay_array['wk_id']) || empty($pay_array['wk_hash'])) && (empty($pay_array['wpk_id']) || empty($pay_array['wpk_hash']))) {
        echo '<div class="menu"><div class="danger">Способы оплаты не настроены!</div></div>';
    } else {
        if (isset($_POST['submit'])) {
            $error = '';
            if (empty($_POST['sum'])) {
                $error.= 'Введите сумму пополнения!<br/>';
            }
            elseif (!is_numeric($_POST['sum'])) {
                $error.= 'Неверное значение!<br/>';
            } 
            elseif ($_POST['sum'] < $sys_array['min']) {
                $error.= 'Минимальна сумма пополнения - '.quantDec($sys_array['min'], ['рубль', 'рубля', 'рублей']).'!<br/>';
            }
            if (empty($_POST['pay'])) {
                $error.= 'Выберите способ оплаты!<br/>';
            }
            if (!empty($error)) {
                echo '<div class="menu">'.$error.'</div>';
            } else {

                $sum = intval($_POST['sum']);
                $chet = random_int(11111, 99999);
                $comm = 'Пополнение баланса: '.$user['login'];
                $pay = $connect->prepare("insert into `plus` set `time` = ?, `uid` = ?, `sum` = ?, `num` = ?");

                switch ($_POST['pay']) {

                    case 1:

                        if (empty($pay_array['wmr']) || empty($pay_array['hash'])) {
                            echo '<div class="menu"><div class="danger">Данный способ оплаты отключен!</div></div>';
                        } else {
                            if ($pay->execute(array(time(), $user['id'], $sum, $chet))) {
                                echo '<div class="menu">
                                <form action="https://merchant.webmoney.ru/lmi/payment.asp" method="POST">
                                <input type="hidden" name="LMI_PAYMENT_AMOUNT" value="'.$sum.'">
                                <input type="hidden" name="LMI_PAYMENT_DESC_BASE64" value="'.base64_encode($comm).'">
                                <input type="hidden" name="LMI_PAYMENT_NO" value="'.$chet.'">
                                <input type="hidden" name="LMI_PAYEE_PURSE" value="'.$pay_array['wmr'].'">
                                <input type="hidden" name="LMI_SIM_MODE" value="0">
                                <input type="submit" value="Перейти к оплате ('.quantDec($sum, ['рубль', 'рубля', 'рублей']).')">
                                </form></div>';
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }

                        break;

                    case 2:

                        if (empty($pay_array['wk_id']) || empty($pay_array['wk_hash'])) {
                            echo '<div class="menu"><div class="danger">Данный способ оплаты отключен!</div></div>';
                        } else {
                            $data = file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$pay_array['wk_id'].'&summa='.$sum.'&hash='.$pay_array['wk_hash'].'&desc='.urlencode($comm));
                            if ($pay->execute(array(time(), $user['id'], $sum, $data)) && is_numeric($data)) {
                                header('Location: http://worldkassa.ru/user/oplata.php?uniq='.$data);
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }

                        break;

                    case 3:

                        if (empty($pay_array['wpk_id']) || empty($pay_array['wpk_hash'])) {
                            echo '<div class="menu"><div class="danger">Данный способ оплаты отключен!</div></div>';
                        } else {
                            if ($pay->execute(array(time(), $user['id'], $sum, $chet))) {
                                echo '<form method="POST" action="https://wapkassa.ru/merchant/payment">
                                <div class="menu">
                                <input type="hidden" name="WK_PAYMENT_SITE" value="'.$pay_array['wpk_id'].'">
                                <input type="hidden" name="WK_PAYMENT_AMOUNT" value="'.$sum.'">
                                <input type="hidden" name="WK_PAYMENT_COMM" value="'.$comm.'">
                                <input type="hidden" name="WK_PAYMENT_HASH" value="'.strtoupper(hash('sha256', $pay_array['wpk_id'].$sum.$pay_array['wpk_hash'])).'">
                                <input type="hidden" name="WK_PAYMENT_ID" value="'.$chet.'">
                                <input type="submit" value="Перейти к оплате ('.quantDec($sum, ['рубль', 'рубля', 'рублей']).')">
                                </div></form>';
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                }
            }
        }

        echo '<div class="menu">
        <form action="" method="post">
        Сумма пополнения:<br/><input type="text" name="sum" value="'.$sys_array['min'].'"><br/>
        Способ оплаты:<br/><select name="pay">
        '.(!empty($pay_array['wmr']) && !empty($pay_array['hash']) ? '<option value="1">WebMoney Merchant</option>' : '').
        (!empty($pay_array['wk_id']) && !empty($pay_array['wk_hash']) ? '<option value="2">WorldKassa</option>' : '').
        (!empty($pay_array['wpk_id']) && !empty($pay_array['wpk_hash']) ? '<option value="3">WapKassa</option>' : '').'
        </select><br/>
        <input type="submit" name="submit" value="Продолжить">
        </form></div>';
    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>