<?php

/* WebMoney Merchant */

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/function.php");

$pay = $connect->prepare("UPDATE `users` SET `money` = `money` + ? WHERE `id` = ?");
$strow = $connect->prepare("SELECT * FROM `plus` WHERE `num` = ?");
$del = $connect->prepare("DELETE FROM `plus` WHERE `num` = ?");

if (isset($_POST['LMI_PAYEE_PURSE']) &&
    isset($_POST['LMI_PAYMENT_AMOUNT']) &&
    isset($_POST['LMI_PAYMENT_NO'])) {

    /* Проверка */

    $strow->execute(array($_POST['LMI_PAYMENT_NO']));
    $row = $strow->fetch(PDO::FETCH_LAZY);

    if (!$row)
        exit('ERR: ПОПЫТКА ПОДМЕНЫ ПЛАТЕЖА!');

    if ($row['sum'] != $_POST['LMI_PAYMENT_AMOUNT'])
        exit('ERR: ПОПЫТКА ПОДМЕНЫ СУММЫ!');

    if ($pay_array['wmr'] != $_POST['LMI_PAYEE_PURSE'])
        exit('ERR: НЕВЕРНЫЙ КОШЕЛЕК ПОЛУЧАТЕЛЯ!');
 
    if (isset($_POST['LMI_PREREQUEST']))
        exit('YES');

    /* if ($pay_array['hash'] != $_POST['LMI_SECRET_KEY'])
        exit('ERR: НЕВЕРНЫЙ SECRET KEY!'); */

    if (isset($_POST['LMI_MODE']) &&
        isset($_POST['LMI_SYS_INVS_NO']) &&
        isset($_POST['LMI_SYS_TRANS_NO']) &&
        isset($_POST['LMI_SYS_TRANS_DATE']) &&
        isset($_POST['LMI_PAYER_PURSE']) &&
        isset($_POST['LMI_PAYER_WM']) &&
        isset($_POST['LMI_HASH'])) { 

        $hash = strtoupper(hash('sha256',

            $pay_array['wmr'].
            $_POST['LMI_PAYMENT_AMOUNT'].
            $_POST['LMI_PAYMENT_NO'].
            $_POST['LMI_MODE'].
            $_POST['LMI_SYS_INVS_NO'].
            $_POST['LMI_SYS_TRANS_NO'].
            $_POST['LMI_SYS_TRANS_DATE'].
            $pay_array['hash'].
            $_POST['LMI_PAYER_PURSE'].
            $_POST['LMI_PAYER_WM']

        ));

        if ($hash != $_POST['LMI_HASH'])
            exit('ERR: ПОПЫТКА ПОДМЕНЫ КОНТРОЛЬНОЙ ПОДПИСИ!');
 
        // рейтинг
        ratingUser($rat_array['plus'], $row['uid']);

        // реферальное начисление
        $u_row = user($row['uid']);
        $ref = user($u_row['ref']);
        $ref_money = $row['sum'] / 100 * $sys_array['ref_cash']; 
        if ($ref && $ref_money > 0) {
            notification('Зачислено на баланс '.quantDec($ref_money, ['рубль', 'рубля', 'рублей']).' от реферала [b]'.$u_row['login'].'[/b]!', $ref['id']);
            $pay->execute(array($ref_money, $ref['id']));
        }

        // пополнение
        if ($pay->execute(array($row['sum'], $row['uid'])))
            $del->execute(array($_POST['LMI_PAYMENT_NO']));

    }
}
 ?>