<?php

/* WorldKassa */

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/function.php");

$pay = $connect->prepare("UPDATE `users` SET `money` = `money` + ? WHERE `id` = ?");
$strow = $connect->prepare("SELECT * FROM `plus` WHERE `num` = ?");
$del = $connect->prepare("DELETE FROM `plus` WHERE `num` = ?");

if (isset($_POST['id_shop']) &&
    is_numeric($_POST['id_shop']) &&
    isset($_POST['id_bill']) &&
    is_numeric($_POST['id_bill']) &&
    isset($_POST['summa']) &&
    is_numeric($_POST['summa']) &&
    isset($_POST['hash'])) {

    /* Проверка */

    $strow->execute(array($_POST['id_bill']));
    $row = $strow->fetch(PDO::FETCH_LAZY);

    if (!$row)
        exit('ERR: ПОПЫТКА ПОДМЕНЫ ПЛАТЕЖА!');

    if ($_POST['summa'] < $row['sum'])
        exit('ERR: ПОПЫТКА ПОДМЕНЫ СУММЫ!');

    $hash = md5(

        $pay_array['wk_hash'].
        $pay_array['wk_id'].
        $_POST['id_bill'].
        $_POST['summa']

    );

    if ($hash != $_POST['hash'])
        exit('ERR: ПОПЫТКА ПОДМЕНЫ КОНТРОЛЬНОЙ ПОДПИСИ!');
 
    // рейтинг
    ratingUser($rat_array['plus'], $row['uid']);

    // реферальное начисление
    $u_row = user($row['uid']);
    $ref = user($u_row['ref']);
    $ref_money = $row['sum'] / 100 * $sys_array['ref_cash']; 
    if ($ref && $ref_money > 0) {
        notification('Зачислено на баланс '.quantDec($ref_money, ['рубль', 'рубля', 'рублей']).' от реферала [b]'.$u_row['login'].'[/b]!', $ref['id']);
        $pay->execute(array($ref_money, $ref['id']));
    }

    // пополнение
    if ($pay->execute(array($row['sum'], $row['uid'])))
        $del->execute(array($_POST['id_bill']));

}
 ?>