<?php
$title = 'Черный список';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Черный список ('.$count_black.')</div>';

    $del_black = $connect->prepare("delete from `blacklist` where `user` = ? and `black` = ?");
    $in_black = $connect->prepare("insert into `blacklist` set `user` = ?, `black` = ?");
    $del_contact = $connect->prepare("delete from `contacts` where `user_from` = :from and `user_to` = :to or `user_from` = :to and `user_to` = :from");
    $del_mail = $connect->prepare("delete from `mail` where `user` = :user and `who` = :who or `user` = :who and `who` = :user");

    if (isset($_GET['del'])) {
        if (in_blacklist($user['login'], $_GET['del'], 1)) {
            $del_black->execute(array($user['login'], $_GET['del']));
            header('Location: /settings/blacklist');
        }
    }

    if ($count_black == 0) {
        echo '<div class="menu">Список пуст!</div>';
    } else {

        $page = new Pagination($count_black, 10);

        $data = $connect->prepare("select * from `blacklist` where `user` = :user order by `id` desc limit :start, 10");
        $data->bindValue(':user', $user['login']);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="menu">
            Пользователь: '.iconUser($row['black'], 1).(user($row['black'], 1) ? '<a href="/user/'.uid($row['black']).'" class="mlink">'.gradient($row['black']).'</a>' : $row['black']).'<br/>
            <div class="butt2"><a href="?del='.urlencode($row['black']).'">Удалить из списка</a></div>
            </div>';
        }

        $page->navigation();

    }

    echo '<div class="title">Пополнить список</div>';

    if (isset($_POST['black'])) {
        $error = '';
        if (empty($_POST['login'])) {
            $error.= 'Введите логин пользователя!<br/>';
        }
        elseif (!user($_POST['login'], 1)) {
            $error.= 'Пользователь с таким логином не найден в системе!<br/>';
        }
        elseif (in_blacklist($user['login'], $_POST['login'], 1)) {
            $error.= 'Этот пользователь уже в ЧС!<br/>';
        }
        elseif ($_POST['login'] == $user['login']) {
            $error.= 'Нельзя добавлять себя в ЧС!<br/>';
        }
        if (!empty($error)) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $in_black->execute(array($user['login'], $_POST['login']));
            $del_contact->execute(array(':from' => $user['login'], ':to' => $_POST['login']));
            $del_mail->execute(array(':user' => $user['login'], ':who' => $_POST['login']));

            echo '<div class="menu">Вы успешно добавили пользователя в ЧС!</div>';

            header('Refresh: 1');

        }
    }

    echo '<div class="menu">
    <form action="" method="POST">
    Пользователь:<br/><input type="text" name="login" maxlength="15"/><br/>
    <input type="submit" name="black" value="Добавить"/>
    </form></div>';
 
    echo '<div class="forlink"><a href="/settings" class="links"><img src="/img/sett.png" alt="">Настройки</a></div>';
 
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>