<?php
$title = 'Комментарии';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($mod_array['shop'] == 1) {

    // ищем товар
    $stmt_count = $connect->prepare("select count(*) from `shop` where `id` = ?");
    $stmt_count->execute(array($id));

    if (!$stmt_count->fetchColumn()) {
        header('Location: /shop');
    } else {

        // row
        $strow_shop = $connect->prepare("select * from `shop` where `id` = ?");
        $strow_shop->execute(array($id));
        $row_s = $strow_shop->fetch(PDO::FETCH_LAZY);
        // тип
        $type = 2;
        // количество комментариев
        $stmt_comm = $connect->prepare("select count(*) from `comments` where `did` = ? and `type` = ?");
        $stmt_comm->execute(array($id, $type));
        $count_comm = $stmt_comm->fetchColumn();

        // prepared
        $stmt_num = $connect->prepare("select count(*) from `comments` where `id` = ? and `type` = ? and `did` = ?");
        $guest = $connect->prepare("insert into `comments` set `date` = ?, `user` = ?, `text` = ?, `did` = ?, `type` = ?");
        $strow = $connect->prepare("select * from `comments` where `id` = ?");

        echo '<div class="title">Комментарии ('.$count_comm.')</div>';

        if (isset($active)) {

            include($_SERVER["DOCUMENT_ROOT"]."/inc/smiles_bb.php");

            if (isset($_GET['edit'])) {
                $stmt_num_edit = $connect->prepare("select count(*) from `comments` where `date` > ? and `user` = ? and `id` = ? and `type` = ? and `did` = ?");
                $stmt_num_edit->execute(array(time() - 60, $user['login'], $_GET['edit'], $type, $id));
                if ($stmt_num_edit->fetchColumn()) {
                    $strow->execute(array($_GET['edit']));
                    $row = $strow->fetch(PDO::FETCH_LAZY);
                    if (isset($_POST['yes'])) {
                        $error = '';
                        if (empty($_POST['text'])) {
                            $error.= 'Введите сообщение!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) < 2) {
                            $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) > 2500) {
                            $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            $stmt = $connect->prepare("update `comments` set `text` = ? where `id` = ? limit 1");
                            if ($stmt->execute(array($_POST['text'], $_GET['edit']))) {
                                header('Location: /shop/comments/'.$id);
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    elseif (isset($_POST['no'])) {
                        header('Location: /shop/comments/'.$id);
                    }
                    echo '<div class="menu">
                    <form action="" method="post">
                    Сообщение:<br/><textarea name="text" rows="5" cols="25">'.$row['text'].'</textarea><br/>
                    <input type="submit" name="yes" value="Сохранить ('.intval($_GET['edit']).')"/>
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('Location: /shop/comments/'.$id);
                }
            }
            elseif (isset($_GET['cit'])) {
                $stmt_num->execute(array($_GET['cit'], $type, $id));
                if ($stmt_num->fetchColumn()) {
                    $strow->execute(array($_GET['cit']));
                    $row = $strow->fetch(PDO::FETCH_LAZY);
                    if (isset($_POST['yes'])) {
                        $error = '';
                        if (empty($_POST['text'])) {
                            $error.= 'Введите сообщение!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) < 2) {
                            $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                        }
                        elseif (mb_strlen($_POST['text']) > 2500) {
                            $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                        }
                        elseif (isset($_SESSION['guest_add']) && $_SESSION['guest_add'] > time() - $sys_array['antiflud']) {
                            $error.= 'Антифлуд! Лимит - '.$sys_array['antiflud'].quantDec($sys_array['antiflud'], [' секунда', ' секунды', ' секунд']).'!<br/>';
                        }
                        if (!empty($error)) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            if ($guest->execute(array(time(), $user['login'], $_POST['text'], $id, $type))) {
                                if ($row['user'] != $row_s['user'] && $row_s['user'] != $user['login']) notification('[b]'.$user['login'].'[/b] оставил [url='.ROOT.'/shop/comments/'.$id.']комментарий[/url] к вашему товару [url='.ROOT.'/shop/product/'.$id.']'.$row_s['name'].'[/url].', $row_s['user'], 1);
                                if ($row['user'] != $user['login']) notification('[b]'.$user['login'].'[/b] процитировал ваше сообщение в [url='.ROOT.'/shop/comments/'.$id.']Комментариях к товару[/url].', $row['user'], 1);
                                ratingUser($rat_array['chat'], $user['id']);
                                $_SESSION['guest_add'] = time();
                                header('Location: /shop/comments/'.$id);
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    elseif (isset($_POST['no'])) {
                        header('Location: /shop/comments/'.$id);
                    }
                    echo '<div class="menu">
                    <form action="" method="post">
                    Сообщение:<br/><textarea name="text" rows="5" cols="25">[cit]'.str_replace(['[cit]', '[/cit]'], null, '[u]'.$row['user'].'[/u] ('.daytime($row['date']).')[br]'.$row['text']).'[/cit][br]</textarea><br/>
                    <input type="submit" name="yes" value="Цитировать ('.intval($_GET['cit']).')"/>
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('Location: /shop/comments/'.$id);
                }
            } else {
                if (isset($_POST['refresh'])) {
                    header('Location: /shop/comments/'.$id);
                }
                elseif (isset($_POST['addmess'])) {
                    $error = '';
                    if (empty($_POST['text'])) {
                        $error.= 'Введите сообщение!<br/>';
                    }
                    elseif (mb_strlen($_POST['text']) < 2) {
                        $error.= 'Текст должен содержать не менее 2 символов!<br/>';
                    }
                    elseif (mb_strlen($_POST['text']) > 2500) {
                        $error.= 'Текст должен содержать не более 2500 символов!<br/>';
                    }
                    elseif (isset($_SESSION['guest_add']) && $_SESSION['guest_add'] > time() - $sys_array['antiflud']) {
                        $error.= 'Антифлуд! Лимит - '.$sys_array['antiflud'].quantDec($sys_array['antiflud'], [' секунда', ' секунды', ' секунд']).'!<br/>';
                    }
                    if (!empty($error)) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        if ($guest->execute(array(time(), $user['login'], $_POST['text'], $id, $type))) {
                            if ((isset($_GET['ans']) && $_GET['ans'] != $row_s['user']) || $row_s['user'] != $user['login']) notification('[b]'.$user['login'].'[/b] оставил [url='.ROOT.'/shop/comments/'.$id.']комментарий[/url] к вашему товару [url='.ROOT.'/shop/product/'.$id.']'.$row_s['name'].'[/url].', $row_s['user'], 1);
                            if (isset($_GET['ans']) && $_GET['ans'] != $user['login']) notification('[b]'.$user['login'].'[/b] ответил вам в [url='.ROOT.'/shop/comments/'.$id.']Комментариях к товару[/url].', $_GET['ans'], 1);
                            ratingUser($rat_array['chat'], $user['id']);
                            $_SESSION['guest_add'] = time();
                            header('Location: /shop/comments/'.$id);
                        } else {
                            echo '<div class="menu">Ошибка при добавлении сообщения!</div>';
                        }
                    }
                }
                echo '<form name="form" action="" method="post">
                <div class="menu">
                Сообщение:<br/><textarea name="text" rows="5" cols="25">'.(isset($_GET['ans']) && $_GET['ans'] != $user['login'] ? '[b]'.$_GET['ans'].'[/b], ' : '').'</textarea><br/>
                <input type="submit" name="addmess" value="Написать"/>
                <input type="submit" name="refresh" value="Обновить">
                </form></div>';
            }
        }

        // модератору
        if ($adm_id == 1 || $adm_id == 3) {
            if (isset($_GET['del'])) {
                $stmt_num->execute(array($_GET['del'], $type, $id));
                if ($stmt_num->fetchColumn()) {
                    if (isset($_POST['yes'])) {
                        $stmt = $connect->prepare("delete from `comments` where `id` = ?");
                        if ($stmt->execute(array($_GET['del']))) {
                            header('Location: /shop/comments/'.$id);
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                    elseif (isset($_POST['no'])) {
                        header('Location: /shop/comments/'.$id);
                    }

                    echo '<div class="menu">
                    <form action="" method="post">
                    <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/>
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('Location: /shop/comments/'.$id);
                }
            }
        }

        if ($count_comm == 0) {
            echo '<div class="menu">Комментариев нет!</div>';
        } else {

            $page = new Pagination($count_comm, 10);

            $data = $connect->prepare("select * from `comments` where `did` = :did and `type` = :type order by `id` desc limit :start, 10");
            $data->bindValue(':did', $id, PDO::PARAM_INT);
            $data->bindValue(':type', $type, PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {
                echo '<div class="menu">'.iconUser($row['user'], 1).(isset($active) && user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).' ('.daytime($row['date']).')<span class="online">'.online($row['user'], 1).'</span><div class="butt1">
                '.(isset($active) ? ($row['user'] != $user['login'] ? '<a href="?ans='.urlencode($row['user']).'">Отв.</a>' : '').'<a href="?cit='.$row['id'].'">Цит.</a>'.($row['date'] > time() - 60 && $row['user'] == $user['login'] ? '<a href="?edit='.$row['id'].'">Ред.</a>' : '') : '').(($adm_id == 1 || $adm_id == 2 || $adm_id == 3) ? '<a href="?del='.$row['id'].'">Уд.</a>' : '').'</div><hr/>'.nl2br(smiles(bb(bblinks($row['text'])))).'</div>';
            }

            $page->navigation();

        }

        echo '<div class="forlink"><a href="/shop/product/'.$id.'" class="links"><img src="/img/product.png" alt="">Вернуться к товару</a></div>';

    }
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>