<?php
$title = 'Магазин скриптов';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($mod_array['shop'] == 1) {

    if ($count_shop > 0) {

        echo '<div class="title">Новые товары</div>';

        $sql = $connect->query("select * from `shop` where `status` = '1' order by `id` desc limit 3")->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="forlink">
            <a href="/shop/product/'.$row['id'].'" class="links">
            '.($row['time'] > mktime(0, 0, 1) ? '<img src="/img/release.png" alt="release">' : '<img src="/img/product.png" alt="product">').
            $row['name'].'
            <div class="chi">'.quantDec($row['cena'], ['рубль', 'рубля', 'рублей']).'</div>
            </a></div>';
        }
    }

    if ($last_update_shop > 0) {

        echo '<div class="title">Последние обновления</div>';

        $sql = $connect->query("select * from `shop` where `status` = '1' and `upd` != '0' order by `upd` desc limit 3")->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="forlink">
            <a href="/shop/product/'.$row['id'].'" class="links">
            '.($row['time'] > mktime(0, 0, 1) ? '<img src="/img/release.png" alt="release">' : '<img src="/img/product.png" alt="product">').
            $row['name'].'
            <div class="chi">'.quantDec($row['cena'], ['рубль', 'рубля', 'рублей']).'</div>
            </a></div>'; 
        }
    }

    if ($all_sell > 0) {

        echo '<div class="title">Последние продажи</div>';

        $sql = $connect->query("select * from `purchase` order by `id` desc limit 3")->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="forlink">
            <a href="/shop/product/'.$row['pid'].'" class="links">
            <img src="/img/product.png" alt="product">'.$row['name'].'
            <div class="chi">'.quantDec($row['sum'], ['рубль', 'рубля', 'рублей']).'</div>
            </a></div>'; 
        }
    } 

    echo '<div class="title">Категории</div>';
 
    $stmt_count = $connect->prepare("select count(*) from `shop` where `kat` = ? and `status` = '1'"); 

    if ($count_shop_kat == 0) {
        echo '<div class="menu">Категорий нет!</div>';
    } else {

        $sql = $connect->query("select * from `kat` where `type` = '1' order by `id` asc")->fetchAll();

        foreach ($sql as $row) {
            $stmt_count->execute(array($row['id']));
            $count = $stmt_count->fetchColumn();
            echo '<div class="forlink"><a href="/shop/category/'.$row['id'].'" class="links"><img src="/img/folder.png" alt="folder">'.$row['name'].'<div class="chi">'.$count.'</div></a></div>';
        }
    }

    echo '<div class="title">Меню</div>';

    if (isset($active)) {
        echo '<div class="forlink"><a href="/shop/my" class="links"><img src="/img/myshop.png" alt="myshop">Мои товары<div class="chi">'.$count_user_shop.'</div></a></div>
        <div class="forlink"><a href="/shop/purchase" class="links"><img src="/img/purchase.png" alt="purchase">Мои покупки<div class="chi">'.$user_purch.'</div></a></div>
        <div class="forlink"><a href="/shop/kassa" class="links"><img src="/img/kassa.png" alt="kassa">Мои продажи<div class="chi">'.$user_kassa.'</div></a></div>
        <div class="forlink"><a href="/shop/basket" class="links"><img src="/img/bk.png" alt="bk">Корзина<div class="chi">'.$user_bk.'</div></a></div>';
    } else {
        echo '<div class="menu"><div class="information">Авторизуйтесь, чтобы была возможность купить товар.</div></div>';
    }
    echo '<div class="forlink"><a href="/shop/search" class="links"><img src="/img/search.png" alt="search">Поиск</a></div>
    <div class="forlink"><a href="/shop/rules" class="links"><img src="/img/rules.png" alt="rules">Правила магазина</a></div>';
} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>