<?php
$title = 'Мои продажи';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['shop'] == 1) {

    echo '<div class="title">Мои продажи</div>';

    if ($user_kassa == 0) {
        echo '<div class="menu">Продаж нет.</div>';
    } else {

        echo '<div class="menu">
        Продаж за все время: '.$user_kassa.'<br/>
        На сумму: '.quantDec($sum_user_kassa, ['рубль', 'рубля', 'рублей']).'
        </div>';

        $page = new Pagination($user_kassa, 10);

        $data = $connect->prepare("select * from `purchase` where `seller` = :user order by `id` desc limit :start, 10");
        $data->bindValue(':user', $user['login']);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {
            echo '<div class="menu">
            Покупатель: '.iconUser($row['user'], 1).(user($row['user'], 1) ? '<a href="/user/'.uid($row['user']).'" class="mlink">'.gradient($row['user']).'</a>' : $row['user']).'<br/>
            Товар: <a href="/shop/product/'.$row['pid'].'">'.$row['name'].'</a><br/>
            Сумма: '.quantDec($row['sum'], ['рубль', 'рубля', 'рублей']).'<br/>
            Дата: '.daytime($row['time']).
            ($row['status'] == 1 ? '<div class="good">Средства перечислены на баланс!</div>' : ($row['status'] == 2 ? '<div class="danger">Средства временно заморожены!</div>' : '<div class="information">Средства станут доступны '.daytime($row['time'] + 3600 * 24 * $sys_array['sdays']).'!</div>')).'
            </div></div>';
        }

        $page->navigation();

    }

    echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt="">Магазин скриптов</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>