<?php
$title = 'Смена пароля';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {
    header('Location: /');
} else {

    $stmt_num = $connect->prepare("select count(*) from `speedpass` where `id` = ? and `key` = ?");
    $stmt_num->execute(array($id, md5($act)));

    if (!$stmt_num->fetchColumn()) {
        header('Location: /'); 
    } else {

        $strow = $connect->prepare("select * from `speedpass` where `id` = ?");
        $strow->execute(array($id));
        $row = $strow->fetch(PDO::FETCH_LAZY);

        if (!user($row['user'], 1)) {
            header('Location: /'); 
        } else {

            echo '<div class="title">Смена пароля</div>
            <div class="menu">Логин: '.$row['user'].'</div>';

            if (isset($_POST['new_pass']) && isset($_POST['last_pass']) && isset($_POST['code'])) {
                $error = '';
                if (empty($_POST['code'])) {
                    $error.= 'Введите код с картинки!<br/>';
                }
                elseif ($_SESSION['code'] != $_POST['code']) {
                    $error.= 'Код с картинки введен неверно!<br/>';
                } else {
                    if (empty($_POST['new_pass'])) {
                        $error.= 'Введите новый пароль!<br/>';
                    }
                    elseif (mb_strlen($_POST['new_pass']) < 3 or mb_strlen($_POST['new_pass']) > 15) {
                        $error.= 'Новый пароль должен содержать от 3 до 15 символов!<br/>';
                    }
                    elseif (empty($_POST['last_pass'])) {
                        $error.= 'Введите проверочный пароль!<br/>';
                    }
                    elseif ($_POST['last_pass'] != $_POST['new_pass']) {
                        $error.= 'Проверочный пароль введен неверно!<br/>';
                    }
                }
                if (!empty($error)) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {

                    $password = password_hash($_POST['new_pass'], PASSWORD_DEFAULT);

                    $stmt = $connect->prepare("update `users` set `pass` = ? where `login` = ?");
                    $del = $connect->prepare("delete from `speedpass` where `id` = ?");

                    if ($stmt->execute(array($password, $row['user'])) && $del->execute(array($id)) && $authlog->execute(array(time(), $row['user'], $ip, $ua))) {

                        $authid = $connect->LastInsertId();

                        // авторизация
                        setcookie('login', $row['user']);
                        setcookie('login', $row['user'], time() + 3600 * 24 * 25, '/');
                        setcookie('pass', $password);
                        setcookie('pass', $password, time() + 3600 * 24 * 25, '/');
                        setcookie('auth', $authid);
                        setcookie('auth', $authid, time() + 3600 * 24 * 25, '/');

                        header('Location: /');

                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }

            echo '<div class="menu">
            <form action="" method="POST">
            Новый пароль:<br/><input type="password" name="new_pass" maxlength="15"/><br/>
            Повторите новый пароль:<br/><input type="password" name="last_pass" maxlength="15"/><br/>
            Код с картинки:<img id="captcha" src="/img/code.php" alt="check" onClick="$(\'#captcha\').attr(\'src\', \'/img/code.php?\' + Math.random())"><br/>
            <input type="text" name="code"><br/> 
            <input type="submit" value="Продолжить">
            </form></div>';

        }
    }
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>