<?php
$title = 'Статистика выполнений';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $mod_array['task'] == 1) {

    echo '<div class="title">Статистика выполнений</div>';

    $strow = $connect->prepare("select * from `task` where `id` = ?");
    $stmt_num = $connect->prepare("select count(*) from `task` where `id` = ?");

    if ($user_task_stat == 0) {
        echo '<div class="menu">Записей нет!</div>';
    } else {

        $page = new Pagination($user_task_stat, 10);

        $data = $connect->prepare("select * from `task_ans` where `user` = :user order by `id` desc limit :start, 10");
        $data->bindValue(':user', $user['login']);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            // задание
            $strow->execute(array($row['tid']));
            $task = $strow->fetch(PDO::FETCH_LAZY);
            $stmt_num->execute(array($row['tid']));

            echo '<div class="menu">
            '.($stmt_num->fetchColumn() ? '<div class="butt2"><a href="/task/view/'.$task['id'].'">'.$task['name'].'</a></div>' : '<div class="forbidden">ID: '.$row['tid'].'</div>').'
            <div class="blue">
            Дата: '.daytime($row['time']).'<br/>
            '.smiles(bb(bblinks($row['text']))).'
            </div>
            '.(file_exists($_SERVER["DOCUMENT_ROOT"]."/files/".$row["file"]) && $row["file"] ? '<br/>Файл: <a href="/files/'.$row['file'].'">'.$row['file'].'</a> ('.get_filesize($_SERVER["DOCUMENT_ROOT"]."/files/".$row['file']).')' : '').
            ($row['status'] == 1 ? '<div class="good">Выполнено</div>' : ($row['status'] == 2 ? '<div class="forbidden">Не выполнено</div>' : '<div class="information">В обработке</div>')).'</div>
            </div>';

        }

        $page->navigation();

    }

    echo '<div class="forlink"><a href="/task/list" class="links"><img src="/img/quest.png" alt="">Задания</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>